Thu Aug 15 17:04:28 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* configure (powerpc-*-macos*): Define xm_file.
	* mpw-config.in: Only build C++ if sources present, use
	xm-mpw.h for tconfig.h, update multilib.h generation to
	reflect Aug 12 change, add mips-*-* configuration that
	defaults to mips-elf, use source dir in pathnames in
	specs.h and options.h.
	* mpw-make.sed: Use symbolic doublequoting when editing
	string arguments to compilers, cover some additional cases
	when matching, define "pascal" in TARGET_LIBGCC2_CFLAGS,
	add @DASH_C_FLAG@ and @SEGMENT_FLAG()@ to compile commands.
	* pexecute.c (pexecute) [MPW]: Remove old bogus code that
	messed with arguments that included a '/', add escape chars
	to double quotes, remove const decl from arg that Mac
	compilers don't seem to like.
	* libgcc2.c: Don't undefine NULL if MPW is the host.
	* config/xm-mpw.h (__SIZE_T): Define if MPW is the actual host.
	(alloca): Declare.
	* rs6000/macos.h (HAVE_ATEXIT): Don't undefine.
	(TARGET_NEWLINE, TARGET_CR): Set correctly for MacOS (also add
	arg to control setting, but commented out for now).

Wed Aug 14 11:55:32 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* svr4.h (SUPPORTS_ONE_ONLY): Define.
	(UNIQUE_SECTION): Define.
	* varasm.c (one_only_unique_section): New fn.

Mon Aug 12 18:59:58 1996  Bob Manson  <manson@charmed.cygnus.com>

	* toplev.c: Add flag_exceptions_old, and the handle-exceptions
	flag to f_options.
	(main): Check for flag_exceptions_old; if it's set, give a warning
	and set flag_exceptions to 1.

Wed Aug  7 14:35:56 1996  Jim Wilson  <wilson@cygnus.com>

	* profile.c (output_arc_profiler): For SMALL_REGISTER_CLASSES case,
	check whether next_insert_after is an INSN before using PATTERN.

Mon Aug  5 14:59:51 1996  Jeffrey A Law  (law@cygnus.com)

	* shorten-life.c (shorten_lifetimes): Don't force
	insns to be re-recognized.

Fri Aug  2 17:20:18 1996  Jim Wilson  <wilson@cygnus.com>

	* m68k/os68000.h (WCHAR_TYPE): Undef.
	* m68k/os68000.h, m68k/ose68000.h, m68k/os68k.h, m68k/netx68k.h
	(WCHAR_TYPE_SIZE): Undef, then define to 16.

Fri Aug  2 01:43:49 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* gcc.c (MULTILIB_DEFAULTS): Default to { "" }, not { NULL }.

Thu Aug  1 14:28:45 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* Makefile.in: Add extra $ to ${srcdir} in RUNTEST so the shell
	variable gets used rather than the makefile variable.

Tue Jul 30 17:47:59 1996  Brendan Kehoe  <brendan@cygnus.com>

	* config/m68k/t-ose68: Fix comment, use # not a C comment.

Tue Jul 30 11:17:10 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (flag_regmove): New option for -fregmove, set by
	whether ENABLE_REGMOVE_PASS is defined.
	(f_options): Add -fregmove.
	(rest_of_compilation): Test for flag_regmove, not whether
	ENABLE_REGMOVE_PASS is defined.

Mon Jul 29 14:35:01 1996  Jim Wilson  <wilson@cygnus.com>

	* haifa-sched.c (except.h): Include.

Thu Jul 25 22:51:26 1996  Jeffrey A Law  (law@cygnus.com)

	* rs6000/macos.h (BIGGEST_FIELD_ALIGNMENT): Define.
	* rs6000/rs6000.c (handle_mac_pragma): Initialize "psize".

Thu Jul 25 18:19:56 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (mostlyclean): Delete .bp, .shorten files.
	(STAGESTUFF): Move .bp, .shorten files into the stage directory.

Tue Jul 23 11:18:42 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/m68k/t-ose68 (LIB2FUNCS_EXTRA): Add xfgnulib.c, to get
	truncxfdf2, et al.
	(xfgnulib.c): Add rule.

Mon Jul 22 15:39:07 1996  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (target): All uses changed to target_alias.
	(target_canonical): All uses changed to target.
	* configure (target_canonical): Delete.

Fri Jul 19 11:12:49 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (site.exp): Remove erroneous parentheses around TCL
	variable srcdir.

Wed Jul 17 18:04:49 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (cccp): Take out Cygnus local change of not using
	gxx_include_dir; neither libg++ nor libstdc++ install in
	g++-include anymore, cuz libio/config.shared was changed on May 14.
	(cppmain): Likewise.


Wed Jul 10 16:24:32 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* Makefile.in (site.exp): Set srcdir to point to the testsuite
 	directory after we've used it to set up the flags variables.
	(check-g++): Don't pass --srcdir.
	(check-gcc, check-chill): Likewise.

Mon Jul  8 15:46:36 1996  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (testdir): Delete.
	(site.exp): Delete uses of testdir.  Change srcdir to a full pathname
	without testsuite.  Change $(srcdir) to \$$srcdir.
	(check-g++): Create testsuite subdirectory.  Copy site.exp into it.
	Cd into it.  Set srcdir to a full pathname.  Pass --srcdir option
	to runtest.
	(check-gcc, check-chill): Likewise.


Fri Jun 28 11:33:17 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* mpw-build.in: New file.
	* mpw-config.in: Add G++ support, fix editing of xgcc compile line.
	* mpw-make.sed: Add installation of cc1plus.
	(TARGET_NAME): Fix quoting of definition.

Thu Jun 27 17:53:20 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/ncd.h: Put spaces between the -mips* cases.

Wed Jun 26 14:59:57 1996  Doug Evans  <dje@canuck.cygnus.com>

	* c-common.c (split_specs_attrs): Don't discard attributes
	if more than one present.

Tue Jun 25 10:35:46 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (WCHAR_TYPE,WCHAR_TYPE_SIZE): Redefine.

Thu Jun 20 12:05:51 1996  Joern Rennecke <amylaar@cygnus.com>

	* cccp.c (INO_T_EQ): Define __MSDOS__ version of it.

Mon Jun 24 14:16:48 1996  Jim Wilson  <wilson@cygnus.com>

	* haifa-sched.c (insn_issue_delay): Readd Dec 24 change.  Don't
	deference a null blockage_function pointer.

Wed Jun 19 14:12:37 1996  Jim Wilson  <wilson@cygnus.com>

	* haifa-sched.c (create_reg_dead_note): Remove last change.
	(schedule_block): Add Mar 31 sched.c change

Wed Jun 19 14:49:23 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* genattrtab.c (expand_units): If HAIFA, don't subtract 1 from the
	* blockage factor.

	* configure (--enable-haifa): If --enable-haifa, delete genattrtab.o
	also.
	
	* haifa-sched.c (create_reg_dead_note): Restore 6/6 change.

Wed Jun 19 01:21:08 1996  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (gcc.o): Restore CYGNUS LOCAL setting of
	TOOLDIR_BASE_PREFIX accidentally clobbered in last merge.

Mon Jun 17 23:11:13 1996  Mike Meissner  <meissner@rtl.cygnus.com>

	* haifa-sched.c (add_dependence): Don't skip over labels.
	(insn_issue_delay): Do not test blockage_function field for being
	a null pointer.
	(sched_analyze_2): In going to previous insn, skips notes.
	(sched_analyze): Don't call abort.
	(create_reg_dead_note): Ditto.
	(get_block_head_tail): Initialize head, tail.
	(restore_line_notes): Don't set RTX_INTEGRATED_P.
	(queue_to_ready): Only break if n_ready.
	(print_exp): Remove spaces in debug output.

	* loop.h (loop_initial_value,loop_unroll_iter): New globals.

	* loop.c (loop_initial_value,loop_unroll_iter): New globals.
	(loop_optimize): Initialize.
	(get_condition_for_loop): Ditto.

	* unroll.c (unroll_loop): Set loop_unroll_iter, loop_start_value.

Wed Jun 12 19:20:07 1996  Doug Evans  <dje@canuck.cygnus.com>

	* i386/i386.c (function_prologue): Restore local mods
	for stack probing.

Mon Jun 10 16:43:36 1996  Doug Evans  <dje@canuck.cygnus.com>

	* gcc.c: Define PEXECUTE_PFINISH if MPW.
	(main): Call pfinish if PEXECUTE_PFINISH is defined.

Sun Jun  9 12:32:28 1996  Doug Evans  <dje@canuck.cygnus.com>

	* varasm.c (assemble_start_function): Put "one-only" functions
	in their own section.
	(assemble_variable): Put "one-only" variables in their own section.

Thu Jun  6 10:37:47 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* haifa-sched.c (create_reg_dead_note): Don't abort if there are
	no notes to create.

Tue Jun  4 16:50:57 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* tree.h (DECL_ONE_ONLY): Use transparent_union field rather than
 	adding one.

Mon Jun  3 08:32:07 1996  Doug Evans  <dje@canuck.cygnus.com>

	* toplev.c (print_version): Fix printing of Haifa sched comment.

Wed May 22 13:12:37 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_pe_unique_section): Use grouped sections.

Tue May 21 15:20:36 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* rs6000/rs6000.c (handle_mac_pragma): Fix return results,
	recognize "align=power".

	* mpw-config.in: Enable Haifa scheduler if --enable-haifa,
	join multiple lines of xgcc link.
	* mpw-make.sed (ALL_CCLDFLAGS, HOST_CCLDFLAGS): Edit in defns
	of these in place of ALL_CFLAGS and HOST_CFLAGS when linking.
	(IN_GCC): Don't edit out.

	* haifa-sched.c (clock_var): Rename from "clock", which conflicts
	with library function.

Mon May 20 10:32:07 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* gcc.c (multilib_raw): Add a NULL at the end.

Mon May 13 19:34:15 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* varasm.c (in_static_list): Delete alloca call setting name.

Tue May  7 13:17:26 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_pe_encode_section_info): Undo patch of April 30.
	(arm_pe_unique_section): New function.
	* arm/pe.h (UNIQUE_SECTION): Define.
	(ASM_OUTPUT_SECTION_NAME): Use `.linkonce discard' for fns.

Mon Apr 30 15:11:01 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* tree.h (struct tree_decl): New member one_only_flag.
	(DECL_ONE_ONLY): New macro.

Tue Apr 30 13:14:00 1996  Doug Evans  <dje@canuck.cygnus.com>

	* varasm.c (assemble_variable): Abort for things not handled by
	current one-only support.
	* arm/pe.c (arm_pe_encode_section_info): If the decl is one-only,
	set the section attribute.
	* arm/pe.h (ASM_OUTPUT_SECTION_NAME): Output .linkonce for one-only
	decls.

Mon Apr 29 22:33:41 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (CPP_SPEC): Delete.
	(CPP_PREDEFINES): Define.
	(SUPPORTS_ONE_ONLY): Define.

Wed Apr 24 14:30:23 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* collect2.c (main): Delete export_file if rflag || !do_collecting.

Sun Apr 21 11:20:51 1996  Doug Evans  <dje@blues.cygnus.com>

	* Makefile.in (hash.o): Add rule for SunOS VPATH.

Fri Apr 19 12:31:19 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/t-pe ([fd]p-bit.c): __big_endian__ renamed to __ARMEB__.
	(pe.o): Copy standard .c.o rule.
	(LIBGCC1_TEST): Delete.

Wed Apr 17 12:28:26 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/rs6000/rs6000.c (handle_mac_pragma): Likewise.  Read in
	the rest of the line after the token to get the pragmas (which use
	equals signs).
	* config/rs6000/macos.h (HANDLE_PRAGMA): Add second argument NODE.

Wed Apr 17 11:12:19 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* m68k/m68kelf.h (ASM_OUTPUT_SECTION_NAME): Test DECL before
	dereferencing it.
	* i386/i386elf.h (ASM_OUTPUT_SECTION_NAME): Likewise.

	* i386/t-crtpic (LIBGCC1, CROSS_LIBGCC1): Define.

	* m68k/coff.h (STARTFILE_SPEC): Comment out.

Mon Apr 15 14:54:37 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* config/m68k/m68kemb.h: Add LINK_SPEC, STARTFILE_SPEC, LIB_SPEC,
	SUBTARGET_SWITCHES, so gcc will use libgloss for supported
	target boards (idp, mvme, bcc).

Sun Apr 14 15:21:59 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/coff.h: #include "arm/semi.h", not "arm/aout.h".
	(ASM_SPEC,LINKSPEC,DEFAULT_SIGNED_CHAR,WCHAR_TYPE{,SIZE}): Delete.
	(MULTILIB_DEFAULTS): Define.
	(ASM_COMMENT_START,{FILE,IDENT}_ASM_OP): Delete.
	(ASM_OUTPUT_LABELREF,ASM_DECLARE_FUNCTION_NAME,ASM_OUTPUT_COMMON,
	ASM_DECLARE_OBJECT_NAME): Delete.
	(JUMP_TABLES_IN_TEXT_SECTION): Define.
	* arm/t-bare (fp-bit.c,dp-bit.c): __big_endian__ renamed to __ARMEB__.
	(LIBGCC1_TEST): Delete.
	(MULTILIB_OPTIONS): -EB renamed to -mbe.  Add -mle.
	(MULTILIB_MATCHES): Define.

Mon Apr  1 16:57:42 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* mpw-config.in (CRT0_S, MCRT0_S): Add empty definitions
	to generated MPW makefile.

Thu Mar 28 13:50:04 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* c-decl.c (shadow_tag_warned): Call split_specs_attrs.

Thu Mar 21 16:58:53 1996  Mike Stump  <mrs@cygnus.com>

	* config/z8k/z8k.{h,c}: Add reg 18 as the return address pointer
	pseudo register for exception handling and define it to be
	eliminable.

Thu Mar 21 02:43:49 1996  Jason Molenda  (crash@phydeaux.cygnus.com)

	* configure (sh-*-*): Use shell convention for CYGNUS LOCAL
	comment.

Thu Mar 14 19:42:22 1996  Ian Lance Taylor  <ian@cygnus.com>

	* configure (mips*-nec-sysv4*): New host.

Wed Mar 13 10:47:16 1996  Doug Evans  <dje@charmed.cygnus.com>

	* build-make (INSTALL_TARGET, ALL): Comment out.

Mon Mar 11 10:04:09 1996  Jeffrey A Law  (law@cygnus.com)

	* h8300/h8300.h (ENABLE_REGMOVE): Define.

Fri Mar  8 12:35:51 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* rs6000/macos.h (SWITCH_TAKES_ARG): Define.
	(CPP_PREDEFINES): Remove 601 definitions.
	(CPP_SPEC): Define.
	(SHIFT_COUNT_TRUNCATED): Remove definition.
	(HANDLE_PRAGMA): Define.
	(LEGITIMATE_CONSTANT_POOL_BASE_P, etc) [MPW_C]: Remove, no longer
	used.
	(EMPTY_FIELD_BOUNDARY): Define.
	* rs6000/rs6000.c (mac68k_aligned): New global.
	(handle_mac_pragma): New function.

Fri Mar  8 11:15:26 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* regmove.c (regmove_optimize): In backward pass, if validate_change
	fails, must call validate_change again to replace dst after fixing
	all srcs.

	* haifa-sched.c (schedule_block): Double the value of bblst_size.

Thu Mar  7 18:33:48 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* configure (powerpc-*-macos, powerpc-*-mpw): New configurations.

	* mpw-config.in (mips-*-*): Build tm.h by including ecoff.h and
	dbx.h, since ecoff-gdb.h is gone.

	* gsyms.h (sdb_type): Move comma inside Cygnus local ifdef,
	appeases picky compilers.

	* cccp.c: Update MPW support bits to handle include files in the
	new way.
	(main): Accept -i <name> and -d <def> as equivalents of -I and -D.

Wed Feb 28 19:01:55 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (libgcc1.a): Don't bother checking that host and
	target are the same: it's no longer useful.

Tue Feb 27 16:52:07 1996  Jim Wilson  <wilson@chestnut.cygnus.com>


Tue Feb 27 12:30:31 1996  Raymond Jou  <rjou@mexican.cygnus.com>

	* cccp.c: Add (ALMOST_STDC)) to ensure stdarg.h is included 
	for Power Mac.

Tue Feb 27 09:43:20 1996  Doug Evans  <dje@charmed.cygnus.com>

	* config.sub (sparc*frw*): Delete.  Use -mflat now.

Fri Feb 23 15:10:06 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* Makefile.in (stmp-fixproto): Fix CYGNUS LOCAL comments.

Wed Feb 21 16:20:08 1996  Doug Evans  <dje@charmed.cygnus.com>

	* arm/coff.h: #include aout.h, not arm-gal.h
	(ASM_SPEC, LINK_SPEC): Redefine to pass endianness.
	(USER_LABEL_PREFIX): Delete.
	* arm/arm-gal.h: Delete file.

Tue Feb 13 15:25:24 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (deduced.h): Check to see if SYSTEM_HEADER_DIR exists.
	(stmp-fixproto): Likewise.

Tue Feb 13 11:10:04 1996  Doug Evans  <dje@charmed.cygnus.com>

	* configure (sparc*frw*): Delete old frw support, -mflat used now.
	* sparc/{sparcf.h,sparcfc.h,litef.h,litefccoff.h,litefc.h}: Deleted.

Fri Feb  9 10:19:40 1996  Doug Evans  <dje@charmed.cygnus.com>

	* haifa-sched.c (add_dependence): Add test for next != CODE_LABEL.
	(get_block_head_tail): Delete unnecessary sets of head/tail.
	(queue_to_ready): Delete unnecessary test for n_ready != 0.
	(schedule_block): Delete unnecessary test for head != NOTE.

Wed Jan 31 14:11:24 1996  Doug Evans  <dje@charmed.cygnus.com>

	* configure (m68{000,020,030,040,302,332}-{aout,coff}): Set tm_file
	to m68k-{aout,coff}.h.
	(m680[01234]0-wrs-vxworks*): Set tm_file to vxm68k.h.
	(m68020-*-elf*): Set cpu_type to m68k.
	(machine): Set target_cpu_default for m68*.
	* m68k/m68{000,020,030,040,302,332}-{aout,coff,none}.h: Delete.
	* m68k/vx680[0234]0.h: Delete.
	* m68k/m68020-elf.h: #include m68k-none.h instead of m68020-none.h.
	* m68k/ose68000.h: #include m68k-none.h instead of m68000-none.h.
	* m68k/ose68k.h: #include m68k-none.h instead of m68020-none.h.

Wed Jan 31 13:53:01 1996  Ian Lance Taylor  <ian@cygnus.com>

	* config.sub: Merge with top level config.sub.

Wed Jan 31 10:51:07 1996  Doug Evans  <dje@charmed.cygnus.com>

	* m68k/m68{000,020,030,040,302,332}-coff.h: #include m68k/coff.h
	instead of m68k/m68k-coff.h.

Sun Jan 28 10:39:25 1996  Doug Evans  <dje@charmed.cygnus.com>

	* c-typeck.c (merge_attributes): Deleted, at FSF now.

Sat Jan 27 08:33:08 1996  Doug Evans  <dje@charmed.cygnus.com>

	* gcc.c (default_compilers): Remove -noquiet support.

Fri Jan 26 17:24:11 1996  Steve Chamberlain  <sac@slash.cygnus.com>

	* config/i386/xm-win32.h (PATH_SEPARATOR): Delete.
	* config/i386/win32.h (CPP_PREDEFINES): System is nt.
	(ASM_OUTPUT_SOURCE_LINE, DBX_OUTPUT_MAIN_SOURCE_FILE_END,
	DBX_FUNCTION_FIRST): New.

Fri Jan 26 14:31:53 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* gcc.c (SWITCH_TAKES_ARG): Add 'V', 'B' and 'b'.
  	(process_command): Increment n_switches for them.  Don't discard
 	their args.  Validate them.
	(main): Escape " marks when creating COLLECT_GCC_OPTIONS.
	From Rohan Lenard.

Thu Jan 25 15:58:51 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* configure: (mips64vr4100*-*-elf*): Added vr4100 targetted build
 	file selection.

	* config.sub (basic_machine): Recognise vr4100 targets.

	* config/mips/t-vr4300: Build hard floating-point MULTILIB targets.

	* config/mips/{elfb4100.h, elfl4100.h, t-vr4100}: Added.

Thu Jan 18 09:32:28 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* config/z8k/z8k.h (DBX_DEBUGGING_INFO): Undef.
	(ASM_OUTPUT_SOURCE_LINE): Undef before redefining.

Tue Jan 16 14:05:34 1996  Doug Evans  <dje@canuck.cygnus.com>

	* haifa-sched.c (sched_analyze_2): Reorganize comments.  Call
	prev_nonnote_insn.
	(sched_analyze): Add abort call.

Tue Jan 16 11:57:50 1996  Ian Lance Taylor  <ian@cygnus.com>

	* config/arm/coff.h: Use dbxcoff.h.
	* config/z8k/z8k.h: Likewise.

Mon Jan 15 13:52:25 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* cccp.c (main): Remove CYGNUS LOCAL -noquiet option.
	(quiet_flag, get_run_time, print_time): Remove.
	* cpplib.c (sys/param.h): Don't include.

Sun Jan 14 15:48:33 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* haifa-sched.c (restore_line_notes):  Copy RTX_INTEGRATE_P bit
	when create a new note.

Sat Jan 13 11:42:30 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  For index range for array, use
	 expand_exit_loop_if_false (it handles unsigned and is simpler).

Mon Jan  8 23:03:21 1996  J"orn Rennecke (amylaar@meolyon.hanse.de)

	* fold-const.c (const_binop): recognize NOP_EXPR made by non_lvalue.

Wed Jan 10 11:00:34 1996  Doug Evans  <dje@canuck.cygnus.com>

	* unroll.c (iteration_info): #if 0 out static prototype.

Sun Dec 31 15:37:45 1995  Jeffrey A Law  (law@cygnus.com)

	* shorten-life.c (shorten_lifetimes): Correct test to find
	insns with destination registers we want to shorten the
	lives of.

Fri Dec 29 15:57:18 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* reload1.c (new_spill_reg): Improve fixed or forbidden register
	spill error message.

Wed Dec 27 17:18:45 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000.c (function_arg): Add prototype code for testing
	-mxl-compat switch to be compatible with IBM's compiler that
	doesn't meet their own calling language.

	* rs6000.h (TARGET_XL_COMPAT): Add -mxl-compat switch.

Wed Dec 27 13:37:47 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (main): Print that the Haifa scheduler is used in the
	version string.

Sun Dec 24 20:03:18 1995  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (insn_issue_delay): Don't dereference a null
	blockage_function pointer.

Fri Dec 22 15:55:00 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (function units): Add 403 support which deleted
 	by accident on Nov 21st.  Mark all compares from 602, 603, 604,
 	620, 403, like was done for rios{1,2} and 601 as needing the bpu,
 	so that compares are hoisted far enough branches for zero cycle
 	branch support.

Thu Dec 21 11:04:07 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* collect2.c (main): Delete export_file if rflag || !do_collecting.
	(handler): Also delete export_file when we get a signal.
	
Mon Dec 18 12:37:30 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* c-typeck.c (pointer_int_sum): Delete use of OFFSET_SIZE.
	
	* z8k.md (ldirb_z8001, ldirb_z8002, ldir_z8001, ldir_z8002): Add
	'+' constraint to operand2.

	* expr.c (get_inner_reference, expand_expr): Delete CYGNUS LOCAL
	changes using OFFSET_SIZE.
	* tree.h (OFFSET_SIZE): Delete default definition.
	* z8k/z8k.c (asm_file_start): Use TARGET_BIG instead of
	TARGET_SHORT_SIZE.
	* z8k/z8k.h (SiZE_TYPE): Use TARGET_BIG instead of TARGET_SHORT_SIZE.
	(CPP_SPEC): Likewise.
	(TARGET_SHORT_SIZE_BIT, TARGET_SHORT_SIZE): Delete.
	(TARGET_SWITCHES): -mhuge no longer sets TARGET_BIG_BIT.  Delete
	-msize_t16 and -msize_t32 options.
	(TARGET_DEFAULTS): Remove TARGET_SHORT_SIZE_BIT.
	(OFFSET_SIZE, OFFSET_UNSIGNED, INTmode): Delete definitions.
	
Fri Dec 15 15:48:19 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k/z8k.h (ADDRARITH_TYPE): Delete.

Thu Dec 14 19:04:10 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* fold-const.c (fold): Delete obsolete z8k cygnus local changes.
	* rtl.def (CVTSIPTR, CVTPTRSI): Likewise.
	* stor-layout.c (addrarith_type): Likewise.
	* tree.def (CVTSIPTR_EXPR, CVTPTRSI_EXPR): Likewise.

	* z8k/z8k.c (unpack_ptr, pack_ptr, emit_cvtptr): Delete.
	* z8k/z8k.h (UNPACK_PTR, PACK_PTR, PERFORM_CVTSIPTR,
	PERFORM_CVTPTRSI): Delete.
	(unpack_ptr, pack_ptr, emit_cvtptr): Delete declarations.
	* z8k/z8k.md (cvtptrsi2, cvtsiptr2): Delete.
	
Wed Dec 13 16:59:02 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/t-pe (MULTILIB_{OPTIONS,DIRNAMES}): Delete big-endian support.

Fri Dec  8 19:17:30 1995  Mike Meissner  <meissner@beauty.cygnus.com>

	* rs6000/rs6000.c (input_operand): Allow any integer constant, not
	just integers that fit in 1 instruction.

Fri Dec  8 13:24:09 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k/z8k.h (PTRDIFF_TYPE): Don't use unsigned type.
	(CPP_SPEC): Put PTRDIFF_TYPE defines next to each other.

Fri Dec  8 12:12:15 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* haifa-sched.c (schedule_insns): Correct bzero call for insn_depend.

Wed Dec  6 14:55:35 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (install-common): Record $(FIXPROTO_DEFINES) in file
	fixproto-defines in the	install-tools directory.

Mon Dec  4 11:01:45 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* configure (--enable-haifa): Also delete loop.o.

Sat Dec  2 07:52:46 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (movsi): Don't split large constants in the
	movsi pattern, let the define_split split it later as needed.


Fri Dec  1 09:45:48 1995  Michael Meissner  <meissner@wogglebug.tiac.net>

	* configure (--enable-haifa): Using --enable-haifa{,=no} now
	deletes the objects that need to be recompiled with or without
	-DHAIFA.

Wed Nov 29 23:49:45 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (DO_GLOBAL_{CTORS,DTORS}_BODY): Delete, use coff.h.
	(CTOR_LISTS_DEFINED_EXTERNALLY): Likewise.
	* arm/coff.h (CTOR_LISTS_DEFINED_EXTERNALLY): Move here from pe.h.

Tue Nov 28 13:16:41 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (stmp-fixinc): cross-make sets SYSTEM_HEADER_DIR
	to $(tooldir)/sys-include now.

Mon Nov 27 08:55:02 1995  steve chamberlain  <sac@slash.cygnus.com>
 
 	* z8k.md (movstrhi): Fix src and dst order.


Mon Nov 27 12:11:23 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (main): Remove code that uses #ifndef MACHINE_xxx to
	set the various scheduler flags, these belong in
	OPTIMIZATION_OPTIONS.
	(f_options): Turn off sched-spec-load by default, since a lot
	of systems do not map in page 0 to catch illegal uses of NULL
	pointers.

	* rs6000/rs6000.h (OPTIMIZATION_OPTIONS): If TARGET_AIX, and LEVEL
	is at least 2, set sched-spec-load to 1.
	(TARGET_MACOS): If not defined, define as 0.
	(TARGET_AIX): If not TARGET_{MACOS,WINDOWS_NT,ELF}, define as 1,
	otherwise define as 0.

	* rs6000/macos.h (TARGET_MACOS): Define as 1.
	* rs6000/mach.h (TARGET_AIX): Define as 0.
	* rs6000/netware.h (TARGET_AIX): Define as 0.

Fri Nov 24 10:34:51 1995  Michael Tiemann  <tiemann@axon.cygnus.com>

	* haifa-sched.c (unlink_line_notes): Unlink only line notes, not
	all notes.

	* haifa-sched.c (get_visual_tbl_length): Allocate enough space for
	char[35] string.

Thu Nov 23 07:26:51 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* haifa-sched.c (abort1): If INSN_SCHEDULING is not defined, don't
	print verbose information if sched_verbose >= 3.

Wed Nov 22 18:13:49 1995  Michael Tiemann  <tiemann@axon.cygnus.com>

	* haifa-sched.c (schedule_region): Elements of bb_reg_last_uses
	are rtx *'s, not rtx's.  Same for init_rtx_vector and
	bb_reg_last_sets.
	(schedule_insns): Elements of insn_depend are rtx's, not int's.


Wed Nov 22 10:12:15 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* loop.c (strength_reduce): Inside of code that uses #ifdef
 	HAVE_decrement_and_branch_on_count code, test it to make sure the
	condition is true.
	(instrument_loop_bct): Ditto.
	
	* rs6000/rs6000.md (decrement_and_branch_on_count): Rename old
	decrement_and_branchsi insn to use this name for the Haifa
	scheduler.  Fix bit rot in the insn.  Delete haifa pattern since
	it was incomplete.

	* rs6000/{sysv4le,sysv4,rs6000,powerpc,eabile,eabiaix}.h (CPP_SPEC): 
	Add support -mcpu=602, -mcpu=603e, and -mcpu=620.

Tue Nov 21 19:59:33 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (ALL_CFLAGS): Include SCHED_CFLAGS.
	(OBJS, sched.o): Use $(SCHED_PREFIX) in front of sched.o.

	* rs6000.c (rs6000_override_options): Add 602, 620.
	(count_register_operand): Return true if register is the count
	register.
	(get_issue_rate): Return how many instructions the chip can issue
	at once.

	* rs6000.h (CPP_SPEC,processor_type): Add 602 support.
	(PROCESSOR_COMMON): Switch to the 604 rather than the 601.
	(COUNT_REGISTER_REGNUM): Define as 66.
	(PREDICATE_CODES): Add count_register_operand.

	* rs6000.md (cpu): Add 602 support.
	(function units): Use updated function_units for the various
	machines.
	(decrement_and_branch_on_count): Define to match decrement count
	register and branch.

	* rs6000.md (clobber_memory): New insn to indicate all of memory
	is clobbered.

	* rs6000.c (expand_block_move): Call clobber_memory at the end of
	expanding a block move operation to tell the optimizer that it
	shouldn't optimize memory stores across the calls.


	* configure (enable_haifa): If --enable-haifa, switch to use the
	Haifa scheduler.

	* flags.h (flag_schedule_interblock): Haifa scheduler flag.
	(flag_schedule_speculative): Ditto.
	(flag_schedule_speculative_load): Ditto.
	(flag_schedule_speculative_load_dangerous): Ditto.
	(flag_schedule_reverse_before_reload): Ditto.
	(flag_schedule_reverse_after_reload): Ditto.
	(flag_branch_on_count_reg): Ditto.

	* toplev.h (flag_schedule_interblock): Haifa scheduler flag.
	(flag_schedule_speculative): Ditto.
	(flag_schedule_speculative_load): Ditto.
	(flag_schedule_speculative_load_dangerous): Ditto.
	(flag_schedule_reverse_before_reload): Ditto.
	(flag_schedule_reverse_after_reload): Ditto.
	(flag_branch_on_count_reg): Ditto.
	(f_options): Add Haifa switches.
	(main): Turn off some Haifa options if appropriate macro is
	defined.  Process Haifa switches.

	* unroll.c (iteration_info): No longer static, since Haifa
	scheduler uses it.
	(unroll_loop): Inform HAIFA scheduler about loop unrolling factor.

	* loop.h (loop_unroll_factor, loop_number): Add HAIFA decls.

	* loop.c (loop_optimize): If HAIFA is defined, allocate additional
	storage for the Haifa scheduler.
	(mark_loop_jump): If HAIFA defined, set LABEL_OUTSIDE_LOOP_P and
	LABEL_NEXTREF.
	(strength_reduce): If HAIFA and HAVE_decrement_and_branch_on_count
	are defined, call analyze_loop_iterations and insert_bct to use
	countdown loops.
	(record_giv): Refine test for jumps out of loops if HAIFA is
	defined.
	(analyze_loop_iterations): New function to identify if we can use
	a countdown loop.
	(insert_bct): Insert countdown loop.
	(instrument_loop_bct): Low level code to insert countdown loop.
	(loop_number): Calculate UID of loop.
	(indirect_jump_in_function_p): Return true if an indirect jump is
	in the function.
	(is_power_of_2): Return true if value is a power of 2.
	(is_conditional_branch): Return true if insn is a conditional
	jump.
	(fix_bct_param): Process -fbct-{min,max}-N switches.
	(check_bct_param): Return true if loop should be instrumented.

	* haifa-sched.c: Haifa scheduler to replace the current scheduler.


Mon Nov 20 11:17:45 1995  Doug Evans  <dje@canuck.cygnus.com>

	* svr4.h (MD_EXEC_PREFIX): Don't use if cross compiling.
	(MD_STARTFILE_PREFIX): Likewise.
	(LINK_SPEC): Don't use absolute path names if cross compiling.

	* arm/arm.c (use_return_insn): Don't use return insn if naked fn.
	(arm_valid_machine_decl_attribute): Recognize naked functions.
	(arm_naked_function_p): New function.
	(output_func_prologue): No prologue if naked.
	(arm_expand_prologue): Likewise.
	(output_func_epilogue): No epilogue if naked.
	(symbolic_operand): New function.
	(arm_select_rtx_section, arm_select_section): New functions.
	* arm/arm.h (TARGET_BIG_ENDIAN): New macro.
	(TARGET_SWITCHES): Support -m{big,little}-endian ifdef ARM_BIENDIAN.
	(BYTES_BIG_ENDIAN, WORDS_BIG_ENDIAN): Use TARGET_BIG_ENDIAN.
	(LIBGCC2_WORDS_BIG_ENDIAN): Define.
	(SELECT_RTX_SECTION, SELECT_SECTION): Define.
	(VALID_MACHINE_DECL_ATTRIBUTE): Define.
	(ASM_OUTPUT_ADDR_DIFF_ELT): Still emit valid assembler.
	* arm/arm-gal.h: New file.
	* arm/coff.h: Rewritten.  Use arm-gal.h.
	* arm/pe.h: Lots of stuff moved to arm-coff.h.  Constant data is put
	in .rdata now.
	* arm/pe.c: Lots of stuff moved to arm.c.
	* arm/t-bare (MULTILIB_{OPTIONS,DIRNAMES): Add hard/soft fp.
	* arm/t-pe: Likewise.

	* flow.c (mark_used_regs): Needn't reset `last_mem_set' for
	constant pool mem-refs.

Sun Nov 19 14:58:22 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* mpw-make.sed: Edit out CYGNUS-LOCAL-* variables in a more
	general way.

Fri Nov 17 17:22:26 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* config.sub: Recognize various synonyms for Macs and PowerMacs.
	(-magic*): Recognize.

Fri Nov 17 14:58:19 1995  Doug Evans  <dje@canuck.cygnus.com>

	* cccp.c (do_include): Recognize c:\foo as absolute path name in DOS.

Thu Nov 16 16:06:43 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reload1.c (reload): When set used_spill_regs, use i not n_spills
	as index to spill_regs array.

Wed Nov 15 16:46:50 1995  Jason Merrill  <jason@yorick.cygnus.com>

	* varasm.c (assemble_variable): Only assume that a variable is in
 	the static list if we have -fcombine-statics.

Tue Nov 14 11:16:18 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reorg.c (find_dead_or_set_registers): Move update of res->regs
	from before JUMP_INSN if statement to after it.  Rewrite code to
	handle conditional branches.

Sun Nov 12 21:45:14 1995  Doug Evans  <dje@canuck.cygnus.com>

	* configure (arm*-*-coff* tmake_file): Use t-bare.
	* arm/coff.h (TARGET_DEFAULT): Default to soft float.

Fri Nov 10 12:59:59 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reorg.c (fix_reg_dead_note): New function.
	(fill_slots_from_thread): Call it.

	* loop.c (strength_reduce): For a combined giv, allow auto-inc
	optimization only if the increment follows the giv insn.

Fri Nov 10 09:14:27 1995  Jeffrey A Law  (law@cygnus.com)

	* Makefile.in: Add missing "else true" clauses when installing
	fix-header and fixincludes for binary installs.

Thu Nov  9 18:10:26 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/sparc/sparc.h (TARGET_SWITCHES): Add -m{,no-}impure-text.
	(MASK_IMPURE_TEXT, TARGET_IMPURE_TEXT): Define.
	(LINK_SPEC): Only add `-assert pure-text' if -mimpure-text wasn't used.

Wed Nov  8 23:24:00 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (site.exp): Fix -I to libio build dir.

Wed Nov  8 17:24:44 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* configure: Replace the definition of target_subdir in the
	Makefile if host != target.
	* Makefile.in (target_subdir): Give default null value.
	(site.exp): Change to use the make variable for target_subdir.

Tue Nov  7 15:24:59 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* regmove.c: New file.
	* Makefile.in (OBJS): Add regmove.o.
	(STAGESTUFF): Add *.regmove.
	(regmove.o): Add rule to build it.
	(mostlyclean): Delete *.regmove.
	* toplev.c (regmove_dump, regmove_dump_file, regmove_time):
	New variables.
	(fatal_insn, compile_file, main): Use and set them.
	(rest_of_compilation): Call the new regmove_optimize function.
	* sh/sh.h (ENABLE_REGMOVE_PASS): Define.

Tue Nov  7 12:28:35 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (site.exp): Fix code to refer to the target
	subdirectory properly when running tests, and proper for native.

Mon Nov  6 19:54:20 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* alpha/alpha.c (alpha_emit_set_const): Don't output SImode sequences
	that rely on invisible overflow.  Sign extend new when SImode.
	Don't recur if new == c.  Don't allow shift outside mode.  Make
	logical right shift be unsigned.

Mon Nov  6 09:36:04 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/xm-netbsd.h (DONT_DECLARE_SYS_SIGLIST): Define.

Wed Nov  1 17:38:15 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (site.exp): Refer to ../$(target) for CXXFLAGS.

Wed Nov  1 17:20:25 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (install-common): Newlib has moved to ../$(target).
	(site.exp): Likewise.

Tue Oct 31 16:52:51 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (cccp.o): Move CROSS_INCLUDE_DIR from libsubdir to
	tooldir.
	(cpplib.o, stamp-proto): Likewise.
	(install-common): Don't install fixincludes or fix-header if newlib
	exists.  Do install them otherwise.  Install them in tooldir instead
	of libdir.
	* cross-make (SYSTEM_HEADER_DIR): Use CROSS_INCLUDE_DIR not
	TOOL_INCLUDE_DIR.
	
Tue Oct 31 10:05:13 1995  Wilfried Moser  <wilfried.moser@aut.alcatel.at>

	* svr4.h (DBX_OUTPUT_MAIN_SOURCE_FILE_END): Call text_section
	instead of outputting .text.

Tue Oct 31 09:58:55 1995  Doug Evans  <dje@canuck.cygnus.com>

	* profile.c (output_arc_profiler): Add stricter checking for when
	a reference of the return reg appears after a call insn in
	SMALL_REGISTER_CLASS machines.

Mon Oct 30 17:20:33 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* a29k/a29k.h (TARGET_DEFAULT): Add -mno-reuse-arg-regs.

Sat Oct 28 14:58:26 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (CPP_PREDEFINES): Don't define WIN32.
	(PREFERRED_DEBUGGING_TYPE): DBX_DEBUG again.

Fri Oct 27 16:53:30 1995  Raymond Jou  <rjou@mexican.cygnus.com>

	* rs6000/xm-mpw.h: Define TRUE and FALSE.

Thu Oct 26 13:32:19 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* libgcc2.c (__size_t__): Define if MPW, suppresses interference
	from junk in MPW include files.
	* mpw-config.in: Use relative paths for some forward includes,
	join some lines in Makefile.in before sed'ing it into MPW syntax.
	* mpw-make.sed: Edit -D definitions for xgcc and cccp compilations
	individually instead of doing a change command, edit paths to
	y.tab.[ch] files directly, use filename alone for tmplibgcc.a
	when doing final libgcc.a construction.
	* config/xm-mpw.h (HAVE_STRERROR): Define.

Wed Oct 25 16:58:04 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_dllexport_p): #ifdef out code that scanned vtables.
	(arm_dllimport_p): Likewise.

Mon Oct 23 10:18:48 1995  James G. Smith  <jsmith@pasanda.cygnus.co.uk>

	* config/mips/elfvr4300{.h,el.h}: Removed. Really renamed to...
	* config/mips/elf{l,b}4300.h: Added, to ensure 8.3 unique names in
 	the source.
	
	* configure (mips64vr4300*-*-elf*) : Renamed the VR4300 targetted
 	(default) build files to elbl4300.h and elfb4300.h respectively.

Wed Oct 18 16:46:52 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (LIB_SPEC, LIBGCC_SPEC, STARTFILE_SPEC): Modify
	to Use the cygwin dll.
	(PREFERRED_DEBUGGING_TYPE): Becomes SDB_DEBUG.
	(ASM_OUTPUT_SECTION_NAME): New.
	
Wed Oct 11 19:16:06 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (USE_RETURN_INSN): Call arm_pe_use_return_insn.
	* arm/pe.c (arm_pe_use_return_insn): New function.

Tue Oct 10 09:36:38 1995  Doug Evans  <dje@canuck.cygnus.com>

	* sparc/sp64-elf.h (JUMP_TABLES_IN_TEXT_SECTION): Define.
	(ASM_IDENTIFY_GCC): Define as empty.

Mon Oct  9 11:33:16 1995  Doug Evans  <dje@canuck.cygnus.com>

	* tree.h (merge_machine_{type,decl}_attributes): Declare.
	* tree.c (merge_attributes): Rename args.
	(merge_machine_{type,decl}_attributes): New functions.
	* c-decl.c (duplicate_decls): Call merge_machine_decl_attributes.
	Update olddecl's attributes too.
	* c-typeck.c (common_type): Call merge_machine_type_attributes.

	* arm/pe.h (ENCODE_SECTION_INFO): Call arm_pe_encode_section_info.
	(MERGE_MACHINE_DECL_ATTRIBUTES): Define.
	(REDO_SECTION_INFO_P): Redefine as `1'.
	* arm/pe.c (arm_pe_merge_machine_decl_attributes): New function.
	(arm_mark_dllexport): Get name from DECL_RTL, not
	DECL_ASSEMBLER_NAME.  Use alloca instead of xmalloc.  Pass name
	through get_identifier.
	(arm_mark_dllimport): Likewise.
	(arm_pe_encode_section_info): New function.

	* arm/arm.md (movsi): Delete code for handling dllimport.
	* arm/pe.c (arm_mark_dllimport): Set DECL_RTL to
	(mem (mem (symbol_ref __imp_foo))).

Fri Oct  6 12:32:45 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* Makefile.in: Set tmpdir to /tmp in the generated site.exp if
	you're testing a canadian cross.

Thu Oct  5 21:27:25 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (c-parse.c): Move comment from end of cp command
	to a separate line.

Thu Oct  5 11:59:08 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* alpha.h (ASM_SPEC): Add -g.

Wed Oct  4 14:45:15 1995  Jeff Law  (law@hurl.cygnus.com)

	* Changes to reduce %r1 spillage on the PA and generally
	improve access to named storage.
	* shorten-life.c: New file for shortening register lifetimes.
	* flags.h (flag_shorten_lifetimes): Declare.
	* toplev.c (flag_shorten_lifetimes): Define.
	(f_options): Add "shorten-lifetimes" entry.
	(compile_file): Open and close its related dumpfile as appropriate.
	(fatal_insn): Flush shorten_lifetimes_dump_file.
	(rest_of_compilation): Call shorten_lifetimes if appropriate.
	(main): Set shorten_lifetimes_dump as appropriate.

	* local-alloc.c (update_equiv_regs):  If DONT_RECORD_EQUIVALENCE
	is defined, then use it to reject some EQUIVALENCES.
	* Makefile.in (OBJS): Add shorten-life.o.
	(shorten-life.o): Add dependencies.
	* pa.h (OPTIMIZATION_OPTIONS): If -O1 or greater turn on lifetime
	shortening pass.
	(DONT_REORD_EQUIVALENCE): Define.

	* Support for combination of unrelated insns to aggressively
	generate fmpyadd and fmpysub instructions on the PA.
	* reorg.c (dbr_schedule): Don't delete reorg USE insns when
	REORG_SAVE_USE_INSNS is nonzero.
	* pa.c (first_reorg_pass): Define.
	(pa_reorg): Run a "reorg" pass to combine unrelated insns into
	parallel insns.
	* pa.h (first_reorg_pass): Declare.
	(REORG_SAVE_USE_INSNS): Define.
	* pa.md (delay slot descriptions): Update so that they're
	not active on the first reorg pass.  Add delay slot descriptions
	for insns we want to combine during the first pass.

Wed Oct  4 11:49:56 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* reorg.c (mostly_true_jump): Pay attention to static branch
	prediction jumps.

Tue Oct  3 13:28:29 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* jump.c (branch_predict_move): Use PUT_CODE to update the code,
	not GET_CODE on the left hand side of the assignment.

Mon Oct  2 23:05:48 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (LIB_SPEC): Turn on debugging info.
	(PREFERRED_DEBUGGING_TYPE): Is DBX_DEBUG.

Fri Sep 29 11:45:34 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_check_vtable_importexport): Also look at
	DECL_VINDEX to see if a function is virtual.

Fri Sep 29 04:28:52 1995  Doug Evans  <dje@deneb.cygnus.com>

	* arm/pe.h (CPP_SPEC): Define __pe__.

Thu Sep 28 01:16:50 1995  Doug Evans  <dje@deneb.cygnus.com>

	* configure (arm-*-coff*): New target.
	* arm/{coff.h,t-bare}: New files.

Wed Sep 27 23:24:19 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_check_vtable_importexport): Only check virtual fns.
	(arm_mark_dllimport): Mark imported variables as `extern'.

Tue Sep 26 09:05:31 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.md (movsi): When loading imported symbol_ref's, need to
	insert a level of redirection.
	* arm/pe.c (arm_check_vtable_importexport): New function.
	(arm_dll{ex,im}port_p): Call it for vtables.
	(arm_mark_dllimport): Initialized imported variables are illegal.
	* arm/pe.h (REDO_SECTION_INFO_P): Redo vtables.
	(ASM_OUTPUT_COMMON): Don't output imported variables.

	* arm/pe.h (SUBTARGET_SWITCHES): Rename -mnop-dllimport
	to -mnop-fun-dllimport.
	* arm/pe.c (arm_dllimport_p): Update.

Fri Sep 22 09:56:34 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* config/elfos.h (ASM_OUTPUT_SOURCE_LINE): Use assemble_name to
	properly strip any encodings, including '*' from the function name
	before 	outputing.

Fri Sep 22 06:54:32 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k.c (pop_regs): Don't look past the end of the
	vector.

Wed Sep 20 12:26:37 1995  Michael Meissner  <meissner@cygnus.com>

	* rtl.def (EXPECT): New RTL code for branch predicition.
	* tree.h  (built_in_function): Add BUILT_IN_EXPECT enum.
	* expr.h (expect_optab): New optab for branch prediction.
	* genopinit.c (expect_optab): Find expect<type>3 functions.
	* optabs.c (expect_optab): Define and initialize.
	* c-decl.c (init_decl_processing): Add __builtin_expect.
	* expr.c (expand_builtin): Provide support __builtin_expect to
	handle branch predicition on the i960.

	* i960.c (i960_branch_predict): New function to return true or
	false depending on whether the branch is predicted.

	* i960.md (expectsi3): Add branch predicition support and insn
	combiners.

Thu Sep 14 17:05:37 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor for SET_TYPE):  Fix off-by-one-error.
	Also, devide start byte by BITS_PER_UNIT before passing to memset.

Mon Sep 11 17:33:07 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* profile.c (insn-config.h): Include.
	(output_arc_profiler): Add code for SMALL_REGISTER_CLASSES machines.

Fri Sep  8 15:13:43 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* configure (sh-*-*): Set float_format to sh3e.
	* config/float.h-sh3e: New file.

Fri Sep  8 14:10:20 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.h (CONST_COSTS): CONST_DOUBLEs are expensive if -msoft-float.

Wed Sep  6 12:06:00 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k/z8k.h (ASM_OUTPUT_PTR): New
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Use new macro.

Wed Sep  6 09:45:24 1995  Doug Evans  <dje@canuck.cygnus.com>

	* sparc/sparc.h (V9_SWITCHES): Recognize -mfullany (not fully
	supported yet).

	* sparc/sparc.md (*sethi_di_medany_text): Functions can be anywhere,
	so need to compute full 64 bit address.

	* sparc/sparc.h (STATIC_CHAIN_REGNUM): Use %g5 for sparc64.
	(TRAMPOLINE_TEMPLATE): Rewrite for sparc64.
	(TRAMPOLINE_SIZE): Is 40 for sparc64.
	* sparc/sparc.c (sparc64_initialize_trampoline): Rewrite.

	* a29k/vx29k.h (CPP_SPEC): Define.

Tue Sep  5 17:37:08 1995  Doug Evans  <dje@canuck.cygnus.com>

	* va-sparc.h (v9 varargs va_start): Handle __builtin_va_alist
	being stack argument.

Sun Sep  3 15:03:16 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (TARGET_NOP_DLLIMPORT): Define.
	(SUBTARGET_SWITCHES): Add -m{no-,}nop-dllimport.
	(TARGET_DEFAULT): Add -mnop-dllimport.
	* arm/pe.c (arm_dllimport_p): Return 0 if -mnop-dllimport.

Fri Sep  1 10:21:14 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* ginclude/va-ppc.h (va_arg): Reorganize to avoid BIND_EXPRs of
 	aggregate or array type.

Fri Sep  1 07:47:08 1995  James G. Smith  <jsmith@beauty.cygnus.com>

	* config.sub: (mips64vr4300, mips64vr4300el): New.
	* configure: (mips64vr4300-*-elf*, mips64vr4300-*-elf*): New.
	* config/mips/t-vr4300: New file.
	* config/mips/elfvr4300.h: New file.
	* config/mips/elfvr4300el.h: New file.
	* config/mips/.Sanitize: elfvr4300*.h and t_vr4300 added to keep.

Wed Aug 30 13:53:53 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* config/fp-bit.c (FLO_union_type): Remove bitfields to set sign,
	exponent, and mantissa, and add value_raw field, which is an
	integer of the appropriate type.  If _DEBUG_BITFLOAT is defined,
	provide little and big endian bitfields.  If the macro
	FLOAT_BIT_ORDER_MISMATCH is defined, use explicit bitfields.
	(pack_d, unpack_d): Switch to use value_raw and explicit shifts
	and masks so that we don't have to worry about whether the target
	is big or little endian unless FLOAT_BIT_ORDER_MISMATCH is
	defined.  If single precision floating point, rename to pack_f and
	unpack_f, so there is no confusion in the debugger.  If
	FLOAT_WORD_ORDER_MISMATCH is defined, explicitly swap words.

	* configure (powerpcle-*-winnt3): Add support for Windows NT on
	PowerPC.
	* rs6000/winnt.h, rs6000/t-winnt: Windows NT support files.

Tue Aug 29 10:34:55 1995  Doug Evans  <dje@canuck.cygnus.com>

	* tree.c (merge_attributes): New function.
	* tree.h (merge_attributes): Declare it.
	* c-decl.c (duplicate_decls): Call merge_attributes.
	* c-typeck.c (common_type): Likewise.
	* varasm.c (make_function_rtl): New target macro REDO_SECTION_INFO_P.
	(make_decl_rtl): Likewise.
	* arm/pe.c (arm_valid_machine_decl_attribute): Simplify.
	(arm_mark_dllexport): Watch for existing marker.
	(arm_mark_dllimport): Likewise.
	* arm/pe.h (REDO_SECTION_INFO_P): Define.

Mon Aug 28 11:43:13 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  Fix thinko ('continue' in wrong place).

Sun Aug 27 23:43:14 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* cccp.c (main):  Disable cplusplus_comments if -lang-chill.

Mon Aug 21 11:01:28 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (LIB_SPEC): add -lkernel32 -ladvapi32 -lgdi32 -luser32.
	(SDB_DEBUGGING_INFO): Disable for now.

Wed Aug 16 16:38:21 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k.c (asm_output_common): Align YASM common correctly.

Tue Aug 15 16:50:59 1995  steve chamberlain  <sac@slash.cygnus.com>

	* arm/t-pe: Fix typo.

Tue Aug 15 11:24:18 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (WCHAR_TYPE): Make short unsigned int.
	(WCHAR_TYPE_SIZE): Likewise.

Mon Aug 14 12:46:45 1995  Doug Evans  <dje@canuck.cygnus.com>

	* i386/t-win32 (LIBGCC1): Define.

Fri Aug 11 12:31:15 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k/z8k.md (ldir[b]_z800[1|2]): New patterns.
	(ldirb): Delete.
	(movstrhi): Use new patterns.

Fri Aug 11 10:41:52 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (site.exp): Add -L$(objdir)/../ld so
	the linker can find ldscripts.

Thu Aug 10 22:12:25 1995  Doug Evans  <dje@canuck.cygnus.com>

	* m68k/m68kemb.h (STARTFILE_SPEC): Define as empty.

Thu Aug 10 15:03:10 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.c (direct_return): If the CR is saved, we can't do
	direct returns.

Tue Aug  8 22:11:03 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  If storing into a range of array
	elements, and the range is small, or the target it not memory,
	then unroll the loop (and use store_field, which handles REGs).

Thu Aug  3 19:11:18 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* gcc.c (main): When concat gcc_exec_prefix and
	standard_startfile_prefix, put machine_suffix in the middle.

Thu Aug  3 13:07:44 1995  Doug Evans  <dje@canuck.cygnus.com>

	* expmed.c (negate_rtx): Negation of INT_MIN must be returned
	as CONST_DOUBLE if mode is larger than HOST_WIDE_INT.
	* cse.c (fold_rtx, case PLUS): Handle case where mode is larger
	than HOST_WIDE_INT and we're negating INT_MIN.

	* i960.md (movdi matchers): Fix src/dest order in unaligned
	reg->reg case.

Tue Aug  1 16:09:26 1995  Doug Evans  <dje@canuck.cygnus.com>

	* c-parse.in (setattrs): Undelete.
	(after_type_declarator): Recognize attributes.
	(parm_declarator, notype_declarator): Likewise.
	* Makefile.in (c-parse.c): Revise expected s/r count.
	(objc-parse.c): Likewise.

Mon Jul 31 17:16:28 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (gcc.o): Define STANDARD_STARTFILE_PREFIX to `../'.

Mon Jul 31 10:01:00 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k/lib2funcs.c: New file.
	* z8k/t-z8k: Build lib2funcs.
	* z8k/xm-z8k.h (#undef L_*): Delete.
	* z8k/z8k.c (print_operand): New operand types F, J & K.
	(r_ir_da_x_ba_operand_for_di): x_operand is valid.
	(immeditate15_operand): New predicate.
	* z8k/z8k.h: (LINK_SPEC): New.
	(TRAPOLINE_TEMPLATE): New.
	* z8k/z8k.md: (untyped_call): New pattern.
	(divides): Tidied up.
	(combine6): Deleted.

Mon Jul 31 13:35:44 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* toplev.c (vmessage): Support four arguments.

Sun Jul 30 12:11:52 1995  Doug Evans  <dje@canuck.cygnus.com>

	* profile.c (branch_prob): Second last block may not begin
	with real insn.

Thu Jul 27 09:32:46 1995  Doug Evans  <dje@canuck.cygnus.com>

	Fix prefix attribute handling.
	* c-parse.in (old_style_parm_decls): Renamed from xdecls.
	Disallow prefix attributes in old style parm decls.
	(setspecs): Split list of combined declspecs and prefix attributes
	into current_declspecs and prefix_attributes.
	(setattrs): Deleted.
	(fndef): Use current_declspecs.
	(reserved_declspecs): Put attributes in same list as declspecs.
	(declmods): Likewise.
	(after_type_declarator): Delete prefix attribute support.
	(parm_declarator, notype_declarator, absdcl1): Likewise.
	(typed_declspecs_no_prefix_attr): New rule.
	(reserved_declspecs_no_prefix_attr): New rule.
	(declmods_no_prefix_attr): New rule.
	* c-common.c (split_specs_attrs): New function.
	(strip_attrs): New function.
	* tree.h (split_specs_attrs, strip_attrs): Add prototypes.
	* Makefile.in (c-parse.c): Revise expected s/r count.
	(objc-parse.c): Likewise.

Mon Jul 24 11:37:29 1995  steve chamberlain  <sac@slash.cygnus.com>

	Add -mstd, -mstdframe, -mstdret and -mpushargs options.

	* z8k.md (andhi3, andqi3): Remove comments.
	* t-z8k: Support for std multilib build.
	* z8k.h (TARGET_STD*):  New defines.
	(TARGET_SWITCHES): Add new arguments.
	(LIBCALL_VALUE, FUNCTION_VALUE, FUNCTION_VALUE_REGNO_P): Depend upon
	 TARGET_STD_RET.
	* z8k.c (renumber, rev_renumber, regname): New.
	(print_operand_address): Use new macros for printing reg names.
	(override_options): Understand new flags. Initialze renumber array.
	(z8k_function_arg): Understand new flags.
	(push_regs, pop_regs): Cope with renumbered registers.

Mon Jul 24 11:37:29 1995  steve chamberlain  <sac@slash.cygnus.com>

	* config.sub: (-win32*, -pe*): New.
	* configure: (i[345]86-*-pe, i[345]86-*-win32): New.
	* explow.c: (adjust_stack_worker): Use adjust_stack if
	available.
	(adjust_stack, anti_adjust_stack): Call adjust_stack_worker.
	* getpwd.c (direct.h): Only include if _WIN32 and HAVE_DIRECT_H.
	* toplev.c (includes, get_runtime): Use rusage if HAVE_RUSAGE
	defined.
	* i386/i386.c (function_prologue): If CHECK_STACK_LIMIT defined,
	generate stack check code.
	* i386/i386.h (MASK_STACK_PROBE, TARGET_STACK_PROBE): New.
	(TARGET_SWITCHES): Add stack probe arguments.
	* i386/t-win32, win32.asm, win32.h, x-win32, xm-win32.h: New files.
	* winnt/xm-winnt.h: Define HAVE_DIRECT_H.

Wed Jul 19 16:29:02 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (CPP_SPEC): Define __big_endian__ if -EB.
	(CC1_SPEC): Pass -m{big,little}-endian if -EB/-EL.
	(ASM_SPEC, LINK_SPEC): Pass -EB/-EL to assembler, linker.
	(TARGET_BIG_ENDIAN): Define.
	(SUBTARGET_SWITCHES): Add -m{big,little}-endian.
	(BYTES_BIG_ENDIAN, WORDS_BIG_ENDIAN): Use TARGET_BIG_ENDIAN.
	(LIBGCC2_WORDS_BIG_ENDIAN): Define appropriately.
	(FIXED_REGISTERS, CALL_USED_REGISTERS): Make r10 call-saved, not fixed.
	* arm/t-pe (fp-bit.c, dp-bit.c): Add bi-endian support.
	(MULTILIB_OPTIONS, MULTILIB_DIRNAMES): Define.
	(LIBGCC, INSTALL_LIBGCC): Define.

Sun Jul 16 16:19:08 1995  Fred Fish  <fnf@cygnus.com>

	* config/i386/xm-sysv4.h (DONT_DECLARE_SYS_SIGLIST):  Needed for
	Unixware 2.X, and also works with Unixware 1.X.

Thu Jul 13 17:50:15 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* config/float.h-i32: New file.
	* configure (h8300-*-*): Use it.

Thu Jul 13 12:04:20 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  Handle RANGE_EXPR in array index.

Thu Jul 13 10:52:47 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.c (output_prolog): Fix typo in stm.

	* rs6000/rs6000.h (ASM_OUTPUT_REG_{PUSH,POP}): Move reg_names
	extern into these macros.  Also use reg_names[1] for the stack
	pointer.

Tue Jul 11 16:11:56 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (USER_H): Add ginclude/va-ppc.h.

	* configure (powerpcle*-sysv*): Use t-ppclegas, not t-ppcgas.
	(powerpcle*-eabi*): Use t-eabilegas, not t-eabigas.

	* ginclude/va-ppc.h: Finallize V.4 changes.

	* rs6000/eablie.h (CPP_SPEC): Indicate whether -mcall-aix,
	-mcall-sysv, or -msoft-float were used by defining macros.
	* rs6000/sysv4.h (CPP_SPEC): Ditto.
	* rs6000/sysv4le.h (CPP_SPEC): Ditto.

	* rs6000/sysv.4 (SUBTARGET_SWITCHES): Delete -mcall-mixed support,
	and modify all users to just use -mcall-aix.
	(FP_ARG_{AIX,V4}_MAX_REG): Define so that V.4/AIX specific code
	doesn't have to go through the conditional.

	* rs6000/rs6000.c (rs6000_sysv_varargs_p): New global to indiate
	V.4 style varargs/stdarg is used.
	(init_cumulative_args): Modify to support V.4 calling sequences.
	(function_arg): Ditto.
	(function_arg_advance): Ditto.
	(function_arg_partial_nregs): Ditto.
	(function_arg_pass_by_reference): Ditto.
	(rs6000_stack_info): Ditto.
	(setup_incoming_varargs): Ditto.
	(function_arg_advance): Move debug output after the structure
	has been modified.
	(expand_builtin_saveregs): New function to be called for
	__builtin_saveregs call from va-ppc.h.  It returns a pointer to
	the start of saved registers.

	* rs6000/rs6000.h (rs6000_stack_t): Remove no_regparm_p field.
	(RS6000_*): New macros for V.4 calling language support.
	(STARTING_FRAME_OFFSET): Add in V.4 varargs block if needed.
	(CUMULATIVE_ARGS): Make a typedef, not a macro.
	(EXPAND_BUILTIN_SAVEREGS): Define, call expand_builtin_saveregs.

	* rs6000/t-eabigas (MULTILIB*): Remove explicit big endian build,
	and add V.4 calling sequence build.
	
Thu Jul  6 15:45:20 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.h (TARGET_SWITCHES): Add -mdebug-arg.
	(rs6000_args): Add orig_nargs, prototype fields.

	* rs6000/rs6000.md (call patterns): Add new argument, that
	FUNCTION_ARG returns for VOIDtype.  If the argument is 1, then it
	means set bit 6 to say FP registers used to pass floating point.
	If the argument is -1, clear bit 6, otherwise leave bit 6 alone.
	(movsi): If second argument is a CONST_DOUBLE, convert it to
	CONST_INT.

	* rs6000/rs6000.c (init_cumulative_args): Initialize new fields.
	(function_arg): If V.4 calling sequences, return a marker for the
	call patterns to set up bit 6 of the CR register for variable
	argument functions.
	(init_cumulative_args): If -mdebug-arg, print debug information.
	(function_arg): Ditto.
	(function_arg_advance): Ditto
	(function_arg_partial_nregs): Ditto.
	(function_arg_pass_by_reference): Ditto.

	* rs6000/sysv.h (SUBTARGET_SWITCHES): Add -mprototype and
	-mno-prototype to control whether all calls to variable argument
	functions are assumed to be prototyped.

	* rs6000/eabile.h (CPP_SPEC): Define _CALL_AIX and _CALL_SYSV
	depending on what calling sequence is used.
	* rs6000/sysv.h (CPP_SPEC): Ditto.
	* rs6000/sysvle.h (CPP_SPEC): Ditto.

	* rs6000/t-rs6000 (EXTRA_PARTS): Install milli.exp.
	(milli.exp): Copy from rs6000 directory.

	* ginclude/stdarg.h: Include va-ppc.h if powerpc using V.4 calling
	sequence.
	* ginclude/varargs.h: Ditto.
	* ginclude/va-ppc.h: New varargs support for PowerPC using the V.4
	calling sequence.

Thu Jun 22 17:04:13 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (allocate_stack): For V.4 calling sequences,
	copy LR register slot in addition to back chain.  Also, always use
	store with update instructions, and add support for 64 bit mode.
	(movdi_update): Name this pattern.
	(movsi_update): Ditto.

	* rs6000/rs6000.c (function_arg_pass_by_reference): If V.4 calling
	sequences, aggregates get passed by reference.
	(setup_incoming_varargs): Use TARGET_V4_REGPARM, not
	TARGET_NO_AIX_REGPARM.
	(rs6000_stack_info): Use TARGET_V4_{REGPARM,CALLS}, not
	TARGET_NO_AIX_{REGPARM,CALLS}.  Also, -mcall-mixed must always
	allocate stack.

	* rs6000/rs6000.h (FUNCTION_ARG_PASS_BY_REFERENCE): Define, call
	function_arg_pass_by_reference.

	* rs6000/sysv4.h (TARGET_V4_{REGPARM,CALLS}): Provide alternate
	macros to TARGET_NO_AIX_{REGPARM,CALLS}.
	(SUBTARGET_SWITCHES): -mcall-mixed sets MASK_NO_AIX_CALLS and
	unsets MASK_NO_AIX_REGPARM.

	* rs6000/rs6000.h (TARGET_SWITCHES): Add -mdebug-stack switch.
	(rs6000_stack_t): New structure to completely describe the stack
	frame.
	(RS6000_REG_SAVE): New macro to give the size of the outgoing
	register save area.
	(REG_PARM_STACK_SPACE): Use RS6000_REG_SAVE, not hard coded
	values.
	(RS6000_SAVE_AREA): New macro to give the size of the fixed area
	of the stack.
	(STARTING_FRAME_OFFSET): Use RS6000_SAVE_AREA, not hard coded
	values.
	(FIRST_PARM_OFFSET): Ditto.
	(STACK_POINTER_OFFSET): Ditto.
	(GP_ARG*, FP_ARG*): New macros to encode min/max/number of
	registers used in passing arguments.
	(FUNCTION_ARG_REGNO_P): Use the GP_ARG*, FP_ARG* macros.
	(USE_FP_FOR_ARG_P): Ditto.
	(FP_SAVE_INLINE): New macro to return true if fp registers should
	be saved inline.
	(INIT_CUMULATIVE_ARGS): Move body to rs6000.c.
	(INIT_CUMULATIVE_INCOMING_ARGS): Ditto.
	(FUNCTION_ARG_ADVANCE): Ditto.
	(FUNCTION_ARG): Ditto.
	(FUNCTION_ARG_PARTIAL_NREGS): Ditto.
	(SETUP_INCOMING_VARARGS): Ditto.
	(INITIAL_ELIMINATION_OFFSET): Use the new rs6000_stack
	information structure.
	(toplevel): Update declarations of functions defined in rs6000.c.
	(reg_names): Add extern declaration.

	* rs6000/sysv4.h (SUBTARGET_SWITCHES): Add -mcall-aix,
	-mcall-mixed, and -mcall-sysv switches.
	(FP_ARG_MAX_REG): If not using the AIX calling sequence, restrict
	# of fp registers used for args to 8.
	(FUNCTION_ARG_REGNO_P): Indicate cr1 is also used to hold function
	arguments, for the stdarg flag.
	(RS6000_REG_SAVE): If not using the AIX calling sequence, no space
	is reserved for the GP registers.
	(RS6000_SAVE_AREA): Return correct values for the -mcall-*
	switches.
	(FP_SAVE_INLINE): Save floating registers inline, until the V.4
	floating point save functions can be written.

	* rs6000/rs6000.c (rs6000_immed_double_const): Add newline for
	better tags support.
	(rs6000_stack_info): New function to return all of the information
	needed for the stack frame for both AIX and V.4 calling sequences.
	(direct_return): Use it.
	(must_save_cr): Delete function, merged into rs6000_stack_info.
	(rs6000_sa_size): Ditto.
	(rs6000_pushes_stack): Ditto.
	(svr4_traceback): Rewrite to use the stack information
	rs6000_stack_info returns.
	(function_{prolog,epilog}): Ditto.
	(function_{prolog,epilog}): Use reg_names to write out register
	names.  Add support for 64 bit mode.
	(debug_stack_info): Print information about the stack.
	(function_prolog): Call debug_stack_info if -mdebug-stack.
	(init_cumulative_args): Code from INIT_CUMULATIVE{,_INCOMING}_ARGS
	macro.
	(function_arg_advance): Code from FUNCTION_ARG_ADVANCE macro.
	(function_arg): Code from FUNCTION_ARG macro.
	(function_arg_partial_nregs): Code from FUNCTION_ARG_PARTIAL_NREGS
	macro.
	(setup_incoming_varargs): Code from SETUP_INCOMING_VARARGS macro.
	(expand_block_move): Renable large -mstring move support commented
	out in getting 2.7.0 released.
	(first_reg_to_save): V.4 profiling doesn't require registers
	23..31 to be saved.

Mon Jun 19 11:56:01 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.h (ASM_OUTPUT_ADDR_VEC_ELT): Use LOCAL_LABEL_PREFIX.
	* arm/arm.md (movsi): Handle dllimport'd objects.
	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Only accept
	vars and fns.
	(arm_dllexport_p, arm_dllimport_p): Likewise.
	* arm/t-pe (fp-bit.c): Define FLOAT_BIT_ORDER_MISMATCH.
	(dp-bit.c): Define FLOAT_BIT_ORDER_MISMATCH, FLOAT_WORD_ORDER_MISMATCH.

	* fp-bit.c (pack_d): Support FLOAT_WORD_ORDER_MISMATCH.
	(unpack_d): Likewise.

Thu Jun 15 10:10:27 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.h (ASM_GENERATE_INTERNAL_LABEL): Use LOCAL_LABEL_PREFIX.
	(ASM_OUTPUT_INTERNAL_LABEL): Use ASM_GENERATE_INTERNAL_LABEL.
	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Add error checking.
	(variable_section): New function.
	* arm/pe.h (LOCAL_LABEL_PREFIX): Use '.'.
	(ASM_DECLARE_OBJECT_NAME): Redefine.

Wed Jun 14 18:12:47 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.md (call): Look for dllimport functions if ARM_PE.
	(call_value): Likewise.
	* arm/pe.h (CPP_SPEC): Enable __declspec.
	(ENCODE_SECTION_INFO): Watch for dllexport, dllimport.
	(STRIP_NAME_ENCODING): Strip dllexport/dllimport encodings.
	(ASM_OUTPUT_LABELREF): Redefine.
	(ASM_DECLARE_FUNCTION_NAME): Redefine.
	(EXTRA_SECTIONS): Add in_drectve.
	(EXTRA_SECTION_FUNCTIONS): Add DRECTVE_SECTION_FUNCTION.
	(DRECTVE_SECTION_FUNCTION): Define.
	(CTOR_LISTS_DEFINED_EXTERNALLY): Define.
	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Update.
	(arm_naked_function_p): Simplify.
	(arm_dllexport_p, arm_dllimport_p): New functions.
	(arm_dllexport_name_p, arm_dllimport_name_p): New functions.
	(arm_mark_dllexport, arm_mark_dllimport): New functions.
	(arm_pe_output_function_prologue): Simplify.

Mon Jun 12 15:14:55 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Rename
	__declspec to __declspec__.
	(arm_naked_function_p): Likewise.
	* arm/pe.h: Delete big-endian support.
	(PREFERRED_DEBUGGING_TYPE): Make dbx for now.
	(TARGET_DEFAULT): Use soft-float.
	(DEFAULT_SIGNED_CHAR): Define as 1.
	(ASM_OUTPUT_SECTION_NAME): Define.
	(CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP): Define.
	(EXTRA_SECTIONS): Add in_ctors, in_dtors.
	(CTORS_SECTION_FUNCTION, DTORS_SECTION_FUNCTION): Define.
	(EXTRA_SECTIONS_FUNCTIONS): Add them.
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Define.
	* arm/t-pe (LIBGCC1_TEST): Define as empty.

	* arm/arm.h (EXTRA_CONSTRAINT): Remove 'T' constraint.
	* arm/arm.md (movsi matcher): Likewise.

Fri Jun  9 17:57:46 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.h ({F,G}_ARG_*): New macros that give the minimum,
	maximum register number, number of registers, and return register
	for GP and floating point registers.
	(FUNCTION_VALUE_REGNO_P): Use {F,G}_ARG_* macros.
	(FUNCTION_ARG_REGNO_P): Ditto.
	(USE_FP_FOR_ARG_P): Ditto.

	* rs6000/rs6000.c (init_cumulative_args): Use {F,G}_ARG_* macros.
	(function_arg): Ditto.
	(function_arg_partial_nregs): Ditto.
	(setup_incoming_varargs): Ditto.

	* rs6000/sysv4.h (FP_ARG_MAX_REG): Redefine, since V.4 only passes
	the first 8 FP values in registers, not 13.
	(FUNCTION_ARG_REGNO_P): Redefine to make CR1 be an argument
	register to allow the invalid bit to be used to indicate that
	arguments were passed in FP registers to variable argument
	functions.

Fri Jun  9 12:25:00 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.h (PROMOTE_FUNCTION_ARG): Don't define any more,
	changes to function.c solves the problem this was trying to solve.
	(PROMOTE_FUNCTION_RETURN): Ditto.
	(FUNCTION_INCOMING_ARG): Ditto.
	(FUNCTION_VALUE): Don't change QI/HI functions returns into SI.


Wed Jun  7 16:56:06 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.h (PROMOTE_FUNCTION_ARGS): Define.
	(PROMOTE_FUNCTION_RETURN): Ditto.
	(FUNCTION_VALUE): Functions that return short or char now actually
	return using SImode, not HImode/QImode.
	(INIT_CUMULATIVE_ARGS): Call init_cumulative_args.
	(INIT_CUMULATIVE_INCOMING_ARGS): Ditto.
	(FUNCTION_ARG_ADVANCE): Call function_arg_advance.
	(FUNCTION_ARG): Call function_arg.
	(FUNCTION_INCOMING_ARG): Call function_arg, subsituting the
	assign_parms variable nominal_mode for MODE, so that char and
	short arguments are properly truncated.
	(FUNCTION_ARG_PARTIAL_NREGS): Call function_arg_partial_nregs.
	(SETUP_INCOMING_VARARGS): Call setup_incoming_varargs.

	* rs6000/rs6000.c (init_cumulative_args): Moved here from rs6000.h
	macros INIT_CUMULATIVE_{,INCOMING_}ARGS.
	(function_arg_advance): Moved here from FUNCTION_ARG_ADVANCE
	macro.
	(function_arg): Moved here from FUNCTION_ARG macro.
	(function_arg_partial_nregs): Moved here from
	FUNCTION_ARG_PARTIAL_NREGS macro.
	(setup_incoming_varargs): Move here from SETUP_INCOMING_VARARGS
	macro.
	(expand_block_move): Remove #if 0's that prevented large moves
	from being expanded if -mstring.  Bump up number of loads and
	stores to do before calling memcpy to 16.

Mon Jun  5 17:10:29 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (DBX_DEBUGGING_INFO): Define.
	(FILE_ASM_OP, IDENT_ASM_OP): Define.
	(ASM_FILE_START): Output .file directive.

Sun Jun  4 16:40:18 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/t-pe (LIB1ASMSRC, LIB1ASMFUNCS): Define.
	(LIB2FUNCS_EXTRA): Define.
	(_divmod_tools): Shorten name of _divmodsi_tools.
	(fp-bit.c, dp-bit.c): Build.
	* arm/pe.h (ARM_PE): Define.
	(VALID_MACHINE_DECL_ATTRIBUTE): New argument `ARGS'.
	(USER_LABEL_PREFIX, LOCAL_LABEL_PREFIX): Redefine.
	(HAVE_ATEXIT): Define.
	(NAME__MAIN, SYMBOL__MAIN): Define.
	* arm/lib1funcs.asm: Handle USER_LABEL_PREFIX.
	(_divmod_tools): Shorten name of _divmodsi_tools.
	* arm/arm.c (arm_expand_prologue): #ifdef out arm_naked_function_p.


Thu Jun  1 10:44:44 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* t-sparclite (MULTILIB_*, LIBGCC, INSTALL_LIBGCC): Define.


Fri May 19 14:17:30 1995  Steve Chamberlain  <sac@rtl.cygnus.com>

	* z8k.md (udivmodhi4): Disable pattern.
	* z8k.h (RETURN_POPS_ARGS): Fix args.

Wed May 17 16:15:31 1995  Torbjorn Granlund  <tege@rtl.cygnus.com>

	* i960.h (LONG_DOUBLE_TYPE_SIZE): Define to 96.

	* stor-layout.c (layout_type): After switch, invoke ROUND_TYPE_ALIGN
	and ROUND_TYPE_SIZE if they are defined.

	* emit-rtl.c (operand_subword): For references outside a word, return
	const0_rtx.

	* varasm.c (output_constant_pool): Use floor_log2 for alignment
	calculation consistently.


Mon May  8 11:10:41 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* Makefile.in (site.exp): Use -B instead of -L for newlib path in
	  newlib_ldflags definition, so the appropriate multilib is
	  selected.

Sat May  6 16:20:29 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (realclean): Local target (renamed to maintainer-clean).

Thu May  4 14:36:42 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tlink.c (dump_file): Move to collect2.c.


Tue Apr 25 16:57:29 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* configure: Link ../ld/ld.new to collect-ld rather than real-ld.

Sat Apr 22 02:54:08 1995  Jason Merrill  <jason@python.cygnus.com>

	* gcc.c (process_command): Set include_prefixes from
        COMPILER_PATH, too.

	* tlink.c (scan_linker_output): Only match actual errors in GNU ld
        output.

Fri Apr 21 16:26:15 1995  Torbjorn Granlund  <tege@adder.cygnus.com>

	* libgcc1-test.c (main_without__main): New name for main.

Thu Apr 20 16:29:50 1995  Jason Molenda  (crash@phydeaux.cygnus.com)

	* Makefile.in ($(srcdir)/INSTALL): Don't rebuild $(srcdir)/INSTALL.

Thu Apr 20 15:13:50 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* Makefile.in (site.exp): Split newlib_flags into newlib_cflags
	  and newlib_ldflags.

Wed Apr 19 16:16:17 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tlink.c: Check environment variable TLINK_VERBOSE.  Use
        file_exists rather than calling access directly.  Always run
        tlink_init before dump_file.

	* configure (ld handling): Only link ../ld/ld.new to real-ld.

Wed Apr 19 15:05:47 1995  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* tlink.c (symbol_push): Cast the obstack_alloc call.
	(file_push): Likewise.

Wed Apr 19 10:40:09 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tlink.c: Use the directory stored in the info file.

	* hash.[ch]: Copies of BFD hash table code.
	* tlink.c: Code to handle automatic template instantiation.

	* gcc.c (main): Set COLLECT_GCC_OPTIONS sooner.

Mon Apr 17 17:16:44 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* config/m68k/{x-hp320,x-hp320g} (FIXPROTO_DEFINES):
	Define _HPUX_SOURCE so putenv and other functions get seen.


Fri Apr 14 18:05:42 1995  Ken Raeburn  <raeburn@cujo.cygnus.com>

	* configure (m68k-elf, m68020-elf, i386-elf): New targets.
	* config/elfos.h, i386/i386elf.h, i386/t-i386elf, m68k/m68kelf.h,
	m68k/t-m68kelf, m68k/m68020-elf.h: New files.

Thu Apr 13 17:01:40 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (c-parse.c, objc-parse.c): Update expected count.

Mon Apr 10 11:17:43 1995  Torbjorn Granlund  <tege@adder.cygnus.com>

	* m68360-coff.h, m68360-none.h: New files.
	* config.sub: Handle m68360 as a valid cpu.
	* configure: Add case for m68360-*-coff.


Tue Apr 11 13:22:33 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (install-common): When FIXINCLUDES is Makefile.in,
	install a dummy shell script as fixincludes.


Wed Apr  5 12:48:36 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* cccp.c (collect_expansion): Patch from Paul Eggert
	<eggert@twinsun.com>, to fix problem of stringizing tokens with
	newlines in them with -traditional.

Fri Mar 31 10:14:58 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (stor-layout.o): Add flags.h dependency.

	* stor-layout.c, flags.h, toplev.o, invoke.texi: Remove Cygnus
	Local comments for -fpack-struct, since it is now installed at the
	FSF.

	* expmed.c (extract_bit_field): When converting a SUBREG into a
	REG, if the system is big endian, adjust the bit offset
	appropriately.

	* flow.c (mark_used_regs): If a SUBREG does not have a REG in the
	SUBREG_REG position, recursively call mark_used_regs, instead of
	segfaulting.

Thu Mar 30 11:28:51 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* c-typeck.c (digest_init):  Remove no-longer-used Chill stuff.

Thu Mar 30 13:57:44 1995  Ian Lance Taylor  <ian@cygnus.com>

	* config.sub: Merge CYGNUS LOCAL changes with top level config.sub
        file.

Mon Mar 27 14:38:09 1995  Doug Evans  <dje@chestnut.cygnus.com>

	* m68k/ose68000.h (STARTFILE_SPEC): Define as empty.
	* m68k/ose68k.h (STARTFILE_SPEC): Likewise.

Thu Mar 16 18:39:26 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* i386/t-svr4:	Use -fPIC, rather than -fpic, for building crtstuff.

Wed Mar 15 09:50:49 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/{pe.h,pe.c,t-pe}: New files.
	* arm/arm.c (arm_expand_prologue): Skip prologue if naked fn.
	* arm/arm.h (EXTRA_CONSTRAINT_P): New constraint `T'.
	* arm/arm.md (movsi matcher): New alternative for `T' ops.
	(movsicc, movsfcc, movdfcc): New patterns.
	(*movsicc_insn, *movsfcc_hard_insn, *movsfcc_soft_insn,
	*movdfcc_insn): Matchers for conditional move insns.

Mon Mar 13 12:31:56 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* toplev.c (PRINT_FILE_AND_LINE, PRINT_PROGNAME): New macros.
	(v_message_with_file_and_line, v_message_with_decl): Use them.

Wed Mar  8 16:48:15 1995  Michael Meissner  <meissner@cygnus.com>

	* stor-layout.c (layout_decl): Implment -fpack-struct here.
	(layout_record): Ditto.

	* c-decl.c (finish_struct): Don't implement -fpack-struct here.

	* expr.c (emit_move_insn_1): Test for flag_pack_struct in addition
	to maximum_field_alignment.
	(get_inner_unaligned_p): Ditto.
	(expand_expr): Ditto.



Tue Mar  7 08:39:47 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (c-parse.c): Update expected s/r count to 23.
	(objc-parse.c): Likewise to 35.
	(install-common): Add $(exeext) to gcov.

Mon Mar  6 16:24:57 1995  Doug Evans  <dje@canuck.cygnus.com>

	* alpha/netware.h: Deleted, no longer supported.
	* alpha/t-netware: Likewise.
	* configure (alpha-*-netware*): Likewise.
	(*): All alpha32 local patches deleted with ss-950305 merge.
	See me for archived version.

Fri Mar  3 11:13:17 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (main): If an option is a substring of a language
	dependent option, but matches a full -f or -W option, choose the
	full option instead, so that -fpack-struct doesn't become chill's
	-fpack.
	(f_options): Add support for -fpack_struct.
	(flag_pack_struct): New variable for -fpack_struct support.

	flags.h (flag_pack_struct): Add external declaration.

	c-decl.c (finish_struct): If -fpack-struct, assume that all
	members of a structure have __attribute__(packed) set.

Mon Feb 27 14:00:00 1995  Kung Hsu  <kung@mexican.cygnus.com>

	* configure: add a29k-*-vxworks configuration.
	* config.sub: add vxworks29k configuration.
	* config/a29k/vx29k.h: for a29k-*-vxworks configuration.
	* config/a29k/t-vx29k: for a29k-*-vxworks configuration.

Wed Feb 15 17:57:01 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* tree.h (get_set_constructor_bytes)  Fix prototype.
	* varasm.c (output_constructor):  Fix typo byte_size -> size.

Mon Feb 13 13:49:25 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* configure: call testsuite/configure if it is present.


Sun Feb 12 15:24:48 1995  Steve Chamberlain  <sac@splat>

	* z8k/xm-z8k.h: Enable DI mode libgcc functions.
	* z8k/z8k.c (print_operand): Handle CONST.
	(simple): Rewrite to use only one pseudo register.
	* z8k/z8k.md (addpsi3_,subpsi3_): Relax predicates for operand1.
	(ldirb): Use scratch register for length to avoid
	gcc problem.
	(subsi3): Remove the define_expand.
	(mul*, div*): Rewrite.
	(subdi3): Isn't commutative.


Wed Feb  8 17:01:19 1995  Angela Marie Thomas  <angela@blues.cygnus.com>

	* Makefile.in (testdir): Define target_alias as well as
	target_triplet in site.exp.

Mon Feb  6 16:05:14 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reload1.c (allocate_reload_reg): Disable round-robin allocation
	of spill registers when RELOAD_ALLOC_ORDER is defined.

Mon Feb  6 11:41:28 1995  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (AR_FOR_TARGET, RANLIB_FOR_TARGET): Add semicolon
	after fi.

Mon Feb  6 02:43:48 1995  Torbjorn Granlund  (tege@tarkas.cygnus.com)

	* m68k/lb1ssun3.asm (__udivsi3, __divsi3, __umodsi3, __modsi3):
	Rewrite to actually work for more than a few small operands,
	and to have reasonable sizes.
	(__mulsi3): Eliminate usage of link register (i.e. a6).
	(__umulsi3): Delete.
	* t-ose68, t-lynx, t-adobe (LIB1ASMFUNCS): Remove _umulsi3.

Fri Feb  3 17:03:40 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* expr.c (expand_expr): In unaligned bitfield test, also check
	modifier and exclude the cases where we are expanding constants
	or addresses.

Thu Feb  2 11:22:54 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (call, call_value): On System V.4 and eABI
	systems, function pointers are normal function pointers, and not
	AIX style pointers to a three word region.
	(smin:SF, smin:DF, smax:SF, smax:DF): Merge from FSF, to correct
	typo.

	* configure, rs6000/t-rs6000: Merge from FSF, use rs6000/t-rs6000
	all on Power and PowerPC ports to suppress building libgcc1.a.

	* rs6000/t-eabi, rs6000/t-lynx, rs6000/t-netware: Delete in favor of
	using the common rs6000/t-rs6000.

Wed Feb  1 16:46:20 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.h (REGISTER_MOVE_COST): Merge from FSF to include
	the register class that includes both the link and count
	registers.

Wed Feb  1 10:12:46 1995  Michael Meissner  <meissner@cygnus.com>

	* sdbout.c: Merge from FSF, don't include syms.h under Linux.

Tue Jan 31 12:31:56 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* alpha/alpha.h (ASM_OUTPUT_INT): Add ,0 to last operand of
	conditional expression, to avoid invalid void expression.

Mon Jan 30 12:38:51 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/eabi.h (PREFERRED_DEBUGGING_TYPE): For now, make stabs
	the preferred debugging type.

Fri Jan 27 21:16:31 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/sysv4.h (DBX_OUTPUT_LBRAC, DBX_OUTPUT_RBRAC): Delete, we
	don't need to emit a '.' in front of function names.
	(ASM_OUTPUT_SOURCE_LINE): Do not put a '.' in front of function
	names.

Thu Jan 26 13:13:25 1995  Michael Meissner  <meissner@cygnus.com>

	* config.sub: Add support for powerpc-*-{elf,svr4,eabi}.
	* configure: Ditto.

	* rs6000/xm-sysv4.h: New file, to support building GCC for a
	System V.4 PowerPC system.
	* rs6000/sysv4.h: Ditto.
	* rs6000/x-sysv4: Ditto.

	* rs6000/eabi.h: New file, to support building GCC for an embedded
	PowerPC system.
	* rs6000/t-eabi: Ditto.

	* rs6000/rs6000.h (TARGET_SWITCHES): Add -mmultiple, -mno-multiple
	to control emitting load/store multiple instructions.  On the
	power, this is on by default, and on the powerpc it is off.
	(SAVE_FP_*, RESTORE_FP_*): New macros that give the prefix and
	suffix to use for the functions that save and restore the floating
	point registers.

	* rs6000/rs6000.c (output_prolog): Use TARGET_MULTIPLE instead of
	TARGET_POWER to control whether to emitt load/store multiple
	instructions.  Use the SAVE_FP_*/RESTORE_FP_* macros instead of
	using the hardwired AIX names for the functions to save and
	restore the floating point registers.
	(output_epilog): Likewise.
	(print_operand_address): Do not prepend a '.' for %z when using
	the ELF object file format.
	(svr4_traceback): New function to emit the word before the
	procedure prologue that System V.4 expects to do tracebacks.
	(output_prolog): Call svr4_traceback under ELF systems.
	(output_epilog): Omit AIX style traceback tables for ELF systems.
	(output_function_profiler): Abort for now in the ELF case.

	* rs6000/rs6000.md (load_multiple, store_multiple): Test against
	TARGET_MULTIPLE instead of TARGET_POWER.

Mon Jan 23 14:48:29 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* tree.h (boolean_true_node, boolean_false_node):  Removed.

Mon Jan 16 15:41:33 1995  Doug Evans  <dje@canuck.cygnus.com>

	* libgcc2.c (_bb, inhibit_libc): Delete local version, use FSF's.

Fri Jan 13 14:16:01 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* ginclude/va-alpha.h (__va_tsize): Wrap uses of 'long long' with
        __extension__.

Mon Jan  9 13:04:37 PST 1995  Steve Chamberlain  (sac@jonny.cygnus.com)
 
 	* c-decl.c (addrarith_type): Remove.
 	(init_decl_processing): Don't initialize addrarith_type.
 	* c-typeck.c (pointer_int_sum):  Use OFFSET_SIZE
 	where addrarith_type used to be.
 	* expr.c (get_inner_reference, expand_expr): Ditto.
 	* tree.h: (OFFSET_SIZE): New definition.
 	* tm.texi (OFFSET_SIZE): Describe.
 	* z8k.h: (OFFSET_SIZE): Define.
 
Fri Jan  6 17:50:48 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k/z8k.h (DO_GLOBAL_CTORS_BODY): Run constructors from right to
	left not left to right.
	* m88k/m88110-coff.h: Likewise.

Tue Jan  3 18:43:50 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* varasm.c (const_hash, compare_constant_1, record_constant_1,
	copy_constant):  Add support for SET_TYPEs.

Tue Jan  3 17:37:59 1995  Doug Evans  <dje@canuck.cygnus.com>

	* expmed.c (extract_bit_field, fields bigger than word case): Count
	subwords in target.  Zero remaining upper bits if unsigned.

Wed Dec 28 11:03:13 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* z8k.c (fixup): Delete.
	(whichway, output_move64): Get more cases right.
	* z8k.md (cmphi, subhi3): Remove calls to fixup.
	(_cmpqi): New pattern.
	(cmpqi): Expand and force necessary operands into
	registers.
	(_pushdi): Call output_move64.

Fri Dec 23 14:04:13 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* Makefile.in (LIBGCC2_INCLUDES, LIBGCC2_DEPS): Remove obsolete
	CYGNUS LOCAL patches.

Thu Dec 22 13:46:16 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* config/netware.h (RELATIVE_PREFIX_NOT_LINKDIR, LIBGCC_SPEC):
	  #undef so that ../gcc/xgcc -B../gcc/ will find libgcc.


Mon Dec 19 14:27:39 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* configure (*-*-netware): Set fixincludes.
	* config/{alpha,i386,rs6000}/t-netware (FIXINCLUDES): Removed.

Mon Dec 19 13:03:30 1994  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reload1.c (reload_as_needed): Use RELOAD_ALLOC_ORDER.
	* z8k.h (REG_CLASS_CONTENTS): Remove reg 0 from SGI_REGS, and add
	reg 7.
	(REGNO_REG_CLASS): Return QI_REGS for reg 0 not reg 7.


Thu Dec  8 19:35:16 1994  Doug Evans  <dje@cygnus.com>

	* mips/t-ncd (CROSS_TEST, ENQUIRE, EXTRA_PASSES): Delete.
	* mips/ncd.h (inhibit_libc): Delete.

Tue Dec  6 16:50:22 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* z8k.c (r_ir_da_x_operand_for_di, r_ir_da_x_ba_operand_for_di):
	New functions.
	(whichway): New function.
	(output_move64): Use new function.
	* z8k.h (TARGET_TYPED64_BIT):  New
	(DOUBLE_TYPE_FLAG): Depends on above flag.
	* z8k.md (subdi3, adddi3, movdf, movdi): Use new predicates.

	From Jim Wilson:
	* z8k.h (RELOAD_ALLOC_ORDER): Define.
	* reload1.c (order_regs_for_reload, reload): Use RELOAD_ALLOC_ORDER.
	* regclass.c (reload_alloc_order): New variable definition.
	* hard-reg-set.h (reload_alloc_order): New variable declaration.

Sun Dec  4 21:56:19 1994  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (bi-parser.c): Don't create y.tab.c, c-parse.c's is
	more important.
	(mostlyclean): Delete y.tab.c, y.tab.h.

Tue Nov 29 17:10:50 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* z8k.h (GO_IF_LEGITIMATE_ADDRESS): Disallow bx mode for
	DI and DF.
	(PRINT_OPERAND_PUNCT_VALID_CODE): New code.
	* z8k.md (nameless pushqi): Remove memory source modes,
	delete useless pattern.
	(nameless pushdf, pushdi): Push operands in the right order.
	(adddi3, subdi3): Add more patterns.
	* z8k.c (print_operand): Process ^ and B. Handle more
	varieties of bx mode addressing.
	(z8k_function_arg, faa): Fix large arg handling.
	(getreg): New function.
	(output_move64): New function.
	* t-z8k: Add dp handling.

Mon Nov 28 17:38:27 1994  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k.h (IR_P): Accept MEM with pseudo-reg address during reload.
	(BA_P): Accept (MEM (PLUS (pseudo) CONST_INT)) during reload.
	(REG_ALLOC_ORDER): Move 4/5 to front of list.
	* z8k.md (movqi_matchet): Move ur/rn constraint to end of list.

Mon Nov 28 10:42:52 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* config/t-netware: Unused file, removed.
	* config/rs6000/t-netware (EXTRA_PARTS): Removed, we handle ctors
	  and dtors differently than svr4 does.

Thu Nov 24 19:42:21 1994  Doug Evans  <dje@canuck.cygnus.com>

	* gcc.c (translate_options): Handle blanks in GCC_DEFAULT_OPTIONS
	better.
	(main): Don't print GCC_DEFAULT_OPTIONS if undefined.

Wed Nov 23 11:11:22 1994  Jim Wilson  <wilson@chestnut.cygnus.com>

	* gcov.c (create_program_flow_graph): Always read a byte at a time
	from .da file.
	* profile.c (branch_prob): Likewise.
	* libgcc2.c (__bb_exit_func): Always read/write a byte at a time
	from .da file.  Change inner loop to use j as iteration variable so
	it doesn't conflict with outer loop.

Tue Nov 22 18:21:08 1994  Doug Evans  <dje@canuck.cygnus.com>

	* configure: Delete check for pagas.

Sat Nov 19 15:59:32 1994  Jim Wilson  (wilson@chestnut.cygnus.com)

	* z8k.c (extern_head): New variable.
	(asm_output_local, asm_output_name): New functions.
	(asm_output_common): Change variable names to lowercase.
	Make TARGET_YASM case call ASM_GLOBALIZE_LABEL and ASM_OUTPUT_LOCAL
	macros.
	(extlist): Delete variable.
	(asm_seen, asm_output_function_prefix): Delete functions.
	(asm_file_end): Use extern_head.  Cleanup formatting.  Delete
	redundant if expression.
	(z8k_output_external): New function.
	* z8k.h (ASM_GLOBALIZE_LABEL): Use tab not space for consistency.
	(ASM_OUTPUT_EXTERNAL): Call z8k_output_external.
	(ASM_OUTPUT_EXTERNAL_LIBCALL): New macro.
	(ASM_OUTPUT_FUNCTION_PREFIX): Delete macro.
	(ASM_OUTPUT_COMMON): Cleanup formatting.
	(ASM_OUTPUT_LOCAL): Call asm_output_local.
	(ASM_DECLARE_OBJECT_NAME, ASM_DECLARE_FUNCTION_NAME): New macros.

Fri Nov 18 11:33:54 1994  J.T. Conklin  (jtc@cygnus.com)

	* config/alpha/lib1funcs.asm: New file, Torbjorn Granlund's
	  integer division and remainder code.
	* config/alpha/t-netware: Use it.

Thu Nov 17 11:33:01 1994  J.T. Conklin  (jtc@cygnus.com)

	* config/alpha/netware.h: Revert last change.  The alpha NetWare
	  toolchain uses ECOFF and collect2 for ctors and dtors, this is
	  too much of a difference to try to use the ELF definitions used
	  by the other NetWare platforms in config/netware.h.
	  (CPP_PREDEFINES): Added -DALPHA.

	* config/i386/netware.h (CPP_PREDEFINES): Added -DAPX386.

	* config/rs6000/netware.h: Use config/netware.h, remove common
	  macro definitions.
	 (CPP_PREDEFINES): Added -DPPC.

	* config/netware.h (READONLY_DATA_SECTION, CONST_SECTION_ASM_OP,
	  CONST_SECTION_FUNCTION): #define macros instead here instead of
	  assuming they will be inherited correctly from the base-os
	  config files.
	  (DBX_DEBUGGING_INFO, SDB_DEBUGGING_INFO, DWARF_DEBUGGING_INFO,
	  XCOFF_DEBUGGING_INFO, PREFERRED_DEBUGGING_TYPE): #define/#undef
	  macros here instead of assuming they will be inherited correctly
	  from the base-os config files.

Thu Nov 17 18:50:16 1994  Doug Evans  <dje@canuck.cygnus.com>

	* ns32k/ns32k-aout.h: Deleted, not used anymore.
	* ns32k/ns32k-coff.h: Likewise.

Thu Nov 17 18:22:23 1994  Jim Wilson  (wilson@chestnut.cygnus.com)

	* explow.c (promote_mode): Handle REFERENCE_TYPE just like
	POINTER_TYPE.

Wed Nov 16 17:06:26 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config/mips/ecoffl.h: Define TARGET_ENDIAN_DEFAULT rather than
	BYTES_BIG_ENDIAN and WORDS_BIG_ENDIAN.
	* config/mips/elfl.h, config/mips/elfl64.h: Likewise.
	* config/mips/t-ecoff (dp-bit.c, fp-bit.c): Add code to define
	FLOAT_BIG_ORDER_MISMATCH if __MIPSEL__ is defined.
	(MULTILIB_OPTIONS, MULTILIB_DIRNAMES): Build both big and little
	endian versions of the libraries.
	* config/mips/t-ecoffl: Remove.
	* configure (mipsel-*-ecoff*): Set tmake_file to mips/t-ecoff, not
	mips/t-ecoffl.

Mon Nov 14 12:38:03 1994  Doug Evans  <dje@canuck.cygnus.com>

	* z8k/z8k.h (CPP_SPEC): Define __INT_MAX__.

Thu Nov 10 19:58:59 1994  Doug Evans  <dje@canuck.cygnus.com>

	* m68k/t-m68kbare (MULTILIB_MATCHES): Treat m68302/m68332 like m68000.

Tue Nov  8 10:54:38 1994  Doug Evans  <dje@canuck.cygnus.com>

	* configure (embedded targets): Consistently have '*'
	after aout, coff, etc.


Thu Oct 27 15:28:20 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* c-typeck.c:  Remove no-longer-used Chill-specific code.

Wed Oct 26 16:22:01 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config.sub: Merge in changes from top level config.sub.

Mon Oct 24 10:33:34 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config/sparc/xm-lynx.h: Include <sys/types.h> and <sys/wait.h>
	in order to define exit status accessor macros.

Wed Oct 19 14:19:11 1994  Doug Evans  <dje@canuck.cygnus.com>

	* configure (m68k-*-aout/coff): Simplify.

Mon Oct 17 11:11:27 1994  J.T. Conklin  (jtc@phishhead.cygnus.com)

	* configure/netware.h: #undef INIT_SECTION_ASM_OP, #define
	  HAVE_ATEXIT to support constructors and destructors.

Fri Oct 14 11:08:03 1994  J.T. Conklin  (jtc@phishhead.cygnus.com)

        * configure (sparc-*-netware*): Removed.
	* config/sparc/{netware.h,netwcomm.h,t-netware}: Removed.

	* config/netware.h: New file, definitions common to all netware
	  ports.
	* config/alpha/netware.h: Use it.
	* config/i386/netware.h: Use it.
	* config/i386/netwcomm.h: Removed.

Wed Oct 12 13:19:05 1994  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (LANGUAGES): Put gcov back.

Tue Oct 11 14:02:55 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* z8k.c (abort): Delete.
	* z8k.h (BA_P): Accept unallocated pseudo-registers.
	(ASM_OUTPUT_SOURCE_LINE): Use arg LINE instead of variable
	last_linenum.
	* z8k.md (combine5+2): Use const_int_operand instead of
	immediate_operand.

Tue Oct  4 14:13:25 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* explow.c (allocate_dynamic_stack_space):  Use size_type
	to make prevous change more robust.

Mon Oct  3 14:24:19 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* explow.c (allocate_dynamic_stack_space):  If -fcheck-stack,
	call _probe to test for stack overflow.

Mon Oct  3 12:02:05 1994  Doug Evans  <dje@cygnus.com>

	* sparc/x-sun4: Deleted, not used anymore.
	* config/x-cygnus, config/xm-cygnus.h: Likewise.
	* a29k/a29k-aout.h, a29k/a29k-coff.h: Likewise.
	* i860/i860-aout.h, i860/i860-coff.h: Likewise.
	* vax/vax-aout.h, vax/vax-coff.h: Likewise.
	* configure (a29k-*-aout): Likewise.

Sun Oct  2 16:35:57 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/float.h-ieee: Protect from multiple inclusion.
	(all macros): #undef first.
	* config/float.h-vax: Likewise.

Sat Oct  1 01:15:49 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/rs6000/netware.h (DBX_OUTPUT_LBRAC): Define.
	(DBX_OUTPUT_RBRAC): Define.

Fri Sep 30 17:55:10 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config/i386/netware.h: sysv4dbx.h was replaced by sysv4gdb.h.

	* configure (sparc-*-lynxos*): Use t-sunos41, not t-sparcbare.

Thu Sep 29 19:19:02 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* config/i386/i386.c (function_prologue):  Some cleaning up
	(use output_asm_insn)>  Push frame_size to _probe().

Thu Sep 29 16:37:54 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* config/i960/t-960base (LIBGCC2_CFLAGS): Delete.

Wed Sep 28 13:16:54 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* config/sparc/sparc.c (output_function_prologue):  Fix delay-slot
	lossage.  Pass actual_fsize in %o0.

Mon Sep 26 16:41:31 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* i386/netwcomm.h (WCHAR_TYPE, WCHAR_TYPE_SIZE): Define.

Fri Sep 23 11:30:59 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* expr.c (expand_assignment): Make sure offsets are the right
	size before addition.

Thu Sep 22 15:57:18 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expr.c (protect_from_queue): Copy the MEM_UNALIGNED_P bit.

Thu Sep 22 11:47:27 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	Revert LynxOS patches of Sep 8.
	* configure (i[34]86-*-lynxos*): Use t-i386bare, not t-lynx.
	(sparc-*-lynxos*): Use t-sparcbare, not t-lynx.
	* config/i386/t-lynx: Remove.
	* config/m68k/t-lynx (FIXINCLUDES, STMP_FIXPROTO): Don't define.
	* config/sparc/t-lynx: Remove.

Wed Sep 21 18:17:26 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc/litecoff.h (ASM_OUTPUT_SOURCE_LINE): Provide definition that
	works with -gstabs and -gcoff.

Tue Sep 20 13:45:55 1994  Doug Evans  (dje@canuck.cygnus.com)

	* configure: Restore -v and -verb*, clobbered in merge.

	* Makefile.in (site.exp): No need to pass -I$(objdir)/include.
	Add some notes regarding newlib.

Fri Sep 16 17:25:31 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* toplev.c (f_options):  Add "check-stack".
	(lang_options):  Remove "-fcheck-stack".

Fri Sep  9 12:34:21 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* i386/sco.h (DBX_DEBUGGING_INFO, PREFERRED_DEBUGGING_TYPE): Delete.

	* lite.h (INIT_TARGET_OPTABS): Rename to INIT_SUBTARGET_OPTABS.
	* vxsparc.h (INIT_TARGET_OPTABS): Likewise.

Fri Sep  9 08:30:12 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* c-typeck.c (pointer_int_sum): Make segmented code handler
	dependent upon TARGET_SEGMENTED, not TARGET_Z8000.
	* expr.c (get_inner_reference, expand_expr): Ditto.
	* config/z8k/z8k.h: Define TARGET_SEGMENTED.

Thu Sep  8 19:11:26 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* c-typeck.c (lvalue_p):  Remove no-longer needed Chill stuff.
	* c-typeck.c (get_constructor_element_type):  Removed.
	* varasm.c (unpack_set_constructor, pack_set_constructor):
	Removed.  (Replaced by new FSF-approved functions in tree.c.)
	(emit_set_data):  Update appropriately.

Thu Sep  8 17:29:40 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* config/lynx.h: (ASM_OUTPUT_SOURCE_LINE): Use assemble_name to
	format the function's name.

Thu Sep  8 17:14:29 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c (set_storage):  Removed.  Not used.
	* expr.c (store_constructor):  Clean up Chill SET_TYPE support
	to use changes in tree.c and stor-layout.c.
	Call __setbits instead of __setpowersetbits.
	* expr.c (store_field):  Fix from Jim Wilson for unaligned-pointers.

Thu Sep  8 15:44:30 1994  D. V. Henkel-Wallace  (gumby@blues.cygnus.com)

	* config: use i386/t-lynx and sparc/t-lynx for the appropriate
	lynxOS configurations.
	config/sparc/t-lynx: new file.  Don't run FIXINCLUDES/FIXPROTO.
	config/i386/t-lynx: new file.  Don't run FIXINCLUDES/FIXPROTO.
	config/m68k/t-lynx: Don't run FIXINCLUDES/FIXPROTO.

Thu Sep  8 10:32:03 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* alpha/netware.h: #undef HAS_INIT_SECTION.

Tue Sep  6 15:28:07 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (do_spec_1, case 'v'): Ignore the `-94q4' added to the
	version number.

Tue Sep  6 11:52:04 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* config/alpha/netware.h: Define empty STARTFILE_SPEC and
	  ENDFILE_SPEC.
	* config/rs6000/netware.h: Likewise.

Mon Sep  5 15:01:36 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/rs6000/netware.h (PREFERRED_DEBUGGING_TYPE): Undefine
	before defining.

Fri Sep  2 17:03:37 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* alpha.md (movdi): Add a gen_lowpart (PTRmode, ...) call, so that
	it works with 32 bit addresses.

Fri Sep  2 13:16:38 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* flags.h, toplev.c (flag_check_stack):  New flag (for Chill).

Tue Aug 30 16:38:42 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stmt.c (all_cases_count, mark_seen_cases, BITARRAY_TEST,
	BITARRAY_SET):  New functions and macros.  Used (mainly by
	Chill) to check all cases are covered (for enums and ranges).

Sun Aug 28 11:19:19 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/t-m68kbare (LIB2FUNCS_EXTRA): Add xfgnulib.c.
	Build xfgnulib.c from fpgnulib.c with -DEXTFLOAT.
	* m68k/fpgnulib.c (__extenddfxf2, __truncxfdf2 __extendsfxf2,
	__truncxfsf2, __floatsixf, __fixxfsi, __addxf3, __subxf3, __mulxf3,
	__divxf3, __negxf2, __cmpxf2, __eqxf2, __nexf2, __ltxf2, __lexf2,
	__gtxf2, __gexf2): New fns.

Fri Aug 26 13:30:30 1994  Doug Evans  (dje@cygnus.com)

	* configure: add mips-ncd-elf
	* config/mips/{ncd.h,t-ncd}: New files.

Fri Aug 26 12:01:50 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/sparc/{sp64-a-v8.h, sp64-svr4.h, sp64-v8-abi.h,
	sp64-v9-abi.h sparc64.c, sparc64.h, sparc64.md}:
	The sparc64 port is at the FSF now.  These are no longer needed.

Fri Aug 26 11:51:18 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* Makefile.in (stmp-fixinc): If we fixed the header files in
	$(tooldir)/include, make sure that $(libsubdir) exists, so that
	cpp will work when it uses $(libsubdir)/$(unlibsubdir).

Thu Aug 25 23:36:00 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* c-common.c (binary_op_error), fold-const.c (fold_convert):
	Remove obsolete Chill-sanitized junk.

Thu Aug 18 11:03:39 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips/mips.h (ASM_SPEC): Pass -mcpu=X to gas.

Tue Aug 16 00:37:35 1994  Per Bothner  (bothner@cygnus.com)

	* expr.c (maximum_field_alignment):  More extern declaration
	from inside emit_move_insn_1 to global scope.

Mon Aug 15 14:43:40 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* emit-rtl.c (operand_subword): Copy MEM_UNALIGNED_P.
	(change_address): Likewise.
	* explow.c (stabilize): Likewise.
	* expmed.c (store_split_bit_field): Handle LO_SUM.
	* expr.c (emit_move_insn_1): Handle case where X or Y is a MEM
	with MEM_UNALIGNED_P set.
	(get_inner_unaligned_p): Return zero when flag_unaligned_pointers
	is true.
	(expand_expr, case INDIRECT_REF): Set MEM_UNALIGNED_P if
	flag_unaligned_pointers is true.
	(expand_expr, case OFFSET_REF): Likewise.
	(expand_expr, case COMPONENT_REF): Copy MEM_UNALIGNED_P.
	* flags.h (flag_unaligned_pointers): Declare.
	* rtl.h (struct rtx_def): Document new use of integrated flag.
	(MEM_UNALIGNED_P): New macro.
	* toplev.c (flag_unaligned_pointers): Define.
	(f_options): Add -funaligned-pointers option.

Fri Aug 12 18:32:30 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* config.sub: Accept mips64orion and mips64orionel as a CPU name.
	* configure (mipsel-*-elf*): Rename from mips-*-elfl*.
	(mips64el-*-elf*): Rename from mips64-*-elfl*.
	(mips64orionel-*-elf*): New target.
	(mips64orion-*-elf*): New target.
	* config/mips/elforion.h, config/mips/elflorion.h: New files.

Sat Aug  6 15:20:28 1994  Jason Molenda (crash@phydeaux.cygnus.com)

        * configure: add i960-nindy-coff.

        * i960/i960-coff.h (PREFERRED_DEBUGGING_TYPE): Define, set to
        SDB_DEBUG, also remove #undef of DBX_DEBUGGING_INFO.

        * i960/t-960bare: New file.  Mostly copied from i960/t-vxworks960.

Fri Aug  5 16:22:14 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expr.c (emit_move_insn_1): In -fpack code, assume all addresses
	are aligned after reload starts.

Fri Aug  5 11:38:06 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* a29k/a29k.h, h8300/h8300.h, i386/sysv3.h,
	m68k/m68k-coff.h, m88k/m88k-coff.h, sh/sh.h, z8k/z8k.h
	(DBX_DEBUGGING_INFO): Define.
	(PREFERRED_DEBUGGING_TYPE): Define, set to SDB_DEBUG.

Wed Aug  3 06:16:00 1994  D. V. Henkel-Wallace  (gumby@cygnus.com)

	* config/lynx.h: update LIB_SPEC and STARTFILE_SPEC for 2.2.2.
	Stub out FUNCTION_PROFILER; lynx doesn't have mcount.

	* config/rs6000/lynx.h: Stub out FUNCTION_PROFILER again; also
	define rs6000 lynxOS 2.2.2 STARTFILE_SPEC which is different since
	rs6000 lynxOS 2.2.2 is different from the normal lynxOS 2.2.2.

Wed Jul 27 11:14:53 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips/elf64.h (CPP_SPEC): Define.

Tue Jul 19 13:06:44 1994  Bill Cox  (bill@rtl.cygnus.com)

	* configure: Rename OSE file here and in config/m68k.
	* config/m68k/t-ose*

Tue Jul 19 11:31:43 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* a29k/t-a29k (dp-bit.c): Use > not >> in cat command.

Mon Jul 18 13:27:30 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* sparc.h (SELECT_SECTION, SELECT_RTX_SECTION): Use
	SUNOS4_SHARED_LIBRARIES.

	* rs6000/rs6000.h (ASM_SPEC): Change power to mpower.

Thu Jul 14 16:00:04 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* configure (m68*-ericsson-OSE,m68*-ericsson-ose): It's t-ose, not
	t-ose68.

Mon Jul 11 16:30:54 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c (emit_move_insn_1):  If maximum_field_alignment != 0,
	handle unaligned indirect memory references.

Mon Jul 11 14:24:20 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expr.c (expand_expr, COMPONENT_REF case): Don't fetch unaligned
	field if we only want its address.

Fri Jul  8 12:11:38 1994  D. V. Henkel-Wallace  (gumby@cygnus.com)

	* collect2.c, gcc.c (choose_temp_base): Use different scheme if
	LOSING_MKTEMP defined.

	* m68k/lynx.h (CALL_USED_REGISTERS, FUNCTION_VALUE,
	LIBCALL_VALUE, FUNCTION_VALUE_REGNO_P, NEEDS_UNTYPED_CALL): Define.

	* rs6000/lynx.h (DEFAULT_SIGNED_CHAR, ASM_SPEC, SUBTARGET_SWITCHES,
	SUBTARGET_OVERRIDE_OPTIONS): Define.
	(CPP_PREDEFINES): Add -DLYNX.
	* rs6000/rs6000.c (rs6000_override_options): Use
	SUBTARGET_OVERRIDE_OPTIONS.
	* rs6000/rs6000.h (ASM_SPEC): Define.
	(SUBTARGET_SWITCHES): Define it to nothing if not already defined.
	(SUBTARGET_OVERRIDE_OPTIONS): Likewise.
	(TARGET_SWITCHES): Use SUBTARGET_SWITCHES.

	* xm-lynx.h: Delete.
	* i386/xm-lynx.h, m68k/xm-lynx.h, rs6000/xm-lynx.h sparc/xm-lynx.h:
	New files.
	* configure (*-lynx): Use new files.

Wed Jul  6 00:59:11 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/rs6000/netware.h (ASM_DECLARE_FUNCTION_NAME): Make sure
	function descriptor is aligned to four byte boundary.

Tue Jul  5 12:08:22 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* config/rs6000/netware.h (DBX_FINISH_SYMBOL): Define.

Wed Jun 29 10:38:27 1994  J.T. Conklin  (jtc@phishhead.cygnus.com)

	* config/i386/netwcomm.h: Define empty STARTFILE_SPEC and
	ENDFILE_SPEC.
	* config/sparc/netwcomm.h: Likewise

Tue Jun 28 16:37:41 1994  Stu Grossman  (grossman@cygnus.com)

	* config/lynx.h:  Turn on DBX_BLOCKS_FUNCTION_RELATIVE &
	DBX_FUNCTION_FIRST, and define ASM_OUTPUT_SOURCE_LINE to make
	embedded stabs for coff similar to other embedded stabs.  Define
	DBX_OUTPUT_MAIN_SOURCE_FILE_END to output an N_SO to mark the end
	of a .o file.

Mon Jun 27 10:41:48 1994  Steve Chamberlain  (sac@cygnus.com)

	* z8k.md: Make the default cond attribute trash the cc.
	(moves): Explicitly don't trash cc.
	* z8k.c (asm_file_start): Rev version number.

	* h8300.h: (BIGGEST_ALIGNMENT, BIGGEST_FIELD_ALIGNMENT): fix for
	H8/300H.
	* h8300.md: Get some lengths right.
	* h8300.c (notice_update_cc): Remember cmps correctly.

Sun Jun 26 23:33:54 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* toplev.c (lang_options):  Add -fpack and -fno-pack.
	(Chill, only for now.  Maybe C also later.)

Sat Jun 18 12:50:28 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* final.c (INT_TYPE_SIZE): Delete.
	(LONG_TYPE_SIZE): Define.
	(end_final): Use LONG_TYPE_SIZE instead of INT_TYPE_SIZE.  Use
	long_size or pointer_size instead of UNITS_PER_WORD.
	(profile_function): Likewise.
	* gcov.c: Add comments about type size assumptions.
	* profile.c (LONG_TYPE_SIZE): Define.
	(output_arc_profiler): Use LONG_TYPE_SIZE instead of word_mode.
	(output_func_start_profiler): Use Pmode or LONG_TYPE_SIZE instead
	of word_mode.

	* optabs.c (expand_float): Use OPTAB_LIB_WIDEN in add_optab
	expand_binop call.

Wed Jun  8 20:19:14 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* m68k/vx680?0.h: #undef PCC_STATIC_STRUCT_RETURN.

Tue Jun  7 13:20:40 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc64.h (SECONDARY_MEMORY_NEEDED_MODE): Define.
	* sparc64.md (movsi insn): Don't explicitly handle r/f moves,
	gcc will think it's ok to use the fp regs to store SImode values.
	(movsf insn): Likewise.

Tue Jun  7 11:24:14 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* flags.h (flag_unaligned_struct_hack): Declare.
	* stor-layout.c (flags.h): Include.
	(get_best_mode): Use flag_unaligned_struct_hack.
	* toplev.c (flag_unaligned_struct_hack): Define.
	(f_options): Add option to set flag_unaligned_struct_hack.

	* gcov.c (gcov_verstion_string): Change from 1.4 to 1.5.
	(output_long_names, output_function_summary): New variables.
	(print_usage): Add -l and -f options.  Delete -s option.
	(process_args): Add -l and -f options.
	(scan_for_source_files): Ignore function names.
	(function_source_*, function_branches*, function_calls*,
	function_names): New variables.
	(calculate_branch_probs): Calculate function level branch
	summaries.
	(function_summary): New function.
	(output_data): Delete variable function_number.  New variables
	total_branches* and total_calls*.  Use function_name instead of
	function_number.  Calculate and output function level summaries.
	Create long output file names when -l specified.  Output `Creating'
	message to stdout not stderr.  Change `doesn't return' message to
	`returns', and invert percentage.
	* profile.c (output.h): Include.
	(output_gcov_string): New function.
	(branch_prob): Call output_gcov_string to output function and file
	names.
	* Makefile.in (gcc.info, gcc.dvi, usegcc.dvi, usegcc.info): Add
	dependency for gcov.texi.
	* gcov.texi: Update to reflect all above changes.

Fri Jun  3 09:57:50 1994  Steve Chamberlain  (sac@deneb.cygnus.com)

	* h8300.c: Fix copyright and release number.
	(general_operand_src): Fix POST_INC.
	(general_operand_dst): Fix PRE_DEC.
	* h8300.h: Fix copyright and authors.
	* h8300.md: Fix copyright and authors.
	(pushes): Allow more.
	* t-h8300: Change attribute usage.

Thu Jun  2 20:42:01 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure: Add support for --program-prefix and --program-suffix.

Wed Jun  1 10:54:03 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (mipsel-*-ecoff*): Use mips/t-ecoffl, not mips/t-ecoff.
	* config/mips/t-ecoffl: New file; just like t-ecoff, but define
	FLOAT_BIT_ORDER_MISMATCH in dp-bit.c and fp-bit.c.

Tue May 31 12:00:26 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* z8k.h (REGNO_REG_CLASS): Add case for SQI_REGS.

Wed May 25 13:54:49 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* config/i960/i960.h (PUT_SDB_TYPE): Double type class portion, to
	widen type field by one bit, for compatibility with gdb and GNU960
	tools.
	* config/i960/vx960-coff.h: New file.
	* configure: Use it for i960-vxworks5.x, x != 0.

Tue May 24 16:11:06 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* explow.c (promote_mode): Promote pointers from PTRmode to Pmode.

Fri May 20 15:29:12 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stmt.c (doing_chill_thang):  Removed.

Wed May 18 12:59:16 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/i386/sysv4dbx.h (DBX_BLOCKS_FUNCTION_RELATIVE): Define.
	(ASM_IDENTIFY_GCC): Define to be empty.
	(ASM_IDENTIFY_GCC_AFTER_SOURCE): Define to emit stabs entry.

Sun May 15 15:40:53 1994  Doug Evans  (dje@canuck.cygnus.com)

	* h8300/h8300.c (notice_update_cc, case CC_COMPARE): Fix typo.
	(shift_one): Add support for tracking the condition code.
	(get_shift_alg): New argument `cc_valid_p'.  All callers changed.
	(emit_a_shift): Update cc_status if condition code is valid.
	Fix handling of negative variable shifts.
	* h8300/h8300.md (shiftbyn_[QHS]I): Condition code is clobbered,
	not set.

Fri May 13 11:50:26 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* configure (sparc-*-sunos4): Use t-sunos4.
	* sparc/t-sunos4: New file.

Thu May 12 20:35:36 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/fp-bit.c: Restore old syntax of mode attributes.

	* h8300/h8300.c (expand_a_shift): Document it.
	Handle all shifts (including big and negative ones).
	(get_shift_alg): Abort if count too big.
	Handle shifts equal to mode size.
	(emit_a_shift): If shift is negative, set to 0.
	If shift is too big, set to mode size.

	* Makefile.in (c-parse.c): Expect 10 shift/reduce conflicts now.
	(objc-parse.c): Expect 22 shift/reduce conflicts now.

Thu May 12 15:55:03 1994  Bill Cox  (bill@rtl.cygnus.com)

	* fixincludes: Remove CYGNUS-LOCAL comments, since the
	  changes are installed at the FSF now.

Tue May 10 15:26:09 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* toplev.c (compile_file): Pass dump_base_name not
	main_input_filename to end_final.
	* final.c (getpwd): Add declaration.
	(end_final): Use absolute pathname for .da file.
	* gcov.texi: New file.
	* gcov.c (gcov_version_string): Change from 1.3 to 1.4.
	(source_directory): Delete variable.
	(process_args): Delete uses of source_directory.
	(open_files): Likewise.  Delete variable srcdir_count.
	Construct d_file_name just like bb_file_name.  Correct index
	into object_directory when looking for trailing slash.  Use cptr+1
	not cptr in strcat calls.
	(output_data): When print percentage of executed lines, use 6.2lf
	modifier.  gcov_file_name is in current directory.

Mon May  9 10:54:04 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expmed.c (store_fixed_bit_field): Delete code to handle
	MODE_FLOAT values here.
	(store_bit_field): Put it here instead.

	* mips.md (extv, extzv):  Fail if operand[1] isn't a MEM.

Fri May  6 15:28:30 1994  D. V. Henkel-Wallace  (gumby@rtl.cygnus.com)

	* configure (rs6000-*-lynxos*): New configuration.
	* rs6000/x-lynx, rs6000/t-lynx, rs6000/lynx.h: New files.

	* configure (m68k-ericsson-ose, m68000-ericsson-ose): Use t-ose68.
	* m68k/t-ose68k, m68k/t-ose68000: Deleted.
	* m68k/t-ose68: New file.

	* config.sub: Match lynx* not lynx as OS.

Fri May  6 12:35:30 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/i386/x-go32: Define all the names to make
	cross through go32 work.

Thu May  5 19:32:09 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcov.c (source_file_name): Rename to input_file_name.
	(source_file): Delete static variable.
	(process_args): Change source_file_name uses to input_file_name.
	(open_files): Pass cptr+1 not cptr to strcat calls.
	(output_data): New variable source_file_name.  If s_ptr->name is
	relative, and object directory was specified, then source_file_name
	gets the concatenation of the two.

Thu May  5 18:22:19 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* configure (i386-*-lynxos, m68k-*-lynxos, sparc-*-lynxos): Always
	run fixincludes.
	* config/x-lynx: Always run fixproto.
	* config/lynx.h: Add C++ support that uses .ctor/.dtor sections.
	(INIT_SECTION_ASM_OP): Undefine.
	(EXTRA_SECTIONS, EXTRA_SECTION_FUNCTIONS): Define.
	(CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP): Define.
	(INT_ASM_OP): Define.
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Define.
	(DO_GLOBAL_CTORS_BODY, DO_GLOBAL_DTORS_BODY): Undefine.
	* config/i386/lynx.h (ASM_OUTPUT_LABELREF): Re-add, nuked in merge.
	(CALL_USED_REGISTERS): Flag ebx as used, is clobbered by LynxOS.
	* config/sparc/lynx.h (CPP_PREDEFINES): Define "SPARC" and "LYNX".
	(LINK_SPEC): Undefine.
	(LIB_SPEC): Link with -lm by default.

	* configure (sparclite-*-coff): Don't use collect2.
	* config/sparc/litecoff.h: Add C++ support that uses .ctor/.dtor
	sections.
	(INIT_SECTION_ASM_OP): Undefine.
	(EXTRA_SECTIONS, EXTRA_SECTION_FUNCTIONS): Define.
	(CTORS_SECTION_FUNCTION, DTORS_SECTION_FUNCTION): Define.
	(CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP): Define.
	(INT_ASM_OP): Define.
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Define.
	(DO_GLOBAL_CTORS_BODY, DO_GLOBAL_DTORS_BODY): Undefine.

	* config.sub (sparclitefrw, sparclitefrwcompat): Don't set the os.
	* configure (sparclitefrwcompat-*-coff): New configuration.
	* config/sparc/litefccoff.h: New file.

Thu May  5 20:28:37 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (stmp-multilib): Fail if recursive makes fail.

Thu May  5 12:01:01 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* profile.c (instrument_arcs): For block 0, put instrumentation
	code after instructions that load parameters.
	(branch_prob): Add missing test for BARRIER when deciding which
	block a NOTE goes into.

	* mips.md (insv): Fail if operand[0] isn't a MEM.

Tue May  3 14:01:40 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (BISON): Use $(objdir) so recursive makes find byacc
	in build tree.
	(LEX): Likewise.

Tue May  3 14:14:08 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* ose68000.h (m68000-aout.h): Don't include.
	(m68000-none.h, aoutos.h): Include.
	(DBX_DEBUGGING_INFO): Define.
	(SDB_DEBUGGING_INFO): Undef.
	(ASM_OUTPUT_FLOAT, ASM_OUTPUT_FLOAT_OPERAND,
	ASM_OUTPUT_DOUBLE_OPERAND): Delete.
	* os68k.h (m68020-aout.h): Don't include.
	(m68020-none.h, aoutos.h): Include.
	(DBX_DEBUGGING_INFO): Define.
	(SDB_DEBUGGING_INFO): Undef.
	(REAL_INFINITY, ASM_OUTPUT_DOUBLE, ASM_OUTPUT_FLOAT,
	ASM_OUTPUT_FLOAT_OPERAND, ASM_OUTPUT_DOUBLE_OPERAND): Delete.

Tue May  3 14:01:40 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/vx68*.h: #include m68k/m680?0-none.h instead of
	m68k/m680?0-aout.h.  #include aoutos.h.
	(DBX_DEBUGGING_INFO): Define.
	(SDB_DEBUGGING_INFO): Undef.

	* m68k/m68*-none.h: Don't include m68kemb.h here.
	* m68k/m68*-aout.h: Include it here.
	* m68k/m68*-coff.h: Likewise.

Tue May  3 12:30:09 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips.md (movesi_unaligned, movsi_ulw, movsi_usw): Delete.
	(extv, extzv, insv, movsi_ulw, movsi_usw): New patterns.

Mon May  2 13:44:06 1994  Steve Chamberlain  (sac@cygnus.com)

	* stor-layout.c (layout_type): Set the TYPE_PRECISION of a pointer
	before testing it.

Sun May  1 12:47:28 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/m68*-none.h (CPP_SPEC, -m68881 is default): Undo previous
	patch.  Make -m68332 have software floating point as default, same
	as -m68000.
	(CC1_SPEC): Pass -msoft-float if -m68332 and not -m68881, same
	as -m68000.
	* m68k/m68332-none.h (TARGET_DEFAULT): Change to 1: 68020 without
	bitfield insns or 68881.

Sat Apr 30 16:15:44 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stor-layout.c (variable_size):  Remove some no-longer-needed
	Chill-specific code.

Fri Apr 29 12:38:05 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/m68kemb.h (PTRDIFF_TYPE): Use long int to make independent of
	-mshort flag.
	(SIZE_TYPE): Ditto, as long unsigned int.

Fri Apr 29 12:20:22 1994  Bill Cox  (bill@cygnus.com)

	* fixproto, fixincludes: Add CYGNUS LOCAL tags.

Thu Apr 28 18:35:39 1994  Kung Hsu  (kung@mexican.cygnus.com)

	* dbxout.c(dbxout_symbol): replace DECL_IGNORED_P with
	TYPE_DECL_SUPPRESS_DEBUG checking.

Thu Apr 28 15:10:09 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* gcc.c (default_compilers chill): Remove passing of -L option
	  to cc1chill.

Wed Apr 27 18:57:08 1994  Bill Cox  (bill@cygnus.com)

	* fixincludes (curses.h): Delete Lynx's redefinition of
	  'void' as 'int'.

Thu Apr 28 11:48:29 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* m68000-none.h: Include m68kemb.h.
	(PTRDIFF_TYPE, SIZE_TYPE, STRUCTURE_SIZE_BOUNDARY): Delete.
	* m68020-none.h, m68030-none.h, m68040-none.h, m68302-none.h,
	m68332-none.h: Likewise.
	* m68kemb.h: New file.

Wed Apr 27 11:52:39 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/i386/go32.h: Remove #if 0s, now uses coff.

Wed Apr 27 11:17:08 1994  Bill Cox  (bill@cygnus.com)

	For Jason Molenda, migrated here from progressive...
	* fixproto: use $FIX_HEADER as the fully-qualified pathname to
	fix-header if it is set, otherwise use old value as default.

Tue Apr 26 12:01:17 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* libgcc2.c (__bb_exit_func): Sum execution counts instead of
	appending to end of file.  Properly byte swap on little-endian
	host.  Add missing function return code checks in the
	little-endian code.
	* gcov.c (create_program_flow_graph): Delete code for accumulating
	multiple results.
	(read_files): Likewise.
	(accumulate_execution_data): Delete function.
	* profile.c (instrument_arcs): Clarify comment.
	(branch_prob, init_branch_prob): Likewise.

Tue Apr 26 08:28:18 1994  Bill Cox  (bill@rtl.cygnus.com)

	* fixincludes: Make math.h fixup more specific, eliminate
	  messages per Ian's suggestion.  Add fixup for Lynx prototype
	  of strlen.

Mon Apr 25 18:10:32 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* profile.c (branch_prob): Put NOTE_INSN_SETJMP notes into their
	own block.  Make the arc from the last real block to the function
	exit block a fake arc not a fallthrough arc.

Mon Apr 25 14:32:45 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc/sparc64.h (EXTRA_FP_REGS): Add comment asking if it's really
	needed or not.
	(REG_CLASS_FROM_LETTER): Add comment clarifying need for 'r'.
	(sparc64_init_expanders): Declare:
	(sparch4_fpconv_stack_temp): Ditto.
	(INIT_EXPANDERS): Define.
	* sparc/sparc64.c (fpconv_stack_temp): New variable.
	(sparc64_init_expanders): New function.
	(sparc64_fpconv_stack_temp): Ditto.
	(DF_MODES64): Define.
	(TF_MODES64): Ditto.
	(DF_ONLY_MODES): Comment out D_MODE.
	(hard_64bit_mode_ok): Change DF_MODES/TF_MODES to
	DF_MODES64/TF_MODES64.
	* sparc/sparc64.md (floatdi[sdt]f2): Make define_expands.
	Add new define_insns to handle them.
	(fix_trunc[sdt]fdi2): Ditto.
	(v9_floatdi[sdt]f2): Renamed from floatdi[sdt]f2 to keep old versions
	around and disable.
	(v9_fix_trunc[sdt]fdi2): Ditto.
	(tablejump): Delete mode of operand 0.
	Abort if operands[0] is not Pmode.
	Call gen_pic_tablejump_{32,64} based on TARGET_PTR64.
	(pic_tablejump_32): Clean up.
	(pic_tablejump_64): New insn.
	(get pc pic insn): Ditto, clean up v8 version, add v9 version.
	(call, supporting cast): Same clean up as for tablejump.
	(call_value): Ditto.
	(untyped_call): Ditto.
	(untyped_return): Ditto.
	Use TFmode in valreg2.
	Only look for unimp at return address if not v9.
	(flush_register_windows): Handle v8 and v9.
	(flush): New insn.

Mon Apr 25 11:03:47 1994  Bill Cox  (bill@cygnus.com)

	* fixincludes: Add the necessary conditional around the
	  fixup below.

Fri Apr 22 16:47:31 1994  Bill Cox  (bill@cygnus.com)

	* fixincludes: Add code to fix Lynx math.h problem by
	  copying the numeric value of DBL_MAX over from float.h
	  as the numeric value of HUGE_VAL.

Fri Apr 22 13:46:13 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* profile.c (instrument_arcs): Rename max_block_num to num_blocks.
	(find_spanning_tree): Likewise.
	(branch_prob): Likewise.  Correct off-by-one errors in setting and
	using num_blocks.  Make fake setjmp arc point to next block not
	current block.  Always add a fallthough arc between the last real
	block and the function exit block.
	* gcov.c (bb_info_list): Rename max_block_num to num_blocks.
	(create_program_flow_graph, accumulate_execution_data,
	solve_program_flow_graph): Likewise.
	(output_data): Likewise.  Correct off-by-one errors in using
	num_blocks.

Thu Apr 21 17:10:47 1994  Kung Hsu  (kung@mexican.cygnus.com)

	* tree.h (TYPE_DECL_SUPPRESS_DEBUG): new macro to support
	suppressing of detail type infos into stabs.
	* dbxout.c (dbxout_type): check the above flag to generate cross
	reference in stabs.

Wed Apr 20 10:07:44 1994  Doug Evans  (dje@canuck.cygnus.com)

	* regclass.c (init_reg_modes): New function.
	* toplev.c (compile_file): Call it.

Wed Apr 20 11:19:45 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/z8k/z8k.h (TARGET_DEFAULT): -sb is now the default.
	* config/z8k/z8k.c (extlist): Make memset and memcpy YASM externs.

Tue Apr 19 21:55:10 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/m68k/*-none.h (CPP_SPEC): Remove checking of m68000 for
	__HAVE_FPA__ and __HAVE_68881__.

Sat Apr 16 12:44:38 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config.sub (z8k): Remove duplicate.

Thu Apr 14 22:01:47 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/z8k/z8k.c (maybe_need_resflag): New function. 	
	(cond_name): Check for CC_NO_OVERFLOW.
	(override_options): Allow DImode stuff in even registers.
	(r_ir_da_x_ba_operand, r_im_ir_da_x_ba_operand): New functions.	
	(abort): Print frendlier message.
	* config/z8k/z8k.h (ADDRARITH_TYPE): Now unsigned, and size
	is switchable.
	(TARGET_SWITCHES): Add -msize_t16, -msize_t32, -mt64.
	(REG_ALLOC_ORDER): Furgle.
	(EXTRA_CONSTRAINT): 'T' is ba_operand only.
	(CONST_COSTS): More accurate.
	(ASM_OUTPUT_DOUBLE): Does the right thing.
	(NOTICE_UPDATE_CC):  COND_LOGCC doesn't set the overflow bit.
	* config/z8k/z8k.md (attr "cond") Add logcc class.  Modify
	attributes of all insns which don't set overflow.
	General tidyup.
	(adddi3, subdi3, zero_extendsidi2): New patterns.
	
Mon Apr 11 10:31:00 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (check): Set TCL_LIBRARY for runtest.

Fri Apr  8 14:49:34 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (stmp-multilib): Pass HOST_PREFIX and HOST_PREFIX_1
	down to recursive make invocation.

	* config/fp-bit.c: Modify all uses of __attribute__ mode to use new
	syntax.

Tue Apr  5 15:11:59 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (chill-runtime): Change to only build this if
	LANGUAGES contains "chill", since install-libchill is in the
	install-normal rule.

Tue Apr  5 12:57:20 1994  Doug Evans  (dje@canuck.cygnus.com)

	* gcc.c (process_command): Add "include" prefix for [blah/]stageN.

Tue Apr  5 02:14:07 1994  Jason Molenda (crash@cygnus.com)

	* fixproto: use $FIX_HEADER as the fully-qualified pathname to
	fix-header if it is set, otherwise use old value as default.

Mon Apr  4 11:54:00 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* calls.c (prepare_call_address, expand_call): Delete CYGNUS LOCAL
	code for POINTER_MODE!=Pmode.
	* alpha.md (extendsidi2+1): New pattern for 32 bit symbol address
	loads.
	(call, call_value): Sign extend target address if necessary.

Mon Apr  4 10:24:43 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* configure: Handle srcdir equal to .. in SUBDIRS loop.

Thu Mar 31 19:22:16 1994  Doug Evans  (dje@cygnus.com)

	* machmode.h (PTRmode): Add missing CYGNUS LOCAL.

Thu Mar 31 18:44:04 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* g++.c (main): Delete extra newlines in two uses of fatal.

Thu Mar 31 17:42:08 1994  Doug Evans  (dje@cygnus.com)

	* config/alpha/xm-alpha.h (inhibit_libc): Add missing CYGNUS LOCAL.

	* config/alpha/alpha.h (PTR_DIFF): Fix typo.

Thu Mar 31 09:40:27 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* config/h8300/h8300.c (bit_operand):  Recognize ok operands
	  in all instances.
	* config/h8300/h8300.h (CALL_USED_REGISTERS): R6 is not call used.
	* config/h8300/h8300.md: Fix branches to use the 16bit mode on the
	  H8/300H when possible.

Tue Mar 29 13:35:27 1994  Wilfried Moser  (fs_moser at rcsw1h)

	* Makefile.in (chill-runtime): Change make target to all instead of
	  libchill.a to get chillrt0.o build.

Mon Mar 28 12:05:33 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/mips/t-ecoff (LIBGCC2_CFLAGS): Define to use -G 0.

Fri Mar 25 22:16:24 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (install-common): Ensure $(libdir)/install-tools exists
	(for testing gcc standalone).

Wed Mar 23 15:18:28 1994  Kung Hsu  (kung@mexican.cygnus.com)

	* dbxout.c (dbxout_type): change and align comments.

	* dbxout.c (dbxout_type): add /* CYGNUS LOCAL */

	* dbxout.c (dbxout_type): For nested anonymous type do not use
	'xs' or 'xu'. The real definition never comes out to symbol table.

Tue Mar 22 15:20:39 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (cc1chill): Add insn-codes.h as a dependency.

Mon Mar 21 14:20:42 1994  Sean Eric Fagan  (sef@cygnus.com)

	* config/alpha/t-netware:  New (CYGNUS LOCAL) file.

	* config/alpha/alpha.h, config/alpha/netware.h:  NetWare has a
	different TARGET_DEFAULT than other Alpha targets.
	* xm-alpha.h: Don't include "string.h" #ifdef inhibit_libc
	(necessary for cross-compiles).

Mon Mar 21 13:55:44 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc/sparc64.md (nonlocal_goto): Use DImode, not SImode!
	(flush_register_windows): Use flushw insn.

Mon Mar 21 13:41:59 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c (expand_expr):  Remove Chill-specific code for IN_EXPR.
	* expr.c (doing_chill_thang):  Remove.
	* stmt.c (doing_chill_thang):  Make non-extern.

Mon Mar 21 08:19:36 1994  Doug Evans  (dje@canuck.cygnus.com)

	* va-sparc.h (va_arg): Fix v9's fetching of structs.

Sun Mar 20 21:36:55 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c, stor-layout.c, varasm.c:  Chill customer wants
	SET_TYPEs to be allocated in units of a byte, rather than
	units of a word.  Do so, for now.

Sun Mar 20 12:10:56 1994  Doug Evans  (dje@cygnus.com)

	* h8300/t-h8300 (RUNTEST_CFLAGS): Deleted, not needed anymore.

	* Makefile.in (RUNTESTFLAGS): Fix reference of $(srcdir).
	(site.exp): Use objdir instead of base_dir.
	If newlib is in the house, use it.

Sat Mar 19 11:51:11 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (do_spec_1, case 'v'): Update code that removes
	"cygnus-" from the version number.

Fri Mar 18 17:59:40 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* c-typeck.c:  Remove mnay sanitize-chill sections,
	and all uses (in this file) of doing_chill_thang.

	* alpha.h (TARGET_DEFAULT):  Revert Sean's Feb 23 change.

Fri Mar 18 15:59:59 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* Makefile.in (multilib): If LIBGCC1 is being compiled with GCC from
	assembly source, compile it with each combination of flags.

Thu Mar 17 13:31:35 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* alpha.c (alpha_builtin_saveregs): Make va_list structure
	initialization depend on the sizes of the types involved.

Wed Mar 16 18:45:29 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stor-layout.c (layout_type):  Set TREE_UNSIGNED for Booleans.
	* toplev.c (strip_off_ending):  Clean up Chill stuff.
	* toplev.c (doing_chill_thang):  Remove.

Tue Mar 15 14:06:50 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* fix-header.c (buf):  Make extern (to get the one in scan-decls.c).

Tue Mar 15 13:08:04 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* stor-layout.c (layout_type): Correct typo in last change.

Mon Mar 14 22:05:26 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* alpha.h: Define PTRmode to be SImode or DImode depending
	upon setting of POINTER_SIZE.

	* machmode.h: If PTRmode is not defined, set it to Pmode.
	* stor-layout.c (layout_type): Use PTRmode rather than
	mode_for_size (POINTER_SIZE) to work out the size of a pointer.
	* expr.c (expand_assignment): Ditto.  
 	(expand_expr): Ditto.
	* varasm.c (force_const_mem): Ditto.
	(output_constant_def): Ditto.
	(assemble_trampoline_template): Ditto.
	(assemble_static_space): Ditto.
	(make_decl_rtl): Ditto.

Fri Mar 11 11:35:13 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* stor-layout.c (layout_type): Make pointer types signed if they
	need to be extended to be valid addresses.

Thu Mar 10 10:53:51 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (SUBDIRS): Only add 'ch' inside chill 
	  sanitize comments.  Again.
	* toplev.c (lang_options): Add CHILL runtime checking options.

Thu Mar 10 09:15:23 1994  Doug Evans  (dje@canuck.cygnus.com)

	* configure: Fix CHILL_SRCS experiment to work when buildir != srcdir.

Wed Mar  9 12:25:40 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (SUBDIRS): Only add 'ch' inside chill 
	  sanitize comments.
	* configure: Add comments.

Mon Mar  7 17:16:38 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (dejagnu): Move to own section of file.

Mon Mar  7 14:01:51 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (mostlyclean): Don't explicitly delete ld.

	* gcov.c (create_program_flow_graph): Read .da file data in network
	byte order.
	(assumulate_execution_data): Likewise.
	* profile.c (branch_prob): Likewise.
	* libgcc2.c (__bb_exit_func): Write .da file data in network byte
	order.

Fri Mar  4 20:17:12 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* calls.c (expand_call): For pcc_struct_value case, set
	MEM_IN_STRUCT_P correctly on target.

	* Makefile.in (stage1, stage2, stage3, stage2, risky-stage1,
	risky-stage2, risky-stage3, risky-stage4): Copy as, ld, and
	real-ld to the stage directory if they exist.

Mon Mar  7 11:27:52 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add marker to put in CHILL source file names.
	  (cc1chill): Change to do the link in the ch subdirectory.
	* configure: Add CHILL_SRCS variable at the marker.  Use the
	  variable in place of stamp-chill-objs.

Fri Mar  4 17:13:57 1994  Bill Cox  (bill@rtl.cygnus.com)

	* toplev.c (strip_off_ending): Add CHILL to other suffices.

Fri Mar  4 15:13:34 1994  Doug Evans  (dje@canuck.cygnus.com)

	* optabs.c (init_optabs): Remove init of HImode multiply/divide
	libcalls.
	* h8300/h8300.h (INIT_OPTABS): New macro, add libcalls for HImode
	multiply/divide operations.

Fri Mar  4 15:09:06 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* libgcc2.c (exit): Only call __bb_exit_func if !inhibit_libc.

Fri Mar  4 13:58:01 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* Makefile.in: Don't build objc-runtime (CYGNUS LOCAL).

Thu Mar  3 14:13:23 1994  Doug Evans  (dje@canuck.cygnus.com)

	* expr.h (cvtsiptr_optab, cvtptrsi_optab): Delete, obsolete.
	* optabs.c (cvtsiptr_optab, cvtptrsi_optab): Ditto.
	(init_optabs): Delete references.
	Delete PSImode libcalls for add, sub, smul, and cmp optabs.

Sat Feb 26 12:55:27 1994  Bill Cox  (bill@rtl.cygnus.com)

	* expr.c (store_constructor): Rewrite for CHILL powerset 
	  handling cleanup.
	* Makefile.in (BISON): set up just like LEX.
	  (cc1chill): Remove dependency on gcov and gcc parts.

Sun Feb 27 17:33:26 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (profile.o): Add insn-flags.h dependence.
	* final.c (profile_after_prologue): Don't do gcov profiling here.
	* libgcc2.c (__bb_exit_func): Exit immediately if not profiling.
	(exit): Call __bb_exit_func.
	* profile.c: Include insn-flags.h.
	(instrument_arcs): Call output_func_start_profiler.
	(init_arc_profiler): Use ASM_GENERATE_INTERNAL_LABEL.
	(output_arc_profiler): Simplify rtl for when arcno is zero.
	(output_func_start_profiler): New function.
	
Sat Feb 26 17:43:03 1994  Doug Evans  (dje@canuck.cygnus.com)

	* install.texi: Temporarily modify installation instructions
	to at least work while directory reorg is in flux.

	* cccp.c (translate_end_of_line): Deleted.
	(main): Delete code for MSDOS to handle '\r'.
	(newline_fix): Ditto.
	(name_newline_fix): Ditto.
	(finclude): Ditto.

Wed Feb  23 19:13:17 1994  Sean Eric Fagan  (sef@cygnus.com)

	Mostly from Jim Wilson
	* calls.c (prepare_call_address): Pass funexp to memory_address if
	it has the wrong mode.
	(expand_call): Pass funexp to convert_modes if it has the wrong
	mode.
	* explow.c (memory_address): Call convert_modes if the address has
	the wrong mode.
	* expr.c (expand_assignment): Get ptr_mode from POINTER_SIZE.  Use
	ptr_mode instead of Pmode.
	(expand_expr, case COMPONENT_REF): Likewise.
	(expand_expr, case ADDR_EXPR): Likewise.
	* stor-layout.c (layout_type, case OFFSET_TYPE, FUNCTION_TYPE,
	POINTER_TYPE): Get TYPE_MODE from POINTER_SIZE, base TYPE_SIZE and
	TYPE_PRECISION on TYPE_MODE.
	* va-alpha.h (va_tsize): Use long long instead of long.
	* varasm.c (make_function_rtl): Get mode from POINTER_SIZE and use
	instead of Pmode.
	(make_decl_rtl, assemble_static_space,
	assemble_trampoline_template, output_constant_def,
	force_const_mem): Likewise.
	* alpha/alpha.c (input_operand): Accept SImode or DImode
	addresses.
	* alpha/alpha.h (CPP_SPEC): Add -m32addr support.
	(ASM_SPEC, MASK_32ADDR, TARGET_32ADDR, TARGET_SWITCHES,
	LONG_TYPE_SIZE, MAX_LONG_TYPE_SIZE, POINTER_SIZE, ASM_OUTPUT_INT,
	NO_BUILTIN_SIZE_TYPE, SIZE_TYPE, NO_BUILTIN_PTRDIFF_TYPE,
	PTRDIFF_TYPE): Likewise.
	(TARGET_DEFAULT): Default to GAS.
	* alpha/alpha.md (movsi): Add load address alternative.

Wed Feb 23 15:19:01 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (mostlyclean, clean, extraclean, realclean, distclean):
	Say "subdirs" are explicitly language dirs.
	(bootstrap, bootstrap2, bootstrap3): Canonicalize path to $(CC).
	(compare, compare3): Loop on $(SUBDIRS).
	(stage[1234]): Ditto.
	(risky-stage[1234]): Ditto.
	No need to explicitly clean language subdirs, "make clean" does it.

Tue Feb 22 22:08:33 1994  Ian Lance Taylor  (ian@cygnus.com)

	* configure (mips-*-elfl*, mips-*-elf*): New targets.
	* config/mips/elf.h, config/mips/elfl.h: New files.

Tue Feb 22 18:07:06 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (mostlyclean, clean, distclean, extraclean, realclean):
	In $(SUBDIRS) loop, do "cd ; foo" in subshell.

Tue Feb 22 14:39:03 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add bindir, libsubdir to FLAGS_TO_PASS.
	  Use $(CC) to build cc1chill.  Change CHILL install line.
	  Add line to install CHILL objects, libraries.

Fri Feb 18 15:07:13 1994  Doug Evans  (dje@canuck.cygnus.com)

	* c-typeck.c (build_unary_op, case ADDR_EXPR): Mark chill code as such.

Thu Feb 17 22:07:07 1994  Doug Evans  (dje@canuck.cygnus.com)

	Remove old way of providing support for the US Software GOFAST
	libraries and tuck it all in config/gofast.h.  Significantly cuts
	down on number of CYGNUS LOCAL's in optabs.c, provides a hook
	to further reduce the number and prevent a resurgence.

	* optabs.c (emit_float_lib_cmp): Remove US_SOFTWARE_GOFAST support
	(unnecessary).
	(init_optabs): Remove US_SOFTWARE_GOFAST support, now available via
	INIT_OPTABS hook.
	neg_optab, {eq,ne,gt,ge,lt,le}sf2_libfunc,
	{eq,ne,gt,ge,lt,le}df2_libfunc: always initialize.
	Remove support for renaming following LIBCALLS: addsf3, adddf3, subsf3,
	subdf3, mulsf3, muldf3, divsf3, divdf3, cmpsf2, cmpdf2, extendsfdf2,
	truncdfsf2, floatsisf, floatsidf, fixsfsi, fixdfsi, fixunssfsi,
	fixunsdfsi.
	* libgcc2.c: (FIXUNSDFSI_ROUTINE, FIXUNSSFSI_ROUTINE): Deleted
	(CYGNUS LOCAL).
	* config/fp-bit.c (float_to_usi): Include ifdef US_SOFTWARE_GOFAST.
	* config/gofast.h: New file.
	* mips/ecoff.h: (*_LIBCALL): Delete definitions of US Software GOFAST
	library libcalls.
	(INIT_OPTABS): Define.
	#include "gofast.h"
	* mips/elf64.h: Ditto.
	* sparc/lite.h: Ditto (CYGNUS LOCAL).
	* sparc/vxsparc.h: Ditto.

Thu Feb 17 17:35:46 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* Makefile.in (reno.info):  Fix rule.

Wed Feb 16 15:12:44 1994  Doug Evans  (dje@cygnus.com)

	* i960.c (i960_function_prologue): Put register save area before
	outgoing arg block.

	* fpgnulib.c (__fixdfsi): Fix handling of edge cases.

Wed Feb 16 08:43:48 1994  Bill Cox  (bill@rtl.cygnus.com)

	* varasm.c (unpack_set_constructor): Emit an error
	  message for an invalid bitstring initializer rather
	  than aborting.

Tue Feb 15 17:38:34 1994  Rob Savoye  (rob@rtl.cygnus.com)

	* Makefile.in: Edit the site.exp target so it lets the init file
	find the right tool.

Mon Feb 14 14:23:56 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* chill-cross: Don't depend on cc1chill.

Mon Feb 14 11:31:23 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Change interface to CHILL subdirectory.
	* stmt.c (check_for_full_enumeration_handling,
	  bc_check_for_full_enumeration_handling): Make missing case an
	  error for CHILL, not just a warning.

Mon Feb 14 00:13:09 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/mips/elf64.h (PUT_SDB_SIZE): Use .esize to avoid
	conflicting with ELF .size.
	(PUT_SDB_TYPE): Use .etype to avoid conflicting with ELF .type.

Fri Feb 11 17:31:41 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* calls.c, function.c, expr.c, stmt.c, varasm.c:  Remove useless
	tests (inside chill-sanitized code) for STRING_TYPE (which isn't
	used by anyone, including Chill).

Thu Feb 10 20:55:29 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/m68k.h (ASM_OUTPUT_DOUBLE): Remove CYGNUS LOCAL patch applied
	for pr 2641.  gcc will now generate 0rInfinity which gas understands.

	* expr.c (expand_expr): Remove empty #if 0/#endif CYGNUS LOCAL.

	* reload.c: Remove #include "output.h" CYGNUS LOCAL.

Wed Feb  9 14:51:01 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (chill-runtime): Correct spelling error.

Wed Feb  9 10:41:01 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (chill-runtime): Assure that system includes are
	  built and available for CHILL runtime library to reference.

Tue Feb  8 13:30:27 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Delete special CHILL version of INCLUDES variable.
	  Obsolete.

Tue Feb  8 10:35:46 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcov.c (output_data): Pass gcov_file not gcov_file_name to fclose.

Fri Feb  4 17:34:04 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/h8300/h8300.c (jump_address_operand):  New function.
	* config/h8300/h8300.h Fix trampolines.
	* config/h8300/h8300.md: Fix jump insn.

	* toplev.c (rest_of_compilation):  LITERAL_TABLE_SCAN has become
	MACHINE_DEPEDENT_REORG - as per diffs sent to Kenner.

Fri Feb  4 14:17:20 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips64.h, mips.h (ASM_OUTPUT_LOCAL, ASM_OUTPUT_COMMON): Use SIZE
	not ROUNDED.
	* mips64.h (CPP_SPEC): Define __PTRDIFF_TYPE__ not __PTRDIFF_TYPE.

Fri Feb  4 06:32:30 1994  Bill Cox  (bill@rtl.cygnus.com)

	* tree.c (decl_function_context): Remove CHILL
	  tree_code reference, which is obsolete.

Wed Feb  2 16:57:59 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (compare, compare3): Also compare cp and ch
	  subdirectory objects.
	  (stage*, risky-stage*): Save cp and ch subdirectory objects.

Wed Feb  2 16:02:06 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* varasm.c (named_section): Export the function.

Tue Feb  1 18:20:41 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Fix Makefile dependencies to work when CHILL
	  is Sanitized out.

Mon Jan 31 17:21:51 1994  Rob Savoye  (rob@darkstar.cygnus.com)

	* config/m68k/m68k-coff.h: Define STARTFILE_SPEC to be NULL so it
	stops conflicting with the crt0 brought in via the linker script.

Mon Jan 31 11:41:46 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Require gcov to build cc1chill - certain tests
	  require it.
	* configure: Fix Copyright dates.

Sat Jan 29 09:44:28 1994  Bill Cox  (bill@rtl.cygnus.com)

	* configure: Allow it to build gcc/Makefile including
	  contents of gcc/Makefile.in.

Thu Jan 27 13:56:49 1994  Mike Stump  (mrs@cygnus.com)

	* configure: Make cross configuration work better for ch and cp.

Thu Jan 27 11:19:47 1994  Doug Evans  (dje@cygnus.com)

	* Undo this patch, we don't do coff yet.

	Fri Oct 29 11:49:46 1993  DJ Delorie (dj@ctron.com)

        * i386/go32.h: Add support for coff-based ctor/dtor handling.

Wed Jan 26 15:23:12 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* c-typeck.c (chill_initializer_constant_valid_p):  Removed.

Wed Jan 26 12:34:56 1994  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (chill-runtime): Make sure we use an absolute pathname
	for GCC_FOR_TARGET.
	* Makefile.in (install-libchill): Don't fail if libchill.a is not
	built.

Tue Jan 25 19:27:43 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* install.texi: More description of Lynx configuration options.

Mon Jan 24 10:58:02 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (FLAGS_TO_PASS): Add CLIB, MALLOC, OBSTACK, USE_ALLOCA.

	* cp/Makefile.in, ch/Makefile.in (OBSTACK): Delete.
	(SUBDIR_OBSTACK, SUBDIR_USE_ALLOCA, SUBDIR_MALLOC): Define.
	(LIBS): Define.
	(OBJS): Remove ../obstack.o from list.

	* configure (dep_host_xmake_file, dep_tmake_file): New variables,

	* Makefile.in (LEX, LEX_FLAGS): Define.

Thu Jan 20 16:32:51 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* configure (subdir loop): Don't zero out tmake_file and
	host_xmake_file.

	* final.c (end_final): Pass BIGGEST_ALIGNMENT not align to
	ASM_OUTPUT_ALIGNED_LOCAL.

Thu Jan 20 15:28:16 1994  david d `zoo' zuhn  (zoo@cirdan.cygnus.com)

	* Makefile.in: define FLAGS_TO_PASS as a list of variables that are
	  interesting to recursive sub-makes; never call 'make' directly,
	  always call $(MAKE); 

	* configure: FLOAT_H, CROSS_FLOAT_H are referenced via $(oldsrcdir)

Wed Jan 19 14:47:17 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* genmultilib: Modify script so that it can handle more than 
	one a/b option.

Wed Jan 19 16:00:04 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* configure: When working in subdirectories, look for configure
	script in srcdir, and run it from there.  Pass it extra arguments
	telling it where its srcdir is, since $arguments might contain the
	original -srcdir option.

Mon Jan 17 13:30:45 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* xcoffout.c (xcoffout_begin_block): Don't emit a .bb for the
	function level scope.
	(xcoffout_end_block): Don't emit a .eb for the function level
	scope.

Sat Jan 15 16:13:23 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (cc1chill): Add GCC_PARTS as a dependency, to
	  allow using gcc to build the CHILL library.  An ANSI compiler
	  is preferred..

Sat Jan 15 15:34:11 1994  Mike Stump  (mrs@cygnus.com)

	* configure: Fix problem so that building in a separate directory
	works.

Sat Jan 15 14:24:17 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in, configure: Rewrite to move CHILL sources
	down into ch subdirectory and prepare for similar change
	to G++ sources.

Sat Jan 15 12:13:08 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* configure (m68k-*-lynxos*): Set tmake_file.
	* m68k/t-lynx: New file.

Fri Jan 14 15:16:24 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* optabs.c (init_optabs): Fix typo: SUBSI3 -> SUBPSI3.

Wed Jan 12 12:36:02 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips/mips64.h (CC1_SPEC): -mips1 and -mips2 imply -mfp32.

Thu Jan  6 18:02:21 1994  david d `zoo' zuhn  (zoo@andros.cygnus.com)

	* Makefile.in: remove 'char *void' decl from ch-lex.c; restore CC=cc
	  and -g1 to LIBGCC2_CFLAGS

Thu Jan  6 17:34:49 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcov.c (version_string): Rename to gcov_version_string.
	(TRUE, FALSE): Delete definitions.
	(process_args): Use gcov_version_string instead of version_string.
	(output_data): Use 0/1 instead of FALSE/TRUE.
	(xmalloc): Do not declare as static.

Thu Jan  6 16:49:35 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* cccp.c (quiet_flag): Flag to control printing of cpp time.
	(main): Add display of cpp execution time.
	(get_run_time, print_time): New functions to get and print times.

Thu Jan  6 16:20:10 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: In rule for ch-lex.o, delete line in new
	  flex.skel which re-declares malloc incompatibly on alpha.

Thu Jan  6 16:09:43 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (gcov): Depend on LIBDEPS.
	* gcov.c: Don't include strings.h and malloc.h.  Include config.h
	and declare rindex.
	(xmalloc): Define.
	(open_files, create_program_flow_graph, read_files,
	scan_for_source_files, calculate_branch_probs, output_data): Use
	xmalloc instead of malloc.


Tue Jan  4 22:06:35 1994  Rob Savoye  (rob@darkstar.cygnus.com)

	* configure, config.sub, config/i386/vsta.h,xm-vsta.h, x-vsta,
	t-vsta: Add support for the VSTa micro-kernel.

Tue Jan  4 18:01:25 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (LANGUAGES): Add gcov.
	(OBJS): Add profile.o.
	(STAGESTUFF): Add gcov.
	(profile.o, gcov.o, gcov): Add rules to build them.
	(install-common): Install gcov.
	* combine.c (distribute_notes): Handle INT_LIST rtx in REG_NOTES.
	Handle REG_BR_PROB and REG_EXEC_COUNT REG_NOTES.
	* cse.c (cse_process_notes): Handle INT_LIST rtx in REG_NOTES.
	* final.c (count_instrumented_arcs): New variable.
	(end_final, profile_after_prologue, leaf_function_p): Add support
	for profile_block_flag.
	(add_bb): Only call CC_STATUS_INIT if HAVE_cc0.
	* flags.h (profile_arc_flag, flag_test_coverage,
	flag_branch_probabilities): Declare.
	* function.c (expand_function_end): Output NOTE_REPEATED_LINE_NUMBER
	for last line of function.
	* integrate.c (expand_inline_function): Output
	NOTE_REPEATED_LINE_NUMBER after inlined call.
	* jump.c (jump_optimize): Disable some optimizations when
	flag_test_coverage and there is a line number note in the way.
	(invert_jump): Add REG_BR_PROB when flag_branch_probabililties.
	* libgcc2.c (__bb_exit_func): Support gcov style output.
	* print-rtl.c (print_rtx): Handle INT_LIST rtx.
	* reorg.c (mostly_true_jump): Use REG_BR_PROB notes when
	flag_branch_probabilities.
	* rtl.c (note_insn_name): Add NOTE_REPEATED_LINE_NUMBER.
	(reg_note_name): Add REG_BR_PROB and REG_EXEC_COUNT.
	* rtl.def (INT_LIST): Define.
	* rtl.h (enum reg_note): Add REG_BR_PROB and REG_EXEC_COUNT.
	(REG_BR_PROB_BASE): Define.
	(NOTE_REPEATED_LINE_NUMBER): Define.
	* sched.c (update_flow_info): Handle REG_EXEC_COUNT and REG_BR_PROB
	notes.
	* toplev.c (branch_prob_dump, profile_arc_flag, flag_test_coverage,
	flag_branch_probabilities, branch_prob_dump_file, branch_prob_time):
	New variables.
	(f_options): Add profile-arcs, test-coverage, and
	branch-probabilities.
	(compile_file): Set branch_prob_time.  Pass flag_test_coverage to
	init_emit_once.  Handle branch_prob_dump.  Call init_branch_prob.
	Call end_branch_prob.
	(rest_of_compilation): Handle branch_prob_dump.  Call new
	branch_prob pass.
	(main): Set branch_prob_dump.
	* sparc.h (OVERRIDE_OPTIONS): Check profile_arc_flag.
	* gcov.c, profile.c, README-gcov: New files.

Wed Dec 15 17:59:14 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (i[34]86-*-netware*, sparc-*-netware*,
	alpha-*-netware*): Don't bother to check $stabs.
	* config/i386/netware.h: Use sysv4dbx.h, not sysv4.h.
	* config/i386/netwaredbx.h: Removed.
	* config/sparc/netware.h: Use sol2.h, not sysv4.h.
	* config/sparc/netwaredbx.h: Removed.
	* config/alpha/netware.h: Set PREFERRED_DEBUGGING_TYPE to DBX_DEBUG.
	* config/alpha/netware-gdb.h: Removed.

Mon Dec 13 16:17:40 1993  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (RUNTEST_CC, RUNTEST_CFLAGS, RUNTEST_CXX,
	RUNTEST_CXXFLAGS): Remove.
	* Makefile.in (check-gcc, check-g++, check-chill): Simplify.
	* Makefile.in (site.exp): Add all interesting variables to site.exp.

Sat Dec 11 11:33:48 1993  Steve Chamberlain  (sac@thepub.cygnus.com)

	* c-common.c (decl-attributes):  Ensure there's always a null at the
	end of a section name string.
	* tree.h (addrarith_type): New node holding type of index.
	* c-decl.c (init_decl_processing):  Removed code which forced
	sizetype to be same mode as pointers, and initialize addrarith_type.
	* c-typeck.c (pointer_int_sum): Perform address arithmetic in
	addrarith_type.
	* expr.c (convert_move): Change names of truncsipsi to truncsipsi2
	to conform to existing convention, same with extendpsisi.
	(get_inner_reference): Use addrarith_type for calculations.
	* optabs.c (init_optabs): Add initializers for ADDPSI3, SUBPSI3,
	MULPSI3, CMPPSI3 libcalls.	
	* stor-layout.c (addrarith_type): Add definition.
	* tree.h (addrarith_type): Add declaration.

Tue Dec  7 13:43:11 1993  david d `zoo' zuhn  (zoo@andros.cygnus.com)

	* Makefile.in (install-common): install fixincludes, fixproto, and
	  related tools (for the sake of binary-only distributions)

Tue Dec  7 12:51:20 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (do_spec_1, case 'v'): Ignore "cygnus-" at start of version
	number.

Mon Dec  6 13:37:14 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (mips64-*-elfl*, mips64-*-elf*): New targets.
	* config/mips/elf64.h, config/mips/elfl64.h: New files.

Fri Dec  3 12:06:15 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips64.h, mips64.c, mips64.md: Major update.

	* iris3.h (CPP_SPEC): Define __SIZE_TYPE__, __PTRDIFF_TYPE__, __mips.

	* va-mips.h: Add support for -mips3 calling convention.

Thu Dec  2 15:27:19 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (alpha-*-netware*): New target.
	* config/alpha/netware.h, config/alpha/netware-gdb.h: New files.

Thu Dec  2 10:53:19 1993  Doug Evans  (dje@sphagnum.cygnus.com)

	* configure (netware): Cut down on CYGNUS LOCAL verbosity.

Thu Dec  2 10:12:36 1993  Ken Raeburn  (raeburn@cygnus.com)

	* config/sparc/litecoff.h: New file.
	* configure (sparclite-*-coff): New target; use litecoff.h.
	(sparc-*-lynxos*): Use t-sparcbare.

Sat Nov 27 09:56:59 1993  Doug Evans  (dje@cygnus.com)

	* m68k/m68k.md (movdf): f -> f move can be done without earlyclobber.
	CYGNUS LOCAL for prms 4012, Kenner to add to 2.6.

Mon Nov 15 16:11:27 1993  Steve Chamberlain  (sac@jonny.cygnus.com)

	* toplev.c (rest_of_compilation):  If LITERAL_TABLE_SCAN is defined,
	then call it.

Thu Nov 11 14:24:20 1993  Stan Shebs  (shebs@rtl.cygnus.com)

	* config/lynx-ng.h (LINK_SPEC): Remove -P1000, does not apply to
	all Lynx platforms.
	* config/lynx.h (LIB_SPEC): Remove explicit /lib/libc.a reference.
	(ASM_OUTPUT_LABELREF): Remove, incorrect for some Lynx platforms.
	* i386/lynx-ng.h (LINK_SPEC): Define.
	* i386/lynx.h (ASM_OUTPUT_LABELREF): Define to not add an
	underscore.
	* m68k/lynx-ng.h (LINK_SPEC): Define.
	* m68k/lynx.h (CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP,
	ASM_OUTPUT_DESTRUCTOR, SELECT_RTX_SECTION): Undefine.
	(BSS_SECTION_ASM_OP): Define.
	(ASM_LONG): Define.
	* sparc/lynx-ng.h (LINK_SPEC): Define.
	* sparc/lynx.h (ASM_OUTPUT_IDENT, SELECT_SECTION,
	SELECT_RTX_SECTION): Undefine.
	(BSS_SECTION_ASM_OP): Define.

Wed Nov 10 12:58:13 1993  Jeffrey Wheat  (cassidy@cygnus.com)

	* Makefile.in: Changed RUNTEST_FLAGS back to RUNTESTFLAGS.
		       Changed RUNTEST = runtest to search in srctree first

Mon Nov  8 12:41:29 1993  david d `zoo' zuhn  (zoo@cirdan.cygnus.com)

	* Makefile.in: rename reno-1.texi to reno.texi, and change all
	  references

Mon Nov  8 07:39:01 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config.sub: Remove h8300h, we have multilib now.
	* configure: Ditto.
	* h8300/{t-h8300h,h8300h.h}: Deleted.

Mon Nov  8 06:10:46 1993  D. V. Henkel-Wallace  (gumby@cirdan.cygnus.com)

	* configure: add netware target, unixware alias.

	* config.sub: add generic netware and unixware alias for x86 svr4.

	* config/i386/t-netware: new file.  Doesn't fix any headers, nor
	does it build libgcc1.

	* i386/netwaredbx.h, i386/netware.h, i386/netwcomm.h: new files.

Fri Nov  5 16:47:02 1993  Doug Evans  (dje@canuck.cygnus.com)

	* dbxout.c (dbxout_symbol): Add CYGNUS LOCAL to kung's recent change.


Fri Nov  5 15:56:21 1993  Kung Hsu  (kung@cirdan.cygnus.com)

	* dbxout.c (dbxout_symbol): Fix the c++ class name also tag name
	problem as shown in testsuite t22 regression.

Wed Nov  3 03:38:16 1993  Jeffrey Osier  (jeffrey@thepub.cygnus.com)

	* reno-1.texi: renamed to reno.texi, up to date
	* gpcompare.texi, templates.texi:  older reno-1 fixes

Mon Nov  1 17:22:19 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* config.guess:  Use the Cygnus top-level config.guess rather than
	FSF's version, in the interest of Cygnus-release self-consistency.
	(The two versions should be pretty close.)  CYGNUS LOCAL.

Sat Oct 30 20:47:46 1993  Michael Tiemann  (tiemann@blues.cygnus.com)

	* calls.c (expand_call): Handle pcc_struct_value correctly for C++
	(potentially breaking correct handling for other targets in C).
	[calls.c not at FSF, other two are--bpk 11/23/93]
	* expr.c (expand_expr): In WITH_CLEANUP_EXPR case, keep recursive
	call (TARGET_EXPR case) from running the same cleanups twice.  
	* cp-expr.c (cplus_expand_expr): Handle PCC_STATIC_STRUCT_RETURN
	correctly (by moving data correctly with copy constructors and
	cleaning up the static space when we're done).

Wed Oct 27 08:25:56 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (CHILL): Delete chill script from this target for
	  now.  'chill' is now a subdirectory.  It will get renamed 'ch'
	  soon, and this script will be restored.

Mon Oct 25 14:56:42 1993  Doug Evans  (dje@canuck.cygnus.com)

	* expr.c (expand_builtin, case BUILT_IN_NEXT_ARG): Allow in varargs
	function.

Sat Oct 23 14:13:46 1993  Stan Shebs  (shebs@rtl.cygnus.com)

	* configure: Match on *-*-lynxos*, use lynx-ng.h for compatibility
	with old Lynx as and ld.
	* config/lynx-ng.h: New file, used to be lynx.h.
	* config/lynx.h: Rewritten to work with GNU as and ld, using COFF
	format.
	* config/i386/lynx.h: Include i386/gas.h instead of i386/gstabs.h.
	* config/i386/lynx-ng.h: New file.
	* config/m68k/lynx.h: Include m68k/m68k-coff.h.
	* config/m68k/lynx-ng.h: New file.
	* config/sparc/lynx.h (CPP_SPEC): Remove meaningless cpp argument.
	* config/sparc/lynx-ng.h: New file.

Fri Oct 22 20:57:46 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* configure: mipsel-*-ecoff, not mips-*-ecoffl

	* config.sub: recognize mipsel

Fri Oct 22 13:42:15 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* z8k.c (load_single_file): Change ch from char to int.

Sat Oct 16 19:20:08 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* configure (i386-lynx): use the i386-bare target makefile fragment,
	to disable building libgcc1

Thu Oct 14 13:29:12 1993  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (RUNTEST_CFLAGS): Add -Iinclude for just build gcc.

	* h8300/t-h8300 (CMPtype) gcc assumes library calls have word_mode
	results.

	* expr.c (expand_expr, case OFFSET_REF): remove CYGNUS LOCAL
	commenting out of this case. g++ now uses CP_OFFSET_REF.

Thu Oct 14 03:08:09 1993  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (RUNTEST_CXXFLAGS): Add in missing -L flag for make
	  check-g++.

Thu Oct 14 02:07:56 1993  Mike Stump  (mrs@cygnus.com)

	* expr.c (expand_expr): Make sure we run destructors for
	  TARGET_EXPRs.  Happens when we use a type conversion constructor.

Tue Oct 12 13:28:18 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* fixproto:  Re-write.  We now assume that there are two
	source directories (source_dir_all and source_dir_std).  These
	are handled differently.  All files in source_dir_all (normally
	./include) are processed, but in source_dir_std (normally
	/usr/include) we only process the standard ANSI/Posix ones where
	we might be able to add missing prototypes.
	* scan-decls.c (scan_decls):  Rewrote from being a program whose
	output is piped to patch-header, to a subroutine called by
	patch-header.  This should be somewhat more efficient.
	* Makefile.in (scan-decls):  Removed rule to make program.
	* patch-header.c (recognized_macro, recognized_extern,
	recognized_function):  New functins, with logic moved out from
	read_scan_file, so they can be called by scan_decls.
	* patch-header (main):  Read the original header file into a
	buffer (rather than reading it with stdio).  This should be more
	efficient, partly because we can re-write it in place.
	(inf_skip_spaces, inf_read_upto, inf_scan_ident):  New functions,
	based on skip_spaces, read_upto, and scan_ident in scan.c, but
	these read from the in-memory buffer mentioned above.
	* scan-types.sh:  Don't check for sigset_t, since it can be a
	struct, whose name cannot be simplify replaced by its definition.
	* Makefile.in (deduced.h):  Don't pass -nostdinc.

Tue Oct 12 17:58:43 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* libgcc2.c (_bb): do not compile this function when inhibit_libc is
	defined

Tue Oct 12 05:34:33 1993  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (RUNTEST_CXXFLAGS): Add in missing -I flags for make
	  check-g++.

Fri Oct  8 10:33:15 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/mips/mips64.h, config/mips/mips64.c, config/mips/mips64.md:
	New files for MIPS r4000 support.  These will hopefully replace
	mips.h, mips.c and mips.md at some point.

Thu Oct  7 15:22:49 1993  Steve Chamberlain  (sac@phydeaux.cygnus.com)

	* z8k.md: removed most of QI patterns, general tidy up.
	* z8k.c: (power_two_operand, com_power_two_operand, address_cost): New
	functions. (print_operand): Cope with O and P modifiers.
	* z8k.h (CONST_OK_FOR_LETTER_P): Add O and P.

Thu Oct  7 16:06:01 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (RANLIB_TEST_FOR_TARGET): Use parentheses to force
	precedence.

Thu Oct  7 13:02:01 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config.sub: Recognize mips64, and mips3 as an alias for it.

Thu Sep 30 16:04:47 1993  K. Richard Pixley  (rich@sendai.cygnus.com)

	* configure: make inhibit_libc dependent only on cross and not on
	  newlib's presence.

Tue Sep 28 13:34:50 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* z8k.md (cmpsi): Add missing comment close.

Mon Sep 27 12:11:22 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure: Use i386/t-svr4 for i[34]86-*-sysv4*.
	* config/i386/t-svr4: New file; set LIBGCC1 to libgcc1.null.

Fri Sep 24 18:57:48 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* fixincludes (sys/spinlock.h): change references of
	"../machine/*.h" to <machine/*.h>

Tue Sep 21 18:02:00 1993  Rob Savoye  (rob@darkstar.cygnus.com)

	* Makefile.in: Fix things so RUNTEST_{CC,CXX} get set correctly for
	cross testing.

Mon Sep 20 16:04:15 1993  Jason Merrill  (jason@deneb.cygnus.com)

	* sparc/sparc.h (STARTFILE_SPEC): Link in bb_link.o right
	after crt0.o if -a is specified.
	(LIB_SPEC): Don't put bb_link.o among the libraries.

Fri Sep 17 21:40:02 1993  Per Bothner  (bothner@cygnus.com)

	* dbxout.c (dbxout_type):  For CHAR_TYPE and BOOLEAN_TYPE (in
	languages that have them - not C), adopt an AIX convention
	to distinguish these from other types.

Thu Sep 16 16:48:45 1993  Doug Evans  (dje@canuck.cygnus.com)

        * configure: Set -Dinhibit_libc in LIBGCC2_FLAGS after
        fetching target Makefile fragment.

	* gcc.c (main): Handle unset GCC_DEFAULT_OPTIONS.

Wed Sep 15 10:41:48 1993  Doug Evans  (dje@canuck.cygnus.com)

	* c-typeck.c (lookup_field): Remove chill comments.  Now at FSF.

Tue Sep 14 17:21:21 1993  Doug Evans  (dje@canuck.cygnus.com)

	* lbg1.spc lbg1sf.68k: Deleted.  Newer versions exist in the
	appropriate config subdirs.

Tue Sep 14 17:14:46 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (translate_options): Add support for GCC_DEFAULT_OPTIONS
	environment variable.
	(main): Print it when -v.

Mon Sep 13 12:07:40 1993  Jeffrey Wheat  (cassidy@cygnus.com)

	* Makefile.in: Changed check-* rules to reflect RUNTEST_FLAGS rename.

Sun Sep 12 16:41:42 1993  Steve Chamberlain  (sac@phydeaux.cygnus.com)

	Z8000 Revamp for new calling convention and YASM compatibility.

	* config/z8k/z8k.c: (print_operand_address): Cope with POST_INC too.
	(thinkpush, z8k_output_prolog, z8k_output_epilogue): Gone.
	(print_operand): Print all integers in decimal.  (z8k_function_arg):
	Never push structures.  (calc_live_regs): Clearer.  (add_line,
	print_source_line): Code to write out source in assembly listing.
	(gen_push, gen_pop, pop, push): Emit RTL to push and pop registers.
	(z8k_expand_prologue, z8k_expand_epilogue):  Generate RTL for the
	procedure entry and exit.
	* config/z8k/z8k.md: new codes for push, pop, multiply, prodcedure
	entry and exit.
	* config/z8k/z8k.h: (ASM_OUTPUT_SOURCE_LINE): Call the routines to
	dump the C source when needed. (FUNCTION_EPILOGUE,
	FUNCTION_PROLOGUE): Not needed now.

Thu Sep  9 18:14:41 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* configure: make a link to ../pagas/as.new if the directory is
	configured and there is'nt a configured ../as directory (remove this
	once gas works for hppa-hpux targets)

Thu Sep  9 09:35:03 1993  Jeffrey Wheat  (cassidy@cygnus.com)

	* Makefile.in: Changes to check-chill: and site.exp: 
	  rules use --srcdir in Makefile instead of site.exp

Thu Sep  9 10:37:08 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/h8300/t-h8300h, config/i386/t-go32,
	config/i386/t-i386bare, config/i386/x-linux,
	config/i960/t-vxworks960, config/m68k/t-adobe,
	config/m68k/t-m68kbare, config/m68k/t-ose68000,
	config/m68k/t-ose68k, config/m68k/t-vxworks68, config/m88k/t-bug,
	config/mips/t-ecoff, config/sparc/t-sparc64,
	config/sparc/t-sparcbare, config/sparc/t-sparclite,
	config/sparc/t-vxsparc, config/z8k/t-z8k (CROSS_LIBGCC1): Defined
	appropriately to match FSF changes to Makefile.in and cross-make.

	* config/m68k/fpgnulib.c (__fixunsdfsi): Removed; in libgcc2.c.
	(__floatunssisf, __floatunssidf): Removed; never called.

	* configure: Change CROSS_FLOAT_H just as FLOAT_H is changed.  Put
	$(srcdir) in Makefile for FLOAT_H and CROSS_FLOAT_H rather than
	expanding ${srcdir} at configure time.
	* cross-make: Set FLOAT_H to CROSS_FLOAT_H (remove Cygnus local
	change).

Wed Sep  8 18:35:18 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure: If cross-compiling, and using newlib, add
	-Dinhibit_libc to LIBGCC2_CFLAGS.
	* libgcc2.c: Removed uses of Cygnus local DONT_HAVE_STDIO.
	* config/a29k/t-a29k, config/h8300/t-h8300, config/h8300/t-h8300h,
	config/i386/t-go32, config/i386/t-i386bare,
	config/i960/t-vxworks960, config/m68k/t-adobe,
	config/m68k/t-m68kbare, config/m68k/t-ose68000,
	config/m68k/t-ose68k, config/m68k/t-vxworks68, config/m88k/t-bug,
	config/mips/t-ecoff, config/sh/t-sh, config/sparc/t-sparc64,
	config/sparc/t-sparcbare, config/sparc/t-sparclite,
	config/sparc/t-vxsparc, config/z8k/t-z8k: Removed defines of
	DONT_HAVE_STDIO and DONT_HAVE_SETJMP.

Wed Sep  8 17:44:41 1993  Jeffrey Wheat  (cassidy at deneb.cygnus.com)

	* Makefile.in: Changes to check-chill: and site.exp: rules
	  site.exp now uses explict paths.

Wed Sep  8 14:57:21 1993  Doug Evans  (dje@canuck.cygnus.com)

	* c-decl.c (init_decl_processing): Remove strncpy. Not ready
	for prime time yet.
	* expr.c (expand_builtin): Ditto.
	* invoke.texi: Ditto.

Wed Sep  8 11:43:45 1993  Jeffrey Wheat  (cassidy@cygnus.com)

	* Makefile.in: Changed the rule for site.exp to create a
	  temporary directory for the tests to build in.

Tue Sep  7 12:02:36 1993  Doug Evans  (dje@canuck.cygnus.com)

	* h8300/{h8300.h, h8300h.h} (CPP_SPEC): Add -Acpu/machine.
	Add __INT_MAX__.
	(CPP_PREDEFINES): Add __LONG_MAX__, __LONG_LONG_MAX__.
	* h8300/{t-h8300, t-h8300h} (RUNTEST_CFLAGS): Define.
	(MULTILIB_OPTIONS, MULTILIB_DIRNAMES): Define.
	(LIBGCC, INSTALL_LIBGCC): Define.

	* config.sub: Remove h8300hhms alias.

Fri Sep 03 12:01:12 1993  Jeffrey Wheat  (cassidy@cygnus.com)

	* Makefile.in:	added "check-chill" target.

Fri Sep  3 10:54:54 1993  Doug Evans  (dje@canuck.cygnus.com)

	* rs6000/aix32.h: Deleted, no longer at FSF (from ss-930716 merge).

	* Makefile.in: RUNTEST_CC, RUNTEST_CFLAGS, RUNTEST_CXX,
	RUNTEST_CXXFLAGS: New variables.
	(check-gcc, check-g++): Use them.

Thu Sep  2 12:35:57 1993  Stan Shebs  (shebs@rtl.cygnus.com)

	* dbxout.c: Always output ltext_label_name via assemble_name instead
	of printing it directly.

Wed Sep  1 15:44:36 1993  Stan Shebs  (shebs@rtl.cygnus.com)

	* config/a29k/a29k.h: Add -msoft-float.
	* config/a29k/a29k.md: Disable float gen patterns if doing soft
	floats.
	* config/a29k/t-a29k: Add bits to build libgcc for soft floats.

Wed Sep  1 12:21:54 1993  K. Richard Pixley  (rich@sendai.cygnus.com)

	* config/m88k/m88k.h: separate tdesc_section out of the ifdef so
	  that it can be used elsewhere.
	* config/m88k/m88110-coff.h: rewrite section stuff in hopes of
	  guessing correctly about constructors and destructors.

Mon Aug 30 18:05:49 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* fixproto (original_dir): add the ability to change this via the
	environment variable ORIGINAL_DIR

Fri Aug 27 13:18:55 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* genmultilib: New shell script to generate multiple library
	information.
	* Makefile.in (multilib.h, stmp-multilib, install-multilib): New
	targets.
	(gcc.o): Depend on multilib.h.
	(clean): Remove multilib.h and tmpmultilib*.
	* gcc.c: Include multilib.h.
	(print_multi_lib, print_multi_directory, multilib_select,
	multilib_dir): New static variables.
	(option_map): Added --print-multi-lib and --print-multi-directory.
	(set_spec): Get multilib_select from specs file.
	(process_command): Dump multilib_select into specs file.  Handle
	-print-multi-lib and -print-multi-directory.
	(do_spec_1): Try multilib_dir for %D case.
	(find_file): Try multilib_dir.
	(main): Call set_multilib_dir.  Handle print_multi_lib and
	print_multi_directory.
	(used_arg, set_multilib_dir, print_multilib_info): New functions.
	* config/i960/t-vxworks960, config/m68k/t-m68kbare,
	config/m68k/t-vxworks68, config/mips/t-ecoff,
	config/sparc/t-sparcbare, config/sparc/t-vxsparc: Build multiple
	libraries: define MULTILIB_OPTIONS, MULTILIB_DIRNAMES,
	MULTILIB_MATCHES, LIBGCC and INSTALL_LIBGCC.
	* config/i960/t-vxworks960 (LIBGCC2_CFLAGS): Removed -msoft-float.
	* config/m68k/t-m68kbare (LIBGCC2_CFLAGS): Removed.
	* config/m68k/t-vxworks68 (LIBGCC2_CFLAGS): Removed -msoft-float
	-m68000.

Thu Aug 26 15:07:55 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300.md: Fix insn lengths in several insns.
          New attribute "cpu".
	* config/h8300/h8300.h: Rename enum cpu_type to attr_cpu to
	  match .md file.
	* config/h8300/h8300.c (get_shift_alg): Use attr_cpu.

	* config/h8300/h8300.c (call_insn_operand): New function.
	(fix_bitoperand): Go back to old way (from .md file).
	* config/h8300/h8300.md (call, call_value): Use call_insn_operand
	predicate.
	* config/h8300/h8300.h (CPP_SPEC): Pass __SIZE_TYPE__ and 
	__PTRDIFF_TYPE__ to cpp. 
	(NO_BUILTIN_SIZE_TYPE, NO_BUILTIN_PTRDIFF_TYPE): Define.
	* config/h8300/h8300h.h (CPP_SPEC): Pass __SIZE_TYPE__ and
	__PTRDIFF_TYPE__ to cpp.

Wed Aug 25 16:17:46 1993  K. Richard Pixley  (rich@sendai.cygnus.com)

	* config.sub, configure.in: recognize m88110-bug-coff.
	* config/m88k/m88110-coff.h: new file for above.

Mon Aug 16 11:48:49 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300.c (io): Round result of get_frame_size up to
	STACK_BOUNDARY.

Fri Aug 13 14:56:58 1993  Ian Lance Taylor  (ian@cygnus.com)

	* libgcc2.c: If FIXUNSDFSI_ROUTINE and FIXUNSSFSI_ROUTINE are
	defined, use them as the names of __fixunsdfsi and __fixunssfsi.
	* config/mips/ecoff.h, config/sparc/lite.h, config/sparc/vxsparc.h
	(FIXUNSSFSI_ROUTINE, FIXUNSDFSI_ROUTINE): Define.

Fri Aug 13 07:50:43 1993  Bill Cox  (bill@rtl.cygnus.com)

	* chill.unsorted: Add directory.  Add other CHILL testcases
	  to appropriate subdirectories.  

Thu Aug 12 15:23:27 1993  Jim Kingdon  (kingdon@lioth.cygnus.com) 
			  and Mike Stump (mrs@cygnus.com)

	* gpcompare.texi (Encoding): Document new format for classes nested
	more than 9 levels and add note about stabs.texinfo citing us.

Fri Aug  6 15:29:38 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* h8300.c (emit_a_shift): Make insn_buf array size 200 not 20.

Fri Aug  6 13:46:54 1993  Richard Kenner  (kenner@vlsi1.ultra.nyu.edu)

        * reload.c (push_reload, find_reloads): Treat (subreg (pseudo))
        and (subreg (mem)) the same.
        If we have (subreg:M1 (mem:M2 ...) ...), never do anything
        special if M1 and M2 are the same size.

Thu Aug  5 16:16:17 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300h.h (TARGET_DEFAULT): Remove busted comment
	(__va_rounded_size has been fixed).

Thu Aug  5 15:51:19 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* configure: remove an non-POSIX semicolon from a for loop

Wed Aug  4 16:11:03 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* config/i386/t-go32: we need to build libgcc and install header
	files, since we're an integrated tree

Tue Aug  3 01:32:27 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300.c (print_operand): Fix handling of %w0 and %x0
	for h8/300h.

Mon Aug  2 13:32:32 1993  Mike Stump  (mrs@cygnus.com)

	* config/h8300.[ch]: Delete MAX_TEXT_ALIGN, it is
	only a problem on the SunOS SPARC linker.

Fri Jul 30 16:32:28 1993  K. Richard Pixley  (rich@cygnus.com)

	* config/m88k/t-bug (EXTRA_PARTS): removed.  No longer build
	  crtbegin.o or crtend.o for this target.

	* config/m88k/m88k-coff.h: sysv3.h now uses .init/.fini sections for
	  constructors/destructors.  Back up to using m88k.h in order to
	  avoid this behaviour.

Fri Jul 30 08:47:26 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/mips/ecoffl.h (CPP_PREDEFINES): Define.

Thu Jul 29 19:19:58 1993  Steve Chamberlain  (sac@phydeaux.cygnus.com)

	* h8300.md (zero_extendhisi2): Fix constraints.
	* h8300.c (asm_file_start): Bump release number.

Mon Jul 26 11:27:00 1993  Bill Cox  (bill@rtl.cygnus.com)

        * c-decl.c (print_lang_decl, print_lang_type): Make headers
	  match actual functions elsewhere. Already at FSF.
	* c-tree.h (print_lang_decl, print_lang_type): Make prototypes
	  match actual functions.  Already at FSF.

Sun Jul 25 17:01:34 1993  Per Bothner  (bothner@kalessin,cygnus.com)

	* Makefile.in:  Add fixproto support.

	* fixproto:  New script to add prototypes and otherwise clean up
	system include files (especially for C++ and also gcc -Wimplicit).
	* scan-decl.c:  New program used by fixproto to analyze header
	files (it extracts declarations from cpp output).
	* patch-header.c:  New program used by fixproto to analyze and
	patch header files.
	* scan.c:  New file.  Routines used by scan-decls and patch-header.
	* scan.h:  New file.  Common declarations.
	* gen-protos.c:  New file.  Massages a list of prototypes.

Mon Jul 19 11:19:35 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure: If we are using collect2, make a link from real-ld
	rather than ld.

Fri Jul 16 13:14:54 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure (m68k-hp-hpux): Don't use m68k/t-hp320g, even
	-with-gnu-as.

Thu Jul 15 14:49:41 1993  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (USER_H): Add va-h8300.h
	(gstdarg.h, gvarargs.h): Add h8/300 support
	(va-h8300.h): New file.

Thu Jul 15 10:13:09 1993  Doug Evans  (dje@cygnus.com)

	* config/h8300/h8300h.h (LINK_SPEC): Pass -m to linker, not -b.
	* config/h8300/h8300.c (names_big, names_extended): Make static.
	(names_upper_extended): New variable.
	(print_operand): Fix 'e' and 'f' case for h8/300h.
	* config/h8300/h8300.md (mulqihi3, mulhisi3, modqi3, umodqi3,
	modhi3, umodhi3): New insns.
	(umulqihi3, umulhisi3): Add zero_extend's to differentiate them from
	the signed mult's.
	Comment out insn to adjust stack pointer for h8/300h (not needed).
	(udivhi3, divhi3): Fix mode of divide, fix length.
	(movstrictqi,movstricthi): Fix (must use strict_low_part).

Wed Jul 14 09:41:02 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300h.h (LINK_SPEC): New macro.
	Pass -b h8300h to linker.

Thu Jul  8 15:07:55 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/mips/{bsd-4.h, bsd-5.h, iris3.h, mips.h, news4.h,
	news5.h, nws3250v4.h, osfrose.h, svr3-4.h, svr3-5.h, svr4-4.h,
	svr4-5.h, ultrix.h} (CPP_SPEC): Define LANGUAGE_ASSEMBLY, not
	LANGUAGE_C, when compiling a .s file.

Thu Jul  8 07:34:21 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300.c (function_prologue, function_epilogue): Fix
	bug in h8/300h handling (assumed 2 byte stack alignment, and 2 byte
	words).
	(function_arg):  Ditto.
	(io): Ditto.
	* config/h8300/h8300.h (PARM_BOUNDARY, STACK_BOUNDARY): Make
	alignment on stack 4 bytes for h8/300h.
	(PUSH_ROUNDING): Make dependant on PARM_BOUNDARY.
	(FUNCTION_ARG_ADVANCE): Make a function of UNITS_PER_WORD.
	* config/h8300/h8300.md: On the h8/300h, always push 4 bytes, even
	for smaller modes.
	* config/h8300/{h8300h.h,t-h8300h}: New files.

	* config.sub: Add target h8300h until multi-libgcc/newlib stuff works.
	* configure.in: Ditto.

Sat Jul  3 17:28:35 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300.h (REG_CLASS_CONTENTS): Fix value for ALL_REGS.
	(CONSTANT_ADDRESS_P): Handle negative offsets.

Fri Jul  2 17:27:57 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300.c (print_operand_address): Fold all CONST_INT's
	to shorts for h8/300.
	(expand_a_shift): Let library routine handle negative and real big
	shifts.
	(get_shift_alg): Fix HImode ASHIFTRT by 8 and SImode ASHIFTRT by 16 for
	h8/300h.
	* config/h8300/h8300.h: Rename enum CPU_TYPE -> enum cpu_type.
	Add -mno-h flag (explicitly specifies h8/300 target).
	(INITIALIZE_TRAMPOLINE): Handle h8/300 and h8/300h.
	(SIZE_TYPE): Make unsigned long for h8/300h (must be same size as ptr).
	(CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP): New macros.
	(ctors_section, dtors_section): New functions.
	(DO_GLOBAL_CTORS_BODY, DO_GLOBAL_DTORS_BODY): New macros.
	(ASM_OUTPUT_ADDR_VEC_ELT, ASM_OUTPUT_ADDR_DIFF_ELT): Fix for h8/300h.
	* config/h8300/h8300.md (tablejump, indirect_jump): Fix for h8/300h.

Fri Jul  2 10:06:03 1993  K. Richard Pixley  (rich@cygnus.com)

	* config/m88k/m88k-coff.h, config/m88k/m88k-aout.h,
	  config/m88k/t-bug: new files.

	* configure: added m88k-*-coff* and m88k-*-aout*.

Fri Jul  2 08:10:41 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/i386/xm-go32.h (PATH_SEPARATOR): Define to be ';'.

Thu Jul  1 19:54:00 1993  Steve Chamberlain  (sac@phydeaux.cygnus.com)

	* config/fp-bit.c: Make nan and infinity processing optional at
	compile time.

Thu Jul  1 16:25:56 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in: use -I$(srcdir) to find @include'd texinfo sources;
	also use explicit $(srcdir) for texinfo sources

	* configure: support i386-*-coff for bare coff systems; remove
	cygnus local changes for infolinks (obsoleted by makeinfo -I<dir>)

Wed Jun 30 10:35:50 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* config/i386/i386-coff.h: Output constructors to .ctors section and
	destructors to .dtors section.

Thu Jun 24 13:55:55 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/h8300.c,h8300.h,h8300.md}: Completely reworked shift
	support.
	h8300.c (onshift_operator, shift_one_bit, shift_n_bits, ashift_r,
	ashift_l, lshift_r) deleted.
	(expand_a_shift): Remove unused arguments.
	(shift_alg, shift_type, shift_mode): New enums.
	(shift_one, rotate_one): New variables (tables of assembler code).
	(get_shift_alg): New function.
	(emit_a_shift): Rewritten to use get_shift_alg.
	h8300.md (ashlqi3_one, ashrqi3_one, lshrqi3_one, ashlhi3_one,
	ashrhi3_one, lshrhi3_one, ashlsi3_one, ashrsi3_one, lshrsi3_one,
	ashlhi3_eight, lshrhi3_eight, ashrhi3_eight): Deleted.
	(ashlqi3, ashrqi3, lshrqi3, ashlhi3, ashrhi3, lshrhi3, ashlsi3,
	ashrsi3, lshrsi3): Simplified call to expand_a_shift.
	(shiftbyn_SI): Remove M from shift count contraint.  Shifts of 3,4
	are not inlined.

	* config/h8300/h8300.md (movstrictqi,movstricthi): Use sub as h8/300
	doesn't have 16 bit xor.

Thu Jun 24 09:32:44 1993  Steve Chamberlain  (sac@phydeaux.cygnus.com)

	* varasm.c (named_section): Fix typo in file handle name.

Fri Jun 18 12:18:54 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure (a29k-*-udi): Use a29k/a29k-udi.h.  Don't use collect2.
	(m68*-coff): Don't use collect2.
	* config/a29k/a29k-udi.h: New file; like a29k.h, but put
	constructors in .ctors section and desctructors in .dtors section.
	* config/m68k/m68k-coff.h: Output constructors to .ctors section and
	destructors to .dtors section.

Fri Jun 18 10:30:50 1993  Steve Chamberlain  (sac@phydeaux.cygnus.com)

	* config/fp-bit.c (_fp_mul_parts): Do the inner loop with partial
	products rather than shift and add.

Tue Jun 15 13:01:10 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/i386/xm-sysv4.h (SMALL_ARG_MAX): Define; it's true at least
	for Univel.

Thu Jun 10 13:34:59 1993  Fred Fish  (fnf@cygnus.com)

	* configure.in (i[34]86-*-sysv4*):  Handle -with-stabs config.
	* i386/sysv4dbx.h:  New file, for stabs-in-elf support.

Wed Jun  9 17:40:43 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (link_command_spec): Move %{T*} after %{L*} and %D.

Tue Jun  8 16:20:24 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config/h8300/{h8300.c,h8300.h,h8300.md}: Initial port to the 300h.

	* caller-save.c (MAX_MOVE_MAX, MAX_UNITS_PER_WORD): New macros.
	(regno_save_mode, regno_save_mem, regno_save_code,
	regno_restore_mode): Use them.

Fri Jun  4 08:20:29 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure (mips-*-ecoffl*): New target; use ecoffl.h or
	ecoffl-gdb.h, with t-ecoff.
	(mips-*-ecoff*): Added trailing '*'.  Don't use collect2.
	* config/mips/ecoffl.h, config/mips/ecoffl-gdb.h: New files; just
	like ecoff.h and ecoff-gdb.h, but little endian.
	* config.sub: Accept -ecoff*, not just -ecoff.

Thu Jun  3 15:19:53 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* configure: fix how we test for gas in the build tree, also check
	for ld in the same way

Tue Jun  1 15:27:13 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* fixincludes (limits.h): Add #ifndef/#endif around HUGE_VAL defines.

Wed May 26 12:35:48 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (check-g++): Pass down CXX.

	* g++: Copied from c++, as at the FSF.
	* Makefile.in (g++-cross): Changed accordingly.

Thu May 20 17:34:30 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expmed.c (store_bit_field, insv case): Don't use PUT_MODE on
	xop0 when it is a SUBREG, generate a new SUBREG.

Thu May 20 14:16:26 1993  Steve Chamberlain  (sac@thepub.cygnus.com)

	* fp-bit.c (fp_number_type): If SMALL_MACHINE defined then use chars
	and shorts for parts of decoded number. (si_to_float): Cope with
	INT_MIN correctly.

Fri May 14 14:06:38 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure (mips-*-ecoff): Set tm_file to mips/ecoff.h or
	mips/ecoff-gdb.h.
	* config/mips/ecoff.h: New file; like mips.h but use different
	CPP_PREDEFINES, define TARGET_MEM_FUNCTIONS and use GOFAST routine
	names.
	* config/mips/ecoff-gdb.h: New file; like ecoff.h but default to
	stabs debugging.
	* config/mips/t-ecoff: (CONFIG2_H): Set to ecoff.h.
	(T_CFLAGS): Don't define TARGET_MEM_FUNCTIONS here.
	(LIB2FUNCS_EXTRA, dp-bit.c, fp-bit.c): Build fp-bit routines.

	* reorg.c: Updated with patches from Kenner and myself.

Thu May 13 10:03:58 1993  Doug Evans  (dje@canuck.cygnus.com)

	* c-decl.c (init_decl_processing): Define long long and
	long long unsigned int before sizetype.

Tue May 11 15:22:41 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* expr.c (expand_builtin): Disable BUILT_IN_STRNCPY case.
	* c-decl.c (init_decl_processing): Don't yet set up __builtin_strncpy.
	* cp-decl.c (init_decl_processing): Likewise.
	* invoke.texi (Options Controlling C Dialect): Don't document it yet.

Mon May 10 09:11:23 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (cccp.o): Use $(libsubdir)/$(unlibsubdir) for
	LOCAL_INCLUDE_DIR, so that a native compiler can find assert.h via
	GCC_EXEC_PREFIX.

Fri May  7 14:36:09 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/i386/x-go32 (LANGUAGES): Don't build protoize.

Fri May  7 09:16:10 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in: Make stage2 and stage3 use the same header files when
	building libgcc2.a.
	(LIBGCC2_INCLUDES): Set to -Iinclude.
	(LIBGCC2_DEPS): Set to stmp-int-hdrs.

	* Makefile.in (gcc.o): Pass STANDARD_STARTFILE_PREFIX as
	$(unlibsubdir) rather than $(libdir) so that native compilations can
	find $(libdir).

Thu May  6 12:46:49 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (cccp.o): TOOL_INCLUDE_DIR needed a "..".

Wed May  5 07:53:50 1993  Steve Chamberlain  (sac@thepub.cygnus.com)

	Adding support for section attribute.
	* varasm.c (STRIP_NAME_ENCODING): Cope with encoded section names.
	(named_section, had_section_attribute): New functions.
	(assemble_start_function, assemble_variable, output_constant_def):
	Change to named section if needed.  (assemble_name): Remove any
	encoded section.

	* c-common.c (decl_attributes): Decode section attribute.

	* c-parse.in (attrib): Parse section attributes.

	Removing support for section keyword.

	* c-parse.gperf (__section__): Deleted.
	* c-parse.in (SECTION): Deleted. (reserved_declspecs, declmods):
	Deleted. (get_current_declspecs): Deleted.
	* varasm.c (encode_section_info): Deleted.
	
Tue May  4 13:46:09 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* tree.h (enum built_in_function): Add BUILT_IN_STRNCPY.
	* expr.c (expand_builtin): Add case for BUILT_IN_STRNCPY to do the
	same work as BUILT_IN_MEMCPY.
	* c-decl.c (init_decl_processing): Set up __builtin_strncpy.
	* cp-decl.c (init_decl_processing): Likewise.
	* invoke.texi (Options Controlling C Dialect): Document it.

Mon May  3 19:03:06 1993  Per Bothner  (bothner@cygnus.com)

	* Makefile.in:  Change definition of $(tooldir) to match FSF.
	* Makefile.in (cccp.o):  g++-include is made to *not* depend
	on target.

Mon May  3 08:28:59 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/mips/t-ecoff (T_CFLAGS): Added -DTARGET_MEM_FUNCTIONS to
	match IDT libraries.

	Patch from Jim Wilson:
	* combine.c (make_extraction): Move BYTES_BIG_ENDIAN !=
	BITS_BIG_ENDIAN offset correction after the offset calculation.

	* configure: Make a symlink from as to ../gas/as.new if ../gas
	exists, even for a native compiler.

Fri Apr 30 17:08:35 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* configure.bat (a29k): Add dos->a29k configuration.

Thu Apr 29 10:59:40 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (check-gcc, check-g++): -B argument must end in /.

Tue Apr 27 09:04:42 1993  Ian Lance Taylor  (ian@cygnus.com)

	* fixincludes: Prevent early comment termination on Ultrix 4.2
	sys/audit.h file.

	* config/m68k/netx68k.h, config/m68k/os68000.h,
	config/m68k/ose68000.h, config/m68k/ose68k.h
	(WORD_SWITCH_TAKES_ARG): Removed macro definition.
	* config/sparc/sparc64.h (WORD_SWITCH_TAKES_ARG): Rewrote in terms
	of DEFAULT_WORD_SWITCH_TAKES_ARG.

	* vx680[0234]0.h (WORD_SWITCH_TAKES_ARG, ASM_OUTPUT_FLOAT,
	ASM_OUTPUT_DOUBLE, ASM_OUTPUT_FLOAT_OPERAND,
	ASM_OUTPUT_DOUBLE_OPERAND): Removed unneeded and obsolete
	macro definitions.

	* config/m68k/m68k.h: Undefine LONG_DOUBLE_TYPE_SIZE for now (patch
	from wilson).

Mon Apr 26 12:18:16 1993  Rob Savoye  (rob@cygnus.com)

	* Makefile.in: Create a site.exp file with the host and target
	canonical names. This will let the xfail stuff work right.

Mon Apr 26 11:03:56 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (all.cross): Don't depend on enquire, because it
	requires header files that we don't have yet and we don't need it.

Thu Apr 22 17:14:21 1993  Mark Eichin  (eichin@cygnus.com)

	* m68k/vx680[0234]0.h: SIZE_TYPE set to "long unsigned int" and
	__vxworks and __vxworks_5 added to CPP_PREDEFINES.

Thu Apr 22 15:27:53 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (cccp.o): Use $(libsubdir)/$(unlibsubdir)/$(target)
	for include directories rather than $(tooldir) so that they are
	correctly modified by the -iprefix argument passed by gcc if
	GCC_EXEC_PREFIX is set.

Tue Apr 20 18:24:01 1993  Rob Savoye  (rob at darkstar.cygnus.com)

	* Makefile.in: Added a check-gcc and check-g++ targets. the "check"
	target now runs both of these. I also fixed so when using the
	freshly built xgcc, the -B path gets passed as CFLAGS.

Fri Apr  9 13:11:50 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/i386/go32.h: Predefine GO32 and MSDOS.

Wed Apr  7 11:24:29 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/mips/t-ecoff: New file, just like t-mips except that
	mips-tfile and mips-tdump are not built, and T_CFLAGS is set to
	-DDONT_HAVE_STDIO and -DDONT_HAVE_SETJMP.
	* configure (mips-*-ecoff): Like mips-*-*, but use mips/t-ecoff.

Mon Apr  5 21:23:51 1993  Rob Savoye  (rob@cygnus.com)

	* Makefile.in: Added a working "check" target.

Fri Apr  2 14:08:54 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure: If -with-gnu-as used, make a symlink from as to
	../gas/as.new.

Mon Mar 29 16:42:58 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* g++ (path): Look for /g++$, in case something in the pathname
	happens to have `g++' in it.

Sun Mar 28 08:07:06 1993  Ken Raeburn  (raeburn@kr-pc.cygnus.com)

	* configure: Don't use $(srcdir) in quoted string in sed command;
	some shells will try to execute it.  Use ${srcdir} instead.

Thu Mar 18 19:09:39 1993  Ken Raeburn  (raeburn@cygnus.com)

	* config/fp-bit.c (df_to_sf, sf_to_df) [! US_SOFTWARE_GOFAST]:
	Redefine these so the correct __trunc*, __extend* names get defined.

Wed Mar 17 08:09:27 1993  Ian Lance Taylor  (ian@cygnus.com)

	* z8k/z8k.c (asm_output_common): \t, not \g.
	(emit_cvtptr): output_asm_insn takes two arguments.

Wed Mar 17 02:17:21 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* config/i386/go32.h: new file, define YES_UNDERSCORES and
	define the right things for cpp: MSDOS, GO32 (and not unix)

Sat Feb 20 08:06:53 1993  Mike Werner  (mtw@poseidon.cygnus.com)

	* testsuite: made modifications to testcases, etc., to allow them
	to work properly  given the reorganization of deja-gnu and the
	relocation of the testcases.

Sat Feb 20 02:17:33 1993  Mike Werner  (mtw@poseidon.cygnus.com)

	* testsuite: Moved gcc and g++ testcases, configuration files, and
	library files from devo/deja-gnu to devo/gcc/testsuite.	 The files
	were moved "as is" with no modifications.  Modifications to the
	testcases, etc., which will allow them to run properly will be
	made at a future time.

Fri Feb 19 14:18:59 1993  Mike Werner  (mtw@poseidon.cygnus.com)

	* testsuite: Removed all dejagnu files from testsuite. The removed
	files were configured for a revision of dejagnu that was scrapped.
	They were removed so that the testsuite directory would be available
	for holding the testcases and support files for a new and shortly to
	be implemented revision of dejagnu.

Wed Feb 17 09:57:05 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (RANLIB_TEST_FOR_TARGET): Correct test for native
	compilation when binutils do not exist.

Tue Feb 16 12:45:29 1993  Michael Tiemann  (tiemann@cygnus.com)

	* c-typeck.c (lookup_field): New function to support anonymous
	structs and unions.  C doesn't have them, but other languages using
	c-typeck.c do.
	(build_component_ref): Call `lookup_field'.

Fri Feb  5 12:14:11 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/netx68k.h, config/os68000.h, config/ose68000.h,
	config/ose68k.h, config/vx68000.h, config/vx68020.h,
	config/vx68030.h, config/vx68040.h, config/vxsparc.h (LINK_SPEC):
	Don't pass -e if using -r or -nostdlib.

Wed Feb  3 15:29:29 1993  Roland H. Pesch  (pesch@fowanton.cygnus.com)

	* Makefile.in: Amend texidir to match structure of texinfo directory.

Wed Feb  3 11:04:16 1993  Mike Werner  (mtw@rtl.cygnus.com)

	* testsuite: added g++ and gcc test suites from deja-gnu

Fri Jan 22 13:45:17 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (install-doc): Restored target.

Tue Jan 19 15:03:29 1993  Fred Fish  (fnf@cygnus.com)

	* dwarfout.c (byte_size_attribute):  Add local var upper_bound
	and add case to handle STRING_TYPE.
	* dwarfout.c (output_string_type_die):  Fix code to generate
	correct string length attribute for fixed length strings.
	Still needs support for varying length strings.

Mon Jan 18 09:27:33 1993  Steve Chamberlain  (sac@thepub.cygnus.com)

	* optabs.c (init_optabs): remove unnecessary _LIBCALL divergance
	from fsf.

	* config/fp-bit.c (float_to_si, float_to_usi): use SItype temporary.

Fri Jan 15 22:53:21 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure.in: Set objdir to `pwd` in Makefile.
	* Makefile.in (AR_FOR_TARGET, RANLIB_FOR_TARGET): Use
	$(objdir)/../binutils rather than just ../binutils.

Fri Jan 15 10:21:01 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure.in: Don't bother to run fixincludes if cross-compiling.

	* Makefile.in (AR_FOR_TARGET, RANLIB_FOR_TARGET): Use Cygnus
	definitions.
	(libgcc1-asm.a): New (Cygnus) target to build libgcc1.a from
	assembler source.
	* config/t-adobe, config/t-m68kbare, config/t-ose68000,
	config/t-ose68k, config/t-sparclite, config/t-vxworks68 (LIBGCC1):
	Set to libgcc1-asm.a.
	* config/t-z8k (LIBGCC1): Set to empty string.
	(RANLIB, RANLIB_TEST): Removed.

Fri Jan 15 09:56:24 1993  Steve Chamberlain  (sac@thepub.cygnus.com)

	* emit-rtl.c (gen_lowpart): if a lowpart can't be finessed,
	force into a register and convert.

	* fold-const.c (fold), c-typeck.c (initializer_constant_valid_p), cse.c
	(simplify_unary_operation), final.c (output_addr_const): cope with
	segmented pointers.

Thu Jan 14 21:59:06 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/t-adobe, config/t-go32, config/t-i386bare,
	config/t-i386bsd, config/t-m68kbare, config/t-ose68000,
	config/t-ose68k, config/t-sol2, config/t-sparcbare,
	config/t-vxsparc, config/t-vxworks68, config/t-vxworks960,
	config/t-z8k: Don't set INSTALL_TARGET.

Thu Jan 14 10:23:08 1993  Ian Lance Taylor  (ian@cygnus.com)

	* configure.in: Don't make a link for float.h.  Instead, change
	FLOAT_H in Makefile.in.

	* Makefile.in (gcc.o): Pass TOOLDIR_BASE_PREFIX as $(unlibsubdir) so
	that installed directory can be moved.
	(cccp.o, stamp-proto): Pass GPLUSPLUS_INCLUDE_DIR as
	$(tooldir)/g++-include for compatibility with Cygnus libg++.

Thu Jan  7 16:11:09 1993  Steve Chamberlain  (sac@thepub.cygnus.com)

	* optabs.c (emit_float_lib_cmp): if INTmode is defined use that
	rather than SImode as the type of a fp compare function.

Wed Jan  6 09:05:47 1993  Fred Fish  (fnf@cygnus.com)

	* Makefile.in (includedir):  Default to $(prefix)/include so
	null expansions don't cause mkdirs to be issued with no args.

Mon Dec 28 10:17:32 1992  Ian Lance Taylor  (ian@cygnus.com)

	* config/m68*-none.h (CC1_SPEC): if -m68000 and not -m68881, pass
	-msoft-float.
	(ASM_SPEC): pass -m68881 and -mno-68881 through to assembler, and
	turn -msoft-float to -mno-68881.

	* config/t-vxsparc, config/t-vxworks68 config/t-vxworks960
	(LIBGCC2_CFLAGS): add -Dexit=unused_exit to avoid using the wrong
	version of exit for VxWorks.

	* Patches from Ready Systems:
	* config/lb1sf68.asm (_udivsi3): don't negate result based on d4.
	(_umulsi3): don't include in same object file as _udivsi3.
	* t-adobe, t-m68kbase, t-ose68000, t-ose68k, t-vxworks68: add
	_umulsi3 to LIB1ASMFUNCS.

Tue Dec 22 17:25:07 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* configure.in: use collect2 for m68k-coff target, even though
	sections would work

Mon Dec 21 18:32:56 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* libgcc2.c (L_new_handler): don't include <stdio.h> if
	DONT_HAVE_STDIO is defined (like the other stdio.h inclusions in
	this file)

Tue Dec 15 11:40:55 1992  Steve Chamberlain  (sac@thepub.cygnus.com)

	* expr.c (expand_expr): pointer packing around pointer arithmetic

Thu Nov 12 11:55:19 1992  Steve Chamberlain  (sac@thepub.cygnus.com)

	* config/fp-bit.c: use attribute(mode) trick to make it always
	use the right size int for DI SI and HI modes.

Tue Nov 10 10:22:48 1992  Ian Lance Taylor  (ian@cygnus.com)

	config/lb1sf68.asm: use __USER_LABEL_PREFIX and
	__REGISTER_PREFIX__ rather than __NO_UNDERSCORES__.

Tue Nov 10 09:18:57 1992  Mark Eichin  (eichin at cygnus.com)

	* config/xm-go32.h: don't include stddef.h, since it doesn't exist
	for cross and isn't needed -- xm-go32.h can now be included on the
	target via tconfig.h.

Thu Nov  5 17:53:32 1992  Brendan Kehoe  (brendan@cygnus.com)

	* Makefile.in (install-fixincludes): Use `if..else true; fi' when
	installing limits.h.

Fri Oct 30 22:04:59 1992  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in: move p3 Makefile.in changes into devo.
	Eliminate PIC compilation of libgcc.
	AR_FOR_TARGET, RANLIB_FOR_TARGET: use ../binutils correctly.
	RANLIB_TEST_FOR_TARGET: not needed.
	Moved LIB1FUNCS and LIB2FUNCS up so they can be overridden.
	Change USE_HOST_ALLOCA to something that works.  Only affects builds
	where the compiler being used to compile gcc does not have the host
	as the target.
	Added libgcc.a dependency to all.cross.
	Don't handle byteorder.h specially.

Thu Oct 29 14:29:34 1992  Ian Lance Taylor  (ian@cygnus.com)

	* configure.in changes from p3:
	i[34]86-*-aout: new target.
	i386-*-go32: use x-go32 for host makefile fragment.
	sparc-*-aout: use t-sparcbare for target makefile fragment.
	i960-wrs-vxworks*: use vx960.h for target header file.
	i960-intel-nindy: new target.

	* Merged in changes from p3 to Cygnus local files:
	config/fpgnulib.c: new file (fp conversion code).  Use fp-bit?
	config/lb1sf68.asm: new file (libgcc1 for 68000).
	config/lb1spc.asm: new file (libgcc1 for sparc).  Unused?
	config/lb1spl.asm: new file (libgcc1 for sparclite).
	config/m68k-coff.h: predefine __NO_UNDERSCORES__.
	config/t-i386bare: new file (i386 bare board makefile fragment).
	config/t-m68kbare: new file (m68k bare board makefile fragment).
	config/t-sparcbare: new file (sparc bare board makefile fragment).
	config/t-ose68000, config/t-ose68k, config/t-vxworks68,
	config/t-vxworks960: new libgcc handling.
	config/vx960.h: new file (set specs for vxworks).
	config/x-go32: new file (go32-specific makefile fragment).
	config/xm-go32.h: go32 does not have a <stab.h> installed, so we use
	our own.

Thu Oct  8 14:39:43 1992  Ken Raeburn  (raeburn@cambridge.cygnus.com)

	* Makefile.in (stamp-proto): Create the stamp file after creating
	the object files, not before.

Mon Oct  5 10:57:15 1992  Mark Eichin  (eichin at tweedledumber.cygnus.com)

	* lbg1sf.68k (__udivsi3): fix for 1000000000/10 = 99994112, from
	Harald Johansen <etxhajn@solsta.ericsson.se>.

Mon Oct  5 03:10:14 1992  Mark Eichin  (eichin at tweedledumber.cygnus.com)

	* configure.in (case $machine): add tmake_file for i386-*-bsd*.
	Add tmake_file for sparclite-fujitsu and others.
	Change sparclite-*-* to sparclite-fujitsu-*.
	Add sparc,sparclite-wrs-vxworks cases.
	* config/t-vxsparc: new file.
	* config/vxsparc.h: new file. sparc vxworks support.

	* config/t-i386bsd: new file. i386 bsd with bit-float support.

	* config/t-vxworks960: added bit-float support, and force soft-float
	for libgcc2 (from p3)

	* config/fp-bit.c: added bit-float support (from p3). Emulations of
	all of the IEEE floating point routines called by gcc, with optional
	name changes for US_SOFTWARE_GOFAST. Passes Kahan's paranoia test.

	* config/t-sparclite.c: support for sparclite processor - has no
	fpu, so uses bit-float support or US Software "goFast" library.

Fri Sep 25 18:27:59 1992  Ian Lance Taylor  (ian@cygnus.com)

	* config/m68k-coff.h: New file.  Start local labels with . and
	register names with % to avoid conflicts with symbol names (which
	don't start with an underscore for COFF).
	config/m680?0-coff.h, config/m683?2-coff.h: include m68k-coff.h.

Mon Sep 21 15:52:18 1992  Ian Lance Taylor  (ian@cygnus.com)

	* config/m68k.h: a 68030 does not execute 68881 instructions, so
	-m68030 should not imply -m68881.

Wed Sep 16 11:18:49 1992  Ian Lance Taylor  (ian@cygnus.com)

	* config/m68*-coff.h: COFF symbols don't start with an underscore.
	Output .file at start of assembler code.

Tue Sep 15 15:57:30 1992  Ian Lance Taylor  (ian@cygnus.com)

	* config/m68*-none.h: changed mno68851 to mno-68851 in ASM_SPEC.

	* config/m68k.h: added 68851 and no68851 to TARGET_SWITCHES.

	* Makefile.in: eliminated COMP_TOOLS.
	(install-cross-tools): install symlinks to $(tooldir)/bin for
	programs and $(tooldir)/lib for libraries and crt0.o, and symlink to
	g++-include and sys-include to include.  If not using collect2,
	install symlink for ld.
	(install-common): added dependency on install-cross-tools, rather
	than redoing it as was done before.
	(install-libgcc): install in $(libsubdir) rather than $(tooldir).

Mon Sep 14 22:46:41 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

        * configure.in: don't use sparc-aout.h for sun4 native, just use
        sparc.h.  sparc-aout.h is used for bare target systems

Fri Sep 11 14:58:20 1992  Mark Eichin  (eichin at tweedledumber.cygnus.com)

	* Makefile.in (libgcc1): mv for directories doesn't do the same
	thing as mv for files. Since we need to keep libgcc1 "out of date"
	until replacing it with the new one, we move it out of the way
	before deleting it (if we simply deleted it and the rm -rf were
	interrupted, libgcc1 might become "up to date" and a second make
	would not cause the build to repeat.) 
	(libgcc2): same.
	(mostlyclean): delete dellibgcc* as well.

Thu Sep 10 07:47:31 1992  Ian Lance Taylor  (ian@cygnus.com)

	* configure.in, config/t-adobe, config/lb1sun3.asm: added support
	for m68010-adobe-scout, with Sun3 floating point support.

	* config/m68*-coff.h: default to Motorola syntax.

Wed Sep  9 13:50:42 1992  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (install-man, install-dir): don't create mandir and
	man1dir unless doing make ``install-man''.

Tue Sep  1 21:53:05 1992  Brendan Kehoe  (brendan@cygnus.com)

	* Makefile.in (install-common): Copy the g++ and c++ scripts from
	the $(srcdir).
	(install-man): Put semicolons in the right places so the man pages
	get installed.

Tue Sep  1 21:50:48 1992  Ian Lance Taylor  (ian@cygnus.com)

	* config/m68*-none.h: pass -m68851 and -mno68851 to as.

Mon Aug 31 18:34:33 1992  Brendan Kehoe  (brendan@rtl.cygnus.com)

	* Makefile.in (clean): Do a little shuffling of filenames so rm
	doesn't generate a spurious error when BUILD_SO[123] aren't defined.

Mon Aug 31 17:44:03 1992  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in, configure.in: Added Makefile variables used to name
	installed programs, and to edit g++ and c++ to generate g++-cross and
	c++-cross which use the right names.  configure.in overrides
	Makefile variable defaults based on the -program_transform_name
	argument.
	g++.sh, c++.sh: renamed back to g++ and c++, as they no longer need
	the @p and @s markers, which were used to support program_prefix and
	program_suffix.

	* config/m680[0234]0-none.h, config/m683[03]2.h: pass underscore
	variants of m68020, etc., to cpp.  Pass non-underscore variants only
	if -ansi was not used.

Mon Aug 31 04:28:16 1992  david d [zoo] zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in
	(install-common): install gcc as $(target)-gcc not gcc-$(target)

Mon Aug 24 14:40:54 1992  Ian Lance Taylor  (ian@cygnus.com)

	* configure.in, config/ose68000.h, config/ose68k.h,
	config/t-ose68000, config/t-ose68k: renamed OSE configuration files
	to ose.

Wed Aug 19 12:53:02 1992  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (g++): Because of changes in the c++.sh and
	g++.sh scripts, the two files $(target)-gcc and $(target)-c++
	must exist in the working directory.

Tue Aug 18 12:03:59 1992  Ian Lance Taylor  (ian@cygnus.com)

	* configure.in, config/{m68000, m68020, m68030, m68040, m68302,
	m68332}-{none, aout, coff}.h, vx680?0.h, ose68k.h, ose68000.h: added
	m68*-*-aout and m68*-*-coff for entire m68k family.  Organized to
	pass correct -D arguments to cpp and -m arguments to gas.

Mon Jul 27 20:43:18 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in (libgcc1.null) : don't die if creating directories,
	they might already exist from a previous build.

Thu Jul 23 13:58:31 1992  D. V. Henkel-Wallace  (gumby@cygnus.com)

	* Makefile.in: Many cross-compiling changes.  Also, libgcc.a
	is now built differently (build into subdirs; do only one
	ar at the end (a lot faster for systems which insist on a ranlib
	on every update).  Also, libgcc1 can be built out of assembly
	files which go along with gcc, instead of having to live in some
	random directory that can get out of sync -- this makes rms happy.

	* config/OSE68k.h, config/vx68020.h, config/vx68030.h, config/vx6804.h:
	use target_isnan rather than isnan (patch originally from sef).
	more ports probably need this; I just did the 68ks.

	* config/OSE68000.h, config/OSE68k.h, config/t-OSE68000,
	      config/t-OSE68k: new files
	  configure.in: use 'em.
	  vxworks68.h: See yuh! -- merged into lbg1.68k.

	* cross-make: don't suppress libgcc!

Fri Jul  3 23:03:03 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in (install-headers): remove files before making a
	symlink, in case we're installing on top of an existing tree

Wed Jul  1 11:12:05 1992  Mike Stump  (mrs at cygnus.com)

	* Makefile.in (stamp-cp-parse): extract YYEMPTY out of the parser
	generated .c file and put in the parser .h so that cp-lex.c does
	not have to define it.

Fri Jun 26 15:38:43 1992  Steve Chamberlain  (sac at rtl.cygnus.com)

	* Makefile.in: link crt0.0 into target directory, just like libc.a

Mon Jun 22 18:35:47 1992  Steve Chamberlain  (sac at thepub.cygnus.com)

	* Makefile.in: specs can be built on host, even if cross compiling

Wed Jun  3 13:25:26 1992  Ken Raeburn  (Raeburn at Cygnus.COM)

	* Makefile.in (cp-parse.[ch]): Use move-if-change for renaming bison
	output files that have to be compiled later.  Use a stamp- file to
	prevent extra runs of bison.

Sun May 31 06:36:23 1992  Michael Tiemann  (tiemann at cygnus.com)

	* vx680[1234]0.h: New files.  Now defaults better for each
	processor type.
	* vx68k.h: Deleted.

Sun May 31 06:37:15 1992  Michael Tiemann  (tiemann at cygnus.com)

	* configure.in: Handle m680[01234]0-wrs as a target.

Wed May 20 03:31:14 1992  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* m68k.h: added TARGET_DEFAULT, which wasn't set in a m68k-aout
	  configuration

	* configure.in: moved m68k's aout definition, from host_vendor to
	host_os

Sat May 16 18:01:05 1992  K. Richard Pixley  (rich at rtl.cygnus.com)

	* Makefile.in: hack around sun make bug.

Tue May  5 12:10:04 1992  K. Richard Pixley  (rich at cygnus.com)

	* Makefile.in: remove alloca test which fails to test what was
	  intended.  It doesn't seem necessary to me anyway.

Thu Apr  9 05:21:08 1992  Ken Raeburn  (Raeburn at Cygnus.COM)

	* Makefile.in (install): Depend on "all", so if gcc-cross is going
	to get produced at all, it happens before the install rules run that
	look for it.
	(install-common): Make links for assembler and friends here.
	(install-cross-tools): Don't do it here.

Mon Mar 23 00:33:35 1992  Michael Tiemann  (tiemann at cygnus.com)

	* cp-decl.c (sigsegv): Add some comments about this being
	Cygnus-only code.

Fri Mar  6 21:58:41 1992  K. Richard Pixley  (rich at cygnus.com)

	* Makefile.in: added check target.

Wed Mar  4 04:24:19 1992  K. Richard Pixley  (rich at rtl.cygnus.com)

	* Makefile.in: (un)install man pages in man1dir, not mandir.

	* configure, Makefile.in: added support for site specific makefile
	fragments.  This change has NOT been sent to rms.

	* configure: added -prefix= and -exec_prefix= options.

	* configure: added --verbose and --silent options.

Wed Feb 26 18:04:40 1992  K. Richard Pixley  (rich at cygnus.com)

	* Makefile.in, configure.in: removed traces of namesubdir,
	-subdirs, $(subdir), $(unsubdir), some rcs triggers.  Forced
	copyrights to '92, changed some from Cygnus to FSF.

Tue Feb 25 23:00:55 1992  Michael Tiemann  (tiemann at cygnus.com)

	* libgcc2.c (_eprintf): Don't depend on stdio if we don't have it.
	(_bb): Ditto.

Fri Feb 21 16:07:02 1992  Michael Tiemann  (tiemann at cygnus.com)

	* varasm.c (encode_section_info): New function.

	* c-parse.y (SECTION): New token.
	* c-parse.y (declmods,reserved_declspecs): Add support for naming
	sections.
	* c-parse.gperf (__section__): New keyword.
	* c-lex.c: Updated to use tables which recognize __section__.
	* c-parse.y (get_current_declspecs): New function
	(needed for naming sections).
	* c-decl.c (grokdeclarator): Grok sections in DECLSPECS.
	* varasm.c (assemble_start_function): Call SELECT_SECTION instead of
	`text_section' if defined.

Wed Feb 19 11:55:14 1992  Per Bothner  (bothner at cygnus.com)

	* configure.in: Prepend ${srcdir}/ when testing for
	existence of host- and target_makefile_frags.

Fri Jan 24 10:13:37 1992  Steve Chamberlain  (sac at rtl.cygnus.com)

	* optabs.c (emit_cmp_insn): emit_library_call using INTmode rather
	than SImode.
	(init_optabs): added libcall for *cmpsi, #define for
	memcpy, memcpy and memset, addsi3, subsi3.

Sun Dec  8 14:41:42 1991  Michael Tiemann  (tiemann at rtl.cygnus.com)

	* jump.c (jump_optimize): Generalize support for movcc instructions.

Sat Dec  7 00:06:59 1991  K. Richard Pixley  (rich at rtl.cygnus.com)

	* Makefile.in: remove spaces following hyphens, bsd make can't cope.
	mandir -> man1dir.  install using INSTALL_DATA.  build headers
	into ./include and THEN install using INSTALL_DATA, no fair
	building into an installed directory.  mkdir man1dir.  added
	clean-info.

	* configure.in: targetdependent is now called target_dependent.

Wed Nov 27 09:46:26 1991  Per Bothner  (bothner at cygnus.com)

	* Makefile.in: Remove dependency of $(srcdir)/cp-hash.h
	on $(srcdir)/gplus.gperf, since gperf may be unavailable.

Wed Nov 13 11:01:48 1991  Steve Chamberlain  (sac at cygnus.com)

	* Makefile.in: added compile-man-sysv, on some sysv machines, there
	is no nroff, so they can't compile the man pages. This will create
	the packed .z file for each of the manual pages we release.

Thu Oct 31 05:45:54 1991  Ken Raeburn  (raeburn at cygnus.com)

	* gnulib2.c (__bb_init_func): Changed "#elif" without condition to
	"#else".

	* Makefile.in (md): Execute "true" if condition
	is false, to avoid lossage with some shells.

Fri Oct 25 13:47:06 1991  Roland H. Pesch  (pesch at cygnus.com)

	* Makefile.in: targets for *.dvi; explicit path to find texinfo.tex
	in associated directory (rather than replicating here).

Fri Jun 28 06:42:42 1991  Michael Tiemann  (tiemann at cygint.cygnus.com)

	* gnulib2.c (__bb_init_func): Add handlers for ANSI library.

Sat May 18 03:51:06 1991  Michael Tiemann  (tiemann at cygint.cygnus.com)

	* Makefile.in (md): Added CPP_MD dependence for MD.  CPP_MD is
	defined by sub-makefiles depending on whether or not the md file
	depends upon being preprocessed first.


Local Variables:
mode: indented-text
left-margin: 8
fill-column: 76
version-control: never
End:
b
